commit d72b038fd2113cb62972e4071db03dd1388394d8
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 1 01:34:37 2025 +0200

    Release 1.22.21

 debian/changelog | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit 6895685708cbfd2fd084e4a98a116992b8ecae0b
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 1 01:32:04 2025 +0200

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |  2 +-
 dselect/po/ca.po        |  2 +-
 dselect/po/cs.po        |  2 +-
 dselect/po/da.po        |  2 +-
 dselect/po/de.po        |  2 +-
 dselect/po/dselect.pot  |  4 ++--
 dselect/po/el.po        |  2 +-
 dselect/po/es.po        |  2 +-
 dselect/po/et.po        |  2 +-
 dselect/po/eu.po        |  2 +-
 dselect/po/fr.po        |  2 +-
 dselect/po/gl.po        |  2 +-
 dselect/po/hu.po        |  2 +-
 dselect/po/id.po        |  2 +-
 dselect/po/it.po        |  2 +-
 dselect/po/ja.po        |  2 +-
 dselect/po/ko.po        |  2 +-
 dselect/po/nb.po        |  2 +-
 dselect/po/nl.po        |  2 +-
 dselect/po/nn.po        |  2 +-
 dselect/po/pl.po        |  2 +-
 dselect/po/pt.po        |  2 +-
 dselect/po/pt_BR.po     |  2 +-
 dselect/po/ro.po        |  2 +-
 dselect/po/ru.po        |  2 +-
 dselect/po/sk.po        |  2 +-
 dselect/po/sv.po        |  2 +-
 dselect/po/tl.po        |  2 +-
 dselect/po/vi.po        |  2 +-
 dselect/po/zh_CN.po     |  2 +-
 dselect/po/zh_TW.po     |  2 +-
 man/po/dpkg-man.pot     |  4 ++--
 po/ast.po               | 12 ++++++------
 po/bs.po                | 12 ++++++------
 po/ca.po                | 12 ++++++------
 po/cs.po                | 12 ++++++------
 po/da.po                | 12 ++++++------
 po/de.po                | 12 ++++++------
 po/dpkg.pot             | 14 +++++++-------
 po/dz.po                | 12 ++++++------
 po/el.po                | 12 ++++++------
 po/eo.po                | 12 ++++++------
 po/es.po                | 12 ++++++------
 po/et.po                | 12 ++++++------
 po/eu.po                | 12 ++++++------
 po/fr.po                | 12 ++++++------
 po/gl.po                | 12 ++++++------
 po/hu.po                | 12 ++++++------
 po/id.po                | 12 ++++++------
 po/it.po                | 12 ++++++------
 po/ja.po                | 12 ++++++------
 po/km.po                | 12 ++++++------
 po/ko.po                | 12 ++++++------
 po/ku.po                | 12 ++++++------
 po/lt.po                | 12 ++++++------
 po/mr.po                | 12 ++++++------
 po/nb.po                | 12 ++++++------
 po/ne.po                | 12 ++++++------
 po/nl.po                | 12 ++++++------
 po/nn.po                | 12 ++++++------
 po/oc.po                | 12 ++++++------
 po/pa.po                | 12 ++++++------
 po/pl.po                | 12 ++++++------
 po/pt.po                | 12 ++++++------
 po/pt_BR.po             | 12 ++++++------
 po/ro.po                | 12 ++++++------
 po/ru.po                | 12 ++++++------
 po/sk.po                | 12 ++++++------
 po/sv.po                | 12 ++++++------
 po/th.po                | 12 ++++++------
 po/tl.po                | 12 ++++++------
 po/tr.po                | 12 ++++++------
 po/vi.po                | 12 ++++++------
 po/zh_CN.po             | 12 ++++++------
 po/zh_TW.po             | 12 ++++++------
 scripts/po/ca.po        |  2 +-
 scripts/po/de.po        |  2 +-
 scripts/po/dpkg-dev.pot |  4 ++--
 scripts/po/es.po        |  2 +-
 scripts/po/fr.po        |  2 +-
 scripts/po/nl.po        |  2 +-
 scripts/po/pl.po        |  2 +-
 scripts/po/pt.po        |  2 +-
 scripts/po/ru.po        |  2 +-
 scripts/po/sv.po        |  2 +-
 85 files changed, 304 insertions(+), 304 deletions(-)

commit 98c623c8d6814ae46a3b30ca22e584c77d47d86b
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 7 14:17:07 2025 +0200

    dpkg-deb: Fix cleanup for control member with restricted directories
    
    When extracting a control member into a temporary directory, which is
    documented as being a safe operation even on untrusted data, the code
    in charge of the temporary directory cleanup does not sanitize the
    directory permissions, which is then unable to perform the «rm -rf»
    when running as a non-root user, leaving temporary files behind.
    
    Given automated and repeated execution of dpkg-deb commands on
    adversarial .deb packages or with well compressible files, placed
    inside a directory with permissions not allowing removal by a non-root
    user, this can end up with a DoS scenario due to causing disk quota
    exhaustion or disk full conditions.
    
    This is considered a minor issue, given the required conditions to
    trigger a problem with it, but an issue non the less given the
    documented security guarantees of the command. This has been an
    issue since the initial commit introducing dpkg-deb in C.
    
    We use an existing string for the error message to avoid new strings
    needing translation for stable branches, which make the error message
    less descriptive than what would be ideal. This will be improved in
    git HEAD.
    
    Reported-by: zhutyra on HackerOne
    Fixes: CVE-2025-6297
    Stable-Candidate: 1.20.x 1.21.x 1.22.x
    (cherry picked from commit ed6bbd445dd8800308c67236ba35d08004c98e82)
    (cherry picked from commit 02ad0532bd490cbc95b344f670e622a38eecfbf6)
    (cherry picked from commit d8a76551e22abe76eefd7fef5c7f51f4118eb40e)

 src/at/deb-content.at | 32 ++++++++++++++++++++++++++++++++
 src/deb/info.c        | 20 ++++++++++++++++++++
 2 files changed, 52 insertions(+)

commit 897285ae3246309be39dbfeb343bfd4f23f82d10
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jun 23 19:18:43 2025 +0200

    libdpkg: Do not segfault when adding triggers in no-act mode
    
    When we activate a trigger by calling the dpkg-trigger command with
    deferred triggers in place in no-act mode, the code was not opening
    the deferred triggers file for writing, but continued with the
    processing, and then the subsequent attempt to write into it caused
    a segmentation fault.
    
    The root problem is that in no-act mode, we should not even attempt
    to write anything. So we make the print into the file conditional on
    whether the file handle is not-NULL.
    
    Closes: #1108192
    Stable-Candidate: 1.20.x 1.21.x 1.22.x
    (cherry picked from commit b7389d6fef8d27e1cabc76b3035db0d575d26b31)

 lib/dpkg/trigdeferred.c |  3 +++
 src/Makefile.am         |  1 +
 src/at/local.at         |  6 ++++++
 src/at/testsuite.at     |  4 ++++
 src/at/trigger.at       | 22 ++++++++++++++++++++++
 5 files changed, 36 insertions(+)

commit 435c1c34bc53ffd0f96b0a63c580bbcccb25f29e
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jun 22 17:04:40 2025 +0200

    Dpkg::BuildTree: Fix needs_root() for R³ with implementation specific keywords
    
    The «dpkg-buildtree is-rootless» action was implemented on top of
    existing logic used by the dpkg Perl modules, but those were only
    concerned about dpkg specific keywords in R³.
    
    According to the specification, any implementation specific keyword
    implies that some form of root is necessary. And given that
    «dpkg-buildtree is-rootless» is now being used for example by sbuild to
    decide whether to install fakeroot, giving a wrong result can result in
    build failures.
    
    Ref: #1107971
    Fixes: commit 1a06485a77983e2471ec761a0f9bf02a921a8761
    Stable-Candidate: 1.22.x
    (cherry picked from commit bdf018b3448d9977e9dc1920d2a07ae5ccb23d04)

 scripts/Dpkg/BuildTree.pm                                |  3 ++-
 scripts/Makefile.am                                      |  5 +++++
 scripts/t/dpkg_buildtree.t                               | 16 +++++++++++++---
 .../src-rrr-dpkg-target-binary/debian/control            |  5 +++++
 .../src-rrr-dpkg-target-custom/debian/control            |  5 +++++
 .../src-rrr-dpkg-target-subcommand/debian/control        |  5 +++++
 .../src-rrr-dpkg-unknown-keyword/debian/control          |  5 +++++
 .../src-rrr-impl-specific-keyword/debian/control         |  5 +++++
 8 files changed, 45 insertions(+), 4 deletions(-)

commit aff87e743ac1a6acfd260bf040ddcc68cdf1bbef
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jun 22 17:03:42 2025 +0200

    Dpkg::BuildDriver::DebianRules: Fix R³ dpkg/target/<target> values handling
    
    The if branch validating the dpkg/target/<target> was only checking
    whether the value was a bogus official target, otherwise it was falling
    through to the next check which considered any non dpkg/target-subcommand
    value to be unknown, catching the valid dpkg/target/<target> values and
    emitting an error as if they were invalid.
    
    Stable-Candidate: 1.20.x 1.21.x 1.22.x
    (cherry picked from commit 1c6651ca90c3981bf8a417a33f61eaf25244181d)

 scripts/Dpkg/BuildDriver/DebianRules.pm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 983153966d8b81a5396afd9b0597d19014cabcde
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jun 22 17:02:54 2025 +0200

    Dpkg::BuildDriver::DebianRules: Fix uninitialized Perl variables
    
    This causes Perl warnings due to the uninitialized variables, when using
    implementation specific keyword namespaces in the Rules-Requires-Root
    field, such as the «debhelper/upstream-make-install» listed in the
    specification.
    
    Closes: #1107971
    Stable-Candidate: 1.20.x 1.21.x 1.22.x
    (cherry picked from commit 1cccf86adaefc2dabd8b3efc8afb100238b352c1)

 scripts/Dpkg/BuildDriver/DebianRules.pm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a9afb152df4c51f5050b35784a6a940a9a447357
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 1 01:07:17 2025 +0200

    Bump version to 1.22.21

 debian/changelog | 6 ++++++
 1 file changed, 6 insertions(+)

commit 8243233fc5173110798cbc22711fb4675a356d02
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jun 4 02:14:02 2025 +0200

    Release 1.22.20

 debian/changelog | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit 08247f1060dd4268f36b0f723f89c0615c37a799
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jun 4 02:12:28 2025 +0200

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        | 2 +-
 dselect/po/ca.po        | 2 +-
 dselect/po/cs.po        | 2 +-
 dselect/po/da.po        | 2 +-
 dselect/po/de.po        | 2 +-
 dselect/po/dselect.pot  | 4 ++--
 dselect/po/el.po        | 2 +-
 dselect/po/es.po        | 2 +-
 dselect/po/et.po        | 2 +-
 dselect/po/eu.po        | 2 +-
 dselect/po/fr.po        | 2 +-
 dselect/po/gl.po        | 2 +-
 dselect/po/hu.po        | 2 +-
 dselect/po/id.po        | 2 +-
 dselect/po/it.po        | 2 +-
 dselect/po/ja.po        | 2 +-
 dselect/po/ko.po        | 2 +-
 dselect/po/nb.po        | 2 +-
 dselect/po/nl.po        | 2 +-
 dselect/po/nn.po        | 2 +-
 dselect/po/pl.po        | 2 +-
 dselect/po/pt.po        | 2 +-
 dselect/po/pt_BR.po     | 2 +-
 dselect/po/ro.po        | 2 +-
 dselect/po/ru.po        | 2 +-
 dselect/po/sk.po        | 2 +-
 dselect/po/sv.po        | 2 +-
 dselect/po/tl.po        | 2 +-
 dselect/po/vi.po        | 2 +-
 dselect/po/zh_CN.po     | 2 +-
 dselect/po/zh_TW.po     | 2 +-
 man/po/dpkg-man.pot     | 4 ++--
 po/ast.po               | 2 +-
 po/bs.po                | 2 +-
 po/ca.po                | 2 +-
 po/cs.po                | 2 +-
 po/da.po                | 2 +-
 po/de.po                | 2 +-
 po/dpkg.pot             | 4 ++--
 po/dz.po                | 2 +-
 po/el.po                | 2 +-
 po/eo.po                | 2 +-
 po/es.po                | 2 +-
 po/et.po                | 2 +-
 po/eu.po                | 2 +-
 po/fr.po                | 2 +-
 po/gl.po                | 2 +-
 po/hu.po                | 2 +-
 po/id.po                | 2 +-
 po/it.po                | 2 +-
 po/ja.po                | 2 +-
 po/km.po                | 2 +-
 po/ko.po                | 2 +-
 po/ku.po                | 2 +-
 po/lt.po                | 2 +-
 po/mr.po                | 2 +-
 po/nb.po                | 2 +-
 po/ne.po                | 2 +-
 po/nl.po                | 2 +-
 po/nn.po                | 2 +-
 po/oc.po                | 2 +-
 po/pa.po                | 2 +-
 po/pl.po                | 2 +-
 po/pt.po                | 2 +-
 po/pt_BR.po             | 2 +-
 po/ro.po                | 2 +-
 po/ru.po                | 2 +-
 po/sk.po                | 2 +-
 po/sv.po                | 2 +-
 po/th.po                | 2 +-
 po/tl.po                | 2 +-
 po/tr.po                | 2 +-
 po/vi.po                | 2 +-
 po/zh_CN.po             | 2 +-
 po/zh_TW.po             | 2 +-
 scripts/po/ca.po        | 2 +-
 scripts/po/de.po        | 2 +-
 scripts/po/dpkg-dev.pot | 4 ++--
 scripts/po/es.po        | 2 +-
 scripts/po/fr.po        | 2 +-
 scripts/po/nl.po        | 2 +-
 scripts/po/pl.po        | 2 +-
 scripts/po/pt.po        | 2 +-
 scripts/po/ru.po        | 2 +-
 scripts/po/sv.po        | 2 +-
 85 files changed, 89 insertions(+), 89 deletions(-)

commit 974591cc12fdc7ef18591cd8122fcf384bc33b0e
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jun 4 01:28:19 2025 +0200

    po: Update Swedish scripts translation
    
    This restores the translation to the previous 100% coverage, after a
    last minute commit was added for a derivative.
    
    (cherry picked from commit 5140ed1c6396350ea26f1a9593cb1443304141fd)

 scripts/po/sv.po | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 7f89aacc22853c2bf09b2694e04ca14d236e0113
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jun 4 01:27:43 2025 +0200

    po: Update Portuguese scripts translation
    
    This restores the translation to the previous 100% coverage, after a
    last minute commit was added for a derivative.
    
    (cherry picked from commit 56319665113a0cf33c61288620d5408a1e7f6821)

 scripts/po/pt.po | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 8c7d3a83726058d0d9da55549201e0f1ca15dcd4
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jun 4 00:54:58 2025 +0200

    po: Update Catalan translations
    
    (cherry picked from commit fc7f1c3bfae24ec6ccc64b88ef75e3176f55ddcc)

 dselect/po/ca.po |   7 ++--
 po/ca.po         | 122 +++++++++++++++++++------------------------------------
 scripts/po/ca.po |  87 ++++++++++++++++-----------------------
 3 files changed, 79 insertions(+), 137 deletions(-)

commit c3b62f2d1a50757c713a95c4497f4eeb27a409f0
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed May 21 19:12:15 2025 +0200

    po: Update German scripts translation
    
    (cherry picked from commit 06e920a1c89e9d5d40034f1d3f56a06e5cb8f06a)

 scripts/po/de.po | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit c34cec5c57d4b74972538894f65de192b73e8943
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 21 09:56:07 2025 +0200

    Dpkg::OpenPGP::Backend::Sequoia: Run sq in stateless mode for verification
    
    For verification and for every other OpenPGP command we always run in
    stateless mode, by for example creating a temporary home directory to
    avoid the tools (such as GnuPG), to use any implicit keyrings that we
    have not explicitly passed.
    
    But for sq we have not been doing that, which changes this specific
    backend command semantics compared to the others.
    
    Explicitly pass «--home=none» to enable stateless mode.
    
    Suggested-by: Neal H. Walfield <neal@sequoia-pgp.org>
    Stable-Candidate: 1.22.x
    (cherry picked from commit 3ba0bd72d906c4bc56b7b86e63bc20198eababb1)

 scripts/Dpkg/OpenPGP/Backend/Sequoia.pm | 4 ++++
 1 file changed, 4 insertions(+)

commit cdf3ac27cddf4657d62ca165b0f157b46e5a6298
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 21 09:50:56 2025 +0200

    Dpkg::OpenPGP::Backend::Sequoia: Do not run sq/sqv to verify with no keyrings
    
    Both sq and sqv support expect a keyring to be able to verify the
    signatures, and produce rather confusing and alarming diagnostics,
    which by default are emitted as warnings.
    
    In case we have no keyrings to pass (because they are not present on
    disk for example), skip the commands invocation, and return an error
    to the effect that no valid signatures could be found. In the future
    we should instead print the keyrings that we are using and the ones we
    are skipping, and print a specific error message for this condition,
    to make the error condition more clear, but for now this is the minimal
    change that gives a less confusing UI.
    
    Closes: #1106148
    Stable-Candidate: 1.22.x
    (cherry picked from commit 6efc85c783b7a1b3aa4f18bb3a9be5faa2989dea)

 scripts/Dpkg/OpenPGP/Backend/Sequoia.pm | 2 ++
 1 file changed, 2 insertions(+)

commit 02d198aeece75f930187ff8f31079b285ebd8a88
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 19 00:42:14 2025 +0200

    Bump version to 1.22.20

 debian/changelog | 6 ++++++
 1 file changed, 6 insertions(+)

commit 8d2fd28d0862254e0eb52977cdb8abd19f5c2d4c
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 19 00:05:16 2025 +0200

    Release 1.22.19

 debian/changelog | 33 ++++++++++++++++++++++++++++++---
 1 file changed, 30 insertions(+), 3 deletions(-)

commit 386ae8ea10f5f1acd85de3f262605afb12840eb4
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 19 00:00:43 2025 +0200

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |  2 +-
 dselect/po/ca.po        |  2 +-
 dselect/po/cs.po        |  2 +-
 dselect/po/da.po        |  2 +-
 dselect/po/de.po        |  2 +-
 dselect/po/dselect.pot  |  4 ++--
 dselect/po/el.po        |  2 +-
 dselect/po/es.po        |  2 +-
 dselect/po/et.po        |  2 +-
 dselect/po/eu.po        |  2 +-
 dselect/po/fr.po        |  2 +-
 dselect/po/gl.po        |  2 +-
 dselect/po/hu.po        |  2 +-
 dselect/po/id.po        |  2 +-
 dselect/po/it.po        |  2 +-
 dselect/po/ja.po        |  2 +-
 dselect/po/ko.po        |  2 +-
 dselect/po/nb.po        |  2 +-
 dselect/po/nl.po        |  2 +-
 dselect/po/nn.po        |  2 +-
 dselect/po/pl.po        |  2 +-
 dselect/po/pt.po        |  2 +-
 dselect/po/pt_BR.po     |  2 +-
 dselect/po/ro.po        |  2 +-
 dselect/po/ru.po        |  2 +-
 dselect/po/sk.po        |  2 +-
 dselect/po/sv.po        |  2 +-
 dselect/po/tl.po        |  2 +-
 dselect/po/vi.po        |  2 +-
 dselect/po/zh_CN.po     |  2 +-
 dselect/po/zh_TW.po     |  2 +-
 man/po/dpkg-man.pot     |  4 ++--
 po/ast.po               |  2 +-
 po/bs.po                |  2 +-
 po/ca.po                |  2 +-
 po/cs.po                |  2 +-
 po/da.po                |  2 +-
 po/de.po                |  2 +-
 po/dpkg.pot             |  4 ++--
 po/dz.po                |  2 +-
 po/el.po                |  2 +-
 po/eo.po                |  2 +-
 po/es.po                |  2 +-
 po/et.po                |  2 +-
 po/eu.po                |  2 +-
 po/fr.po                |  2 +-
 po/gl.po                |  2 +-
 po/hu.po                |  2 +-
 po/id.po                |  2 +-
 po/it.po                |  2 +-
 po/ja.po                |  2 +-
 po/km.po                |  2 +-
 po/ko.po                |  2 +-
 po/ku.po                |  2 +-
 po/lt.po                |  2 +-
 po/mr.po                |  2 +-
 po/nb.po                |  2 +-
 po/ne.po                |  2 +-
 po/nl.po                |  2 +-
 po/nn.po                |  2 +-
 po/oc.po                |  2 +-
 po/pa.po                |  2 +-
 po/pl.po                |  2 +-
 po/pt.po                |  2 +-
 po/pt_BR.po             |  2 +-
 po/ro.po                |  2 +-
 po/ru.po                |  2 +-
 po/sk.po                |  2 +-
 po/sv.po                | 10 +++++-----
 po/th.po                |  2 +-
 po/tl.po                |  2 +-
 po/tr.po                |  2 +-
 po/vi.po                |  2 +-
 po/zh_CN.po             |  2 +-
 po/zh_TW.po             |  2 +-
 scripts/po/ca.po        | 14 +++++++++++++-
 scripts/po/de.po        | 14 +++++++++++++-
 scripts/po/dpkg-dev.pot | 10 ++++++++--
 scripts/po/es.po        | 14 +++++++++++++-
 scripts/po/fr.po        | 14 +++++++++++++-
 scripts/po/nl.po        | 14 +++++++++++++-
 scripts/po/pl.po        | 13 ++++++++++++-
 scripts/po/pt.po        | 14 +++++++++++++-
 scripts/po/ru.po        | 14 +++++++++++++-
 scripts/po/sv.po        | 46 +++++++++++++++++++++++++++++-----------------
 85 files changed, 222 insertions(+), 109 deletions(-)

commit f089a3c89956e5a1ff2b96361c4e0201c27d598b
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 18 23:33:30 2025 +0200

    debian: Document OpenPGP implementation dependencies
    
    Clarify that the ones are for full implementations, and the others are
    for at least verification-only implementations.
    
    Prompted-by: Paul Gevers <elbrus@debian.org>

 debian/control | 4 ++++
 1 file changed, 4 insertions(+)

commit 37bec03dc8ec79e8adcf05c13975faabe8f44b1c
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Oct 14 04:31:22 2024 +0200

    Dpkg::OpenPGP::Backend::Sequoia: Add sqv support for verification
    
    This adds support for the verification-only command from Sequoia-PGP,
    which is the one currently used by apt to perform OpenPGP verification,
    so that we can get back for example to source package verification with
    dpkg-source in minimal installations.
    
    This is possible due to the new sqv 1.3.0 API changes, which makes it
    somewhat more compatible with «sq verify», in addition to supporting
    inline-verify style signatures, which is required for the artifacts
    that we need to handle.

 debian/control                          |  9 +++++--
 scripts/Dpkg/OpenPGP/Backend/Sequoia.pm | 46 ++++++++++++++++++++++++++++-----
 scripts/Test/Dpkg.pm                    |  2 +-
 3 files changed, 48 insertions(+), 9 deletions(-)

commit f1533b552a14d60be1e02ec978c385f278e8b434
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 31 15:35:11 2025 +0000

    Test::Dpkg: Fix OpenPGP backend commands detection
    
    We were not properly checking the backends as they could end up being
    undefined and thus the checks would fail, thus not testing all the
    expected combinations.

 scripts/Test/Dpkg.pm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 301d53a993d73fb92534539d8157f3c74f804a25
Author: Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>
Date:   Wed Apr 16 03:51:33 2025 +0200

    Dpkg::Vendor::PureOS: Add new vendor module
    
    [guillem@debian.org:
     - Add file to POTFILES.in.
     - Add stopword to t/pod-spell.t. ]
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 scripts/Dpkg/Vendor/PureOS.pm | 84 +++++++++++++++++++++++++++++++++++++++++++
 scripts/Makefile.am           |  1 +
 scripts/po/POTFILES.in        |  1 +
 t/pod-spell.t                 |  1 +
 4 files changed, 87 insertions(+)

commit 6e9917da2297714ce7ff194f7fc739d6d8ba68f0
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 5 01:55:26 2025 +0200

    Dpkg::Vendor::Debian: Add tag2upload OpenPGP keyring to package-keyrings
    
    This keyring is part of the dgit infrastructure integration, and new
    source packages will be signed by certificates from this keyring.

 debian/control                | 2 ++
 scripts/Dpkg/Vendor/Debian.pm | 1 +
 2 files changed, 3 insertions(+)

commit 936c32b9308be7674384b55d4766634586668f8c
Author: Américo Monteiro <a_monteiro@gmx.com>
Date:   Sun May 18 23:26:58 2025 +0200

    po: Update Portuguese scripts translations
    
    Closes: #1105126
    Signed-off-by: Guillem Jover <guillem@debian.org>

 scripts/po/pt.po | 470 ++++++++++++++++---------------------------------------
 1 file changed, 139 insertions(+), 331 deletions(-)

commit 6d2008502a10248dc0f3b10f6604c7f3b2138b69
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Apr 24 12:44:41 2025 +0200

    libcompat: Handle allocation failures in fgetpwent() and fgetgrent()
    
    If we fail the allocation while parsing a field, we need to return NULL
    with errno set to ENOMEM (which should have been done by realloc()).
    
    Based-on-patch-by: Simon Richter <sjr@debian.org>

 lib/compat/getent.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 9df57b5305295cd571bc5ebbf90d9ab4d9244221
Author: Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
Date:   Wed Apr 16 04:04:28 2025 +0200

    po: Update Dutch translations
    
    Closes: #1101574, #1101582, #1101583
    Signed-off-by: Guillem Jover <guillem@debian.org>

 dselect/po/nl.po |  25 +++--------
 man/po/nl.po     | 130 +++++++++++++++++++------------------------------------
 po/nl.po         | 107 +++++++++++++++------------------------------
 3 files changed, 87 insertions(+), 175 deletions(-)

commit 93bbd66881f83f524995e9eaf1667867fabe3c00
Author: Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>
Date:   Wed Apr 16 04:01:26 2025 +0200

    po: Update Romanian translations
    
    Closes: #1101549, #1101550
    Signed-off-by: Guillem Jover <guillem@debian.org>

 dselect/po/ro.po |  15 ++++----
 po/ro.po         | 108 ++++++++++++++++++++-----------------------------------
 2 files changed, 45 insertions(+), 78 deletions(-)

commit 0282d274de5c2426d313706f2aa733179ec98310
Author: Paulo Henrique de Lima Santana <phls@debian.org>
Date:   Wed Apr 16 03:55:41 2025 +0200

    po: Update Brazilian Portuguese programs translation
    
    Closes: #1100999
    Signed-off-by: Guillem Jover <guillem@debian.org>

 po/pt_BR.po | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 369d227866bff440664b2f6f9feb16dab8985705
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Apr 24 13:08:20 2025 +0200

    po: Remove stray previous msgid from Portuguese man pages translation
    
    Fixes: commit 0d46da4f60c7c0b0466de14625c844ea4f9c524f
    Changelog: silent

 man/po/pt.po | 274 +++++++++--------------------------------------------------
 1 file changed, 39 insertions(+), 235 deletions(-)

commit e0b338251141e7af236783b5422b09c90fa49861
Author: Peter Krefting <peter@softwolves.pp.se>
Date:   Mon Mar 10 22:53:14 2025 +0100

    po: Update Swedish translations
    
    Closes: #1100068
    Signed-off-by: Peter Krefting <peter@softwolves.pp.se>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 dselect/po/sv.po |   27 +-
 man/po/sv.po     | 1206 +++++++++++++++++-------------------------------------
 po/sv.po         |  111 ++---
 scripts/po/sv.po |  157 ++-----
 4 files changed, 464 insertions(+), 1037 deletions(-)

commit 0d46da4f60c7c0b0466de14625c844ea4f9c524f
Author: Américo Monteiro <a_monteiro@gmx.com>
Date:   Wed Mar 19 11:05:48 2025 +0100

    po: Update Portuguese man pages translation
    
    Closes: #1100064
    Signed-off-by: Guillem Jover <guillem@debian.org>

 man/po/pt.po | 298 +++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 167 insertions(+), 131 deletions(-)

commit cbc069f9a292bf15900a57140a6aa0db2fc7292d
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 9 19:17:33 2025 +0100

    Bump version to 1.22.19

 debian/changelog | 6 ++++++
 1 file changed, 6 insertions(+)

commit 0d1bb5dcac1f2efb59308514c396c42653fcea01
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 9 19:01:08 2025 +0100

    Release 1.22.18

 debian/changelog | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit bdbf7e14e74accce10ef879b5c043cf684de1e35
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 9 19:00:01 2025 +0100

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        | 2 +-
 dselect/po/ca.po        | 2 +-
 dselect/po/cs.po        | 2 +-
 dselect/po/da.po        | 2 +-
 dselect/po/de.po        | 2 +-
 dselect/po/dselect.pot  | 4 ++--
 dselect/po/el.po        | 2 +-
 dselect/po/es.po        | 2 +-
 dselect/po/et.po        | 2 +-
 dselect/po/eu.po        | 2 +-
 dselect/po/fr.po        | 2 +-
 dselect/po/gl.po        | 2 +-
 dselect/po/hu.po        | 2 +-
 dselect/po/id.po        | 2 +-
 dselect/po/it.po        | 2 +-
 dselect/po/ja.po        | 2 +-
 dselect/po/ko.po        | 2 +-
 dselect/po/nb.po        | 2 +-
 dselect/po/nl.po        | 2 +-
 dselect/po/nn.po        | 2 +-
 dselect/po/pl.po        | 2 +-
 dselect/po/pt.po        | 2 +-
 dselect/po/pt_BR.po     | 2 +-
 dselect/po/ro.po        | 2 +-
 dselect/po/ru.po        | 2 +-
 dselect/po/sk.po        | 2 +-
 dselect/po/sv.po        | 2 +-
 dselect/po/tl.po        | 2 +-
 dselect/po/vi.po        | 2 +-
 dselect/po/zh_CN.po     | 2 +-
 dselect/po/zh_TW.po     | 2 +-
 man/po/dpkg-man.pot     | 4 ++--
 po/ast.po               | 2 +-
 po/bs.po                | 2 +-
 po/ca.po                | 2 +-
 po/cs.po                | 2 +-
 po/da.po                | 2 +-
 po/de.po                | 2 +-
 po/dpkg.pot             | 4 ++--
 po/dz.po                | 2 +-
 po/el.po                | 2 +-
 po/eo.po                | 2 +-
 po/es.po                | 2 +-
 po/et.po                | 2 +-
 po/eu.po                | 2 +-
 po/fr.po                | 2 +-
 po/gl.po                | 2 +-
 po/hu.po                | 2 +-
 po/id.po                | 2 +-
 po/it.po                | 2 +-
 po/ja.po                | 2 +-
 po/km.po                | 2 +-
 po/ko.po                | 2 +-
 po/ku.po                | 2 +-
 po/lt.po                | 2 +-
 po/mr.po                | 2 +-
 po/nb.po                | 2 +-
 po/ne.po                | 2 +-
 po/nl.po                | 2 +-
 po/nn.po                | 2 +-
 po/oc.po                | 2 +-
 po/pa.po                | 2 +-
 po/pl.po                | 2 +-
 po/pt.po                | 2 +-
 po/pt_BR.po             | 2 +-
 po/ro.po                | 2 +-
 po/ru.po                | 2 +-
 po/sk.po                | 2 +-
 po/sv.po                | 2 +-
 po/th.po                | 2 +-
 po/tl.po                | 2 +-
 po/tr.po                | 2 +-
 po/vi.po                | 2 +-
 po/zh_CN.po             | 2 +-
 po/zh_TW.po             | 2 +-
 scripts/po/ca.po        | 2 +-
 scripts/po/de.po        | 2 +-
 scripts/po/dpkg-dev.pot | 4 ++--
 scripts/po/es.po        | 2 +-
 scripts/po/fr.po        | 2 +-
 scripts/po/nl.po        | 2 +-
 scripts/po/pl.po        | 2 +-
 scripts/po/pt.po        | 2 +-
 scripts/po/ru.po        | 2 +-
 scripts/po/sv.po        | 2 +-
 85 files changed, 89 insertions(+), 89 deletions(-)

commit 613695f741bb06fcb16a906de506ac3cb1d3321d
Author: Yuri Konotopov <ykonotopov@gnome.org>
Date:   Sun Mar 9 18:47:32 2025 +0100

    Dpkg::OpenPGP::Backend::Sequoia: Add missing Dpkg::Gettext import
    
    Closes: #1099866
    Fixes: commit d231432f71925be6c6b31f47c397c6d2a8ac9f1d
    Signed-off-by: Yuri Konotopov <ykonotopov@gnome.org>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 scripts/Dpkg/OpenPGP/Backend/Sequoia.pm | 1 +
 1 file changed, 1 insertion(+)

commit f75a257025ff77b7df64d8cb2a0fd149cfce1328
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 8 01:55:42 2025 +0100

    debian: Bump Standards-Version to 4.7.2 (no changes needed)

 debian/control | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 319aad1d38878fba14c6ba366b7c9b00b1f9d638
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Fri Mar 7 16:47:04 2025 +0100

    po: Update German scripts translation

 scripts/po/de.po | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit b7e1487bd6d6f34dafd72ef0d5afb79e421f9eb3
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Fri Mar 7 16:46:29 2025 +0100

    po: Update German man pages translation

 man/po/de.po | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

commit e793a47d31cc195248eb8d2e82551f8537f90bf4
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 7 12:22:55 2025 +0100

    Bump version to 1.22.18

 debian/changelog | 6 ++++++
 1 file changed, 6 insertions(+)

commit e50a4ff7f8614e76345fe07824441c5ad7833154
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 7 12:08:31 2025 +0100

    Release 1.22.17

 debian/changelog | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit ac2ddc2c7cb43056684f6fd35f519c528d8ce769
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 7 12:07:23 2025 +0100

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        | 2 +-
 dselect/po/ca.po        | 2 +-
 dselect/po/cs.po        | 2 +-
 dselect/po/da.po        | 2 +-
 dselect/po/de.po        | 2 +-
 dselect/po/dselect.pot  | 4 ++--
 dselect/po/el.po        | 2 +-
 dselect/po/es.po        | 2 +-
 dselect/po/et.po        | 2 +-
 dselect/po/eu.po        | 2 +-
 dselect/po/fr.po        | 2 +-
 dselect/po/gl.po        | 2 +-
 dselect/po/hu.po        | 2 +-
 dselect/po/id.po        | 2 +-
 dselect/po/it.po        | 2 +-
 dselect/po/ja.po        | 2 +-
 dselect/po/ko.po        | 2 +-
 dselect/po/nb.po        | 2 +-
 dselect/po/nl.po        | 2 +-
 dselect/po/nn.po        | 2 +-
 dselect/po/pl.po        | 2 +-
 dselect/po/pt.po        | 2 +-
 dselect/po/pt_BR.po     | 2 +-
 dselect/po/ro.po        | 2 +-
 dselect/po/ru.po        | 2 +-
 dselect/po/sk.po        | 2 +-
 dselect/po/sv.po        | 2 +-
 dselect/po/tl.po        | 2 +-
 dselect/po/vi.po        | 2 +-
 dselect/po/zh_CN.po     | 2 +-
 dselect/po/zh_TW.po     | 2 +-
 man/po/dpkg-man.pot     | 4 ++--
 po/ast.po               | 2 +-
 po/bs.po                | 2 +-
 po/ca.po                | 2 +-
 po/cs.po                | 2 +-
 po/da.po                | 2 +-
 po/de.po                | 2 +-
 po/dpkg.pot             | 4 ++--
 po/dz.po                | 2 +-
 po/el.po                | 2 +-
 po/eo.po                | 2 +-
 po/es.po                | 2 +-
 po/et.po                | 2 +-
 po/eu.po                | 2 +-
 po/fr.po                | 2 +-
 po/gl.po                | 2 +-
 po/hu.po                | 2 +-
 po/id.po                | 2 +-
 po/it.po                | 2 +-
 po/ja.po                | 2 +-
 po/km.po                | 2 +-
 po/ko.po                | 2 +-
 po/ku.po                | 2 +-
 po/lt.po                | 2 +-
 po/mr.po                | 2 +-
 po/nb.po                | 2 +-
 po/ne.po                | 2 +-
 po/nl.po                | 2 +-
 po/nn.po                | 2 +-
 po/oc.po                | 2 +-
 po/pa.po                | 2 +-
 po/pl.po                | 2 +-
 po/pt.po                | 2 +-
 po/pt_BR.po             | 2 +-
 po/ro.po                | 2 +-
 po/ru.po                | 2 +-
 po/sk.po                | 2 +-
 po/sv.po                | 2 +-
 po/th.po                | 2 +-
 po/tl.po                | 2 +-
 po/tr.po                | 2 +-
 po/vi.po                | 2 +-
 po/zh_CN.po             | 2 +-
 po/zh_TW.po             | 2 +-
 scripts/po/ca.po        | 2 +-
 scripts/po/de.po        | 2 +-
 scripts/po/dpkg-dev.pot | 4 ++--
 scripts/po/es.po        | 2 +-
 scripts/po/fr.po        | 2 +-
 scripts/po/nl.po        | 2 +-
 scripts/po/pl.po        | 2 +-
 scripts/po/pt.po        | 2 +-
 scripts/po/ru.po        | 2 +-
 scripts/po/sv.po        | 2 +-
 85 files changed, 89 insertions(+), 89 deletions(-)

commit 6f494470644fbedac6242de053af27d520d9928a
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 7 12:02:43 2025 +0100

    libdpkg: Do not crash on missing sysuser or sysgroup system database files
    
    The check for a NULL out of the file open was lost during a last minute
    refactoring. This causes dpkg to crash when the system does not have yet
    a sysuser (by default /etc/passwd) or sysgroup (by default /etc/group)
    database files on disk yet.
    
    Fixes: commit 850bef3ef2817227ecea47370ee124f9f3bfcf82
    Reported-by: Marc Haber <mh+debian-packages@zugschlus.de>

 lib/dpkg/sysuser.c | 4 ++++
 1 file changed, 4 insertions(+)

commit ba9a2ccf035cc54655e917df29546d1eafe11c25
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 7 03:51:19 2025 +0100

    Bump version to 1.22.17

 debian/changelog | 6 ++++++
 1 file changed, 6 insertions(+)

commit 238f25f813c8de3f8325aab5248c55b6decba66f
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 7 03:06:42 2025 +0100

    Release 1.22.16

 debian/changelog | 74 +++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 71 insertions(+), 3 deletions(-)

commit 8b97325da669b04a142cc0910bb702cc79ae9a14
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 7 03:03:54 2025 +0100

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |  2 +-
 dselect/po/ca.po        |  2 +-
 dselect/po/cs.po        |  2 +-
 dselect/po/da.po        |  2 +-
 dselect/po/de.po        |  2 +-
 dselect/po/dselect.pot  |  4 ++--
 dselect/po/el.po        |  2 +-
 dselect/po/es.po        |  2 +-
 dselect/po/et.po        |  2 +-
 dselect/po/eu.po        |  2 +-
 dselect/po/fr.po        |  2 +-
 dselect/po/gl.po        |  2 +-
 dselect/po/hu.po        |  2 +-
 dselect/po/id.po        |  2 +-
 dselect/po/it.po        |  2 +-
 dselect/po/ja.po        |  2 +-
 dselect/po/ko.po        |  2 +-
 dselect/po/nb.po        |  2 +-
 dselect/po/nl.po        |  2 +-
 dselect/po/nn.po        |  2 +-
 dselect/po/pl.po        |  2 +-
 dselect/po/pt.po        |  2 +-
 dselect/po/pt_BR.po     |  2 +-
 dselect/po/ro.po        |  2 +-
 dselect/po/ru.po        |  2 +-
 dselect/po/sk.po        |  2 +-
 dselect/po/sv.po        |  2 +-
 dselect/po/tl.po        |  2 +-
 dselect/po/vi.po        |  2 +-
 dselect/po/zh_CN.po     |  2 +-
 dselect/po/zh_TW.po     |  2 +-
 man/po/de.po            | 44 +++++++++++++++++++++++++++++++++++++++-----
 man/po/dpkg-man.pot     | 33 +++++++++++++++++++++++++++++++--
 man/po/es.po            | 37 ++++++++++++++++++++++++++++++++++++-
 man/po/fr.po            | 37 ++++++++++++++++++++++++++++++++++++-
 man/po/hu.po            | 35 ++++++++++++++++++++++++++++++++++-
 man/po/it.po            | 37 ++++++++++++++++++++++++++++++++++++-
 man/po/ja.po            | 37 ++++++++++++++++++++++++++++++++++++-
 man/po/nl.po            | 37 ++++++++++++++++++++++++++++++++++++-
 man/po/pl.po            | 37 ++++++++++++++++++++++++++++++++++++-
 man/po/pt.po            | 37 ++++++++++++++++++++++++++++++++++++-
 man/po/pt_BR.po         | 36 +++++++++++++++++++++++++++++++++++-
 man/po/ru.po            | 36 +++++++++++++++++++++++++++++++++++-
 man/po/sv.po            | 37 ++++++++++++++++++++++++++++++++++++-
 man/po/zh_CN.po         | 33 ++++++++++++++++++++++++++++++++-
 po/ast.po               | 13 ++++++++++++-
 po/bs.po                | 12 +++++++++++-
 po/ca.po                | 15 ++++++++++++++-
 po/cs.po                | 14 +++++++++++++-
 po/da.po                | 13 ++++++++++++-
 po/de.po                |  2 +-
 po/dpkg.pot             | 14 ++++++++++++--
 po/dz.po                | 13 ++++++++++++-
 po/el.po                | 13 ++++++++++++-
 po/eo.po                | 13 ++++++++++++-
 po/es.po                | 14 +++++++++++++-
 po/et.po                | 13 ++++++++++++-
 po/eu.po                | 13 ++++++++++++-
 po/fr.po                | 14 +++++++++++++-
 po/gl.po                | 13 ++++++++++++-
 po/hu.po                | 13 ++++++++++++-
 po/id.po                | 13 ++++++++++++-
 po/it.po                | 13 ++++++++++++-
 po/ja.po                | 13 ++++++++++++-
 po/km.po                | 13 ++++++++++++-
 po/ko.po                | 13 ++++++++++++-
 po/ku.po                | 12 +++++++++++-
 po/lt.po                | 13 ++++++++++++-
 po/mr.po                | 13 ++++++++++++-
 po/nb.po                | 13 ++++++++++++-
 po/ne.po                | 13 ++++++++++++-
 po/nl.po                | 14 +++++++++++++-
 po/nn.po                | 12 +++++++++++-
 po/oc.po                | 13 ++++++++++++-
 po/pa.po                | 13 ++++++++++++-
 po/pl.po                | 15 ++++++++++++++-
 po/pt.po                | 14 +++++++++++++-
 po/pt_BR.po             | 14 +++++++++++++-
 po/ro.po                | 16 +++++++++++++++-
 po/ru.po                | 15 ++++++++++++++-
 po/sk.po                | 13 ++++++++++++-
 po/sv.po                | 14 +++++++++++++-
 po/th.po                | 14 +++++++++++++-
 po/tl.po                | 12 +++++++++++-
 po/tr.po                | 13 ++++++++++++-
 po/vi.po                | 13 ++++++++++++-
 po/zh_CN.po             | 14 +++++++++++++-
 po/zh_TW.po             | 14 +++++++++++++-
 scripts/po/ca.po        | 10 +++++++++-
 scripts/po/de.po        | 10 +++++++++-
 scripts/po/dpkg-dev.pot | 12 ++++++++++--
 scripts/po/es.po        | 10 +++++++++-
 scripts/po/fr.po        | 10 +++++++++-
 scripts/po/nl.po        | 10 +++++++++-
 scripts/po/pl.po        | 10 +++++++++-
 scripts/po/pt.po        | 10 +++++++++-
 scripts/po/ru.po        | 10 +++++++++-
 scripts/po/sv.po        | 10 +++++++++-
 98 files changed, 1137 insertions(+), 106 deletions(-)

commit 2f630a6b42037e822f808df0f27acc7c9aee7921
Author: Paulo Henrique de Lima Santana <phls@debian.org>
Date:   Fri Mar 7 02:59:16 2025 +0100

    po: Update Brazilian Portuguese programs translation
    
    Closes: #1099687
    Signed-off-by: Guillem Jover <guillem@debian.org>

 po/pt_BR.po | 840 ++++++++++++++++++++++++++++--------------------------------
 1 file changed, 391 insertions(+), 449 deletions(-)

commit 4c53f1805c849be2f9bed6f3a5d3c55ce00bf5dd
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Oct 14 04:31:22 2024 +0200

    Dpkg::OpenPGP::Backend::Sequoia: Refactor cmd and cmdv handling
    
    This is a preparatory refactoring to make it trivial to add «sqv»
    support once version 1.3.0 is available, which has changed its API
    to match the «sq verify» one, and implemented inline-verify support.

 scripts/Dpkg/OpenPGP/Backend/Sequoia.pm | 38 ++++++++++++++++++++++++---------
 1 file changed, 28 insertions(+), 10 deletions(-)

commit a352fcbf81de9b65f4eaf9f85c417fb480b4523a
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 6 14:23:15 2025 +0100

    build: Add missing file for distribution
    
    Fixes: commit 96abda633cdf2e606592e503684b33abce2ef735
    Changelog: silent

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 850bef3ef2817227ecea47370ee124f9f3bfcf82
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Aug 27 04:30:15 2023 +0200

    libdpkg: Add support for sysuser/sysgroup specific to each chroot
    
    When operating on a chroot via --root, we should always parse the
    passwd and group files from within that chroot, and not from the
    host system.
    
    We now parse the passwd and group files explicitly, so that we can
    use the pathname of our choosing. The defaults are /etc/passwd and
    /etc/group which can be overridden with the new environment variables
    DPKG_PATH_PASSWD and DPKG_PATH_GROUP, all relative to the --root
    pathname. Although we currently hardcode these paths, which we
    previously delegated to the libc, these are pretty standard locations
    and this was not working for chroots anyway. We might eventually make
    this selectable at configure time, but for now the defaults and the
    environment variables should be good enough.
    
    Closes: #1033051

 debian/copyright          |   2 +-
 lib/dpkg/Makefile.am      |   1 +
 lib/dpkg/sysuser.c        | 119 ++++++++++++++++++++++++++++++++--
 lib/dpkg/t/.gitignore     |   1 +
 lib/dpkg/t/t-sysuser.c    | 162 ++++++++++++++++++++++++++++++++++++++++++++++
 man/dpkg-deb.pod          |  16 +++++
 man/dpkg-statoverride.pod |  16 +++++
 man/dpkg.pod              |  16 +++++
 8 files changed, 325 insertions(+), 8 deletions(-)

commit 4dd216f377bee166fe6326e5f2d16db20a4ad188
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Feb 16 15:09:39 2025 +0100

    libcompat: Add compatibility functions for fgetpwent() and fgetgrent()
    
    These functions are missing on some systems such as FreeBSD, NetBSD,
    OpenBSD, macOS or AIX.
    
    We add the unit tests into the libdpkg, because that's what contains the
    required infrastructure for the test suite.

 configure.ac                        |   2 +
 lib/compat/Makefile.am              |   9 ++
 lib/compat/compat.h                 |  24 ++++
 lib/compat/getent.c                 | 226 ++++++++++++++++++++++++++++++++++++
 lib/dpkg/Makefile.am                |  11 ++
 lib/dpkg/t/.gitignore               |   1 +
 lib/dpkg/t/data/sysuser/group.base  |   8 ++
 lib/dpkg/t/data/sysuser/group.nis   |  10 ++
 lib/dpkg/t/data/sysuser/passwd.base |   8 ++
 lib/dpkg/t/data/sysuser/passwd.nis  |  10 ++
 lib/dpkg/t/t-compat-getent.c        | 191 ++++++++++++++++++++++++++++++
 11 files changed, 500 insertions(+)

commit d01550dc4ab0357583ba2b35fc3de7c558af2892
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 5 23:17:30 2025 +0100

    test: Pass --root-owner-group to dpkg-deb in functional tests
    
    Recent dpkg-deb emits warnings when the root directory for the package
    being built has unexpected owners.

 tests/Test.mk | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 96abda633cdf2e606592e503684b33abce2ef735
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 6 13:55:25 2025 +0100

    debian: Add a NEWS entry to dpkg-dev for Rules-Requires-Root default change
    
    Add a brief entry mentioning the change with a reference to the wiki
    page that will explain what to do in case the build fails or the package
    needs root privileges.

 debian/dpkg-dev.NEWS | 9 +++++++++
 1 file changed, 9 insertions(+)

commit d231432f71925be6c6b31f47c397c6d2a8ac9f1d
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Feb 20 03:44:43 2025 +0100

    Dpkg::OpenPGP::Backend::Sequoia: Add a hint about authorizing own keys
    
    These would ideally be emitted by sq itself, but for now this hint is
    better than nothing, and might direct users to a solution that might not
    be obvious.

 scripts/Dpkg/OpenPGP/Backend/Sequoia.pm | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit e8fbdd6c9ebd99f99c8f2f5128f6c9fde5f8cd1a
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 5 14:09:28 2025 +0100

    test: Update ChangeLog.old file size after typo fix
    
    Fixes: commit 59869f1ca492a67800ff429d9d36699676990657
    Changelog: silent

 src/at/deb-format.at | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit 6075bce9794d63c6fa1a9d9ddbf311feb1f698f8
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 5 10:17:29 2025 +0100

    s-s-d: Reformat license/copyright comment header
    
    Make the header easier to parse, by placing author entries per line,
    with intended comments for the license grants, and the changes.
    
    While keeping the changelog here does not follow the project style,
    we leave this in for now, until the general license situation of the
    file gets clarified, where ideally it would get a proper license, then
    the changelog can simply be removed.
    
    Changelog: internal

 utils/start-stop-daemon.c | 35 +++++++++++++++++++----------------
 1 file changed, 19 insertions(+), 16 deletions(-)

commit 821646e39d33c0c5c5d386cf386bab033af53bdb
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 5 10:15:43 2025 +0100

    doc: Split and sort copyright statements
    
    Place one copyright statement per author, instead of coalescing them
    together for different ones even if they share the same time span,
    sort by year, and remove unnecessary provenance information.

 man/deb-changelog.pod          | 3 ++-
 man/deb-control.pod            | 4 +++-
 man/deb-version.pod            | 4 ++--
 src/dpkg-maintscript-helper.sh | 4 ++--
 4 files changed, 9 insertions(+), 6 deletions(-)

commit 59869f1ca492a67800ff429d9d36699676990657
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 5 09:58:09 2025 +0100

    doc: Remove trailing angle bracket

 ChangeLog.old    | 2 +-
 debian/changelog | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3c5724a6fb37b7fb82b04c128c17dbc003f8e072
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 2 04:21:13 2025 +0100

    test: Update cppcheck to request C++14 to match expected baseline
    
    This is the baseline specified in the coding style, and selected in
    configure, so we should make the check match.

 t/cppcheck.t | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3564a77869dca55a84835cca5e20f9f448a713c2
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 2 04:19:26 2025 +0100

    dselect, test: Mark C++ destructors on derived classes as override
    
    We are overriding a virtual destructor from virtual base class, so we
    need to mark the destructor as an override.
    
    Warned-by: cppcheck
    Changelog: internal

 dselect/method.h                   | 2 +-
 dselect/pkglist.h                  | 2 +-
 scripts/t/Dpkg_Shlibs/patterns.cpp | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 756f4a4d7bba830a0e2d920756a5c6d3c0c60c41
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Feb 28 02:13:21 2025 +0100

    dpkg-db-keeper: Fix pathname in example dpkg.cfg snippet
    
    These tools are namespaced within a dpkg subdirectory, we should at
    least make the example look like a more realistic example to use.

 src/dpkg-db-keeper.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9292e0994c7397df34ddb77273e641abfd32e41a
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Feb 25 05:25:47 2025 +0100

    s-s-d: Move Solaris _FILE_OFFSET_BITS undef after other header setup macros
    
    These belong together.
    
    Changelog: internal

 utils/start-stop-daemon.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit ab5a555339f51d823fead64d9e740a31099e4011
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Feb 25 05:21:26 2025 +0100

    s-s-d: Move <compat.h> and <dpkg/macros.h> after OS and header setup macros
    
    We are setting several macros to change the behavior of headers we are
    including, and because we might end up including multiple of them
    depending on the compatibility code enabled or for types from the
    <dpkg/macros.h> header, these might end up not taking effect, later
    on due to header re-inclusion protection.
    
    So we need to define those as early as possible, which means just after
    <config.h> and before anything else.
    
    This fixes a build failure on NetBSD 10.1, where the _KMEMUSER was not
    taking effect and the <proc.h> was missing definitions for the vaddr_t
    type.
    
    Changelog: porting

 utils/start-stop-daemon.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 3894c29f419bbbcd059d2a694ed8d0b6b0221a28
Author: Paulo Henrique de Lima Santana <phls@debian.org>
Date:   Tue Feb 25 05:29:20 2025 +0100

    po: Update Brazilian Portuguese dselect translations
    
    Closes: #1098464
    Signed-off-by: Guillem Jover <guillem@debian.org>

 dselect/po/pt_BR.po | 32 +++++++++-----------------------
 1 file changed, 9 insertions(+), 23 deletions(-)

commit 54d65b032f24a6ea9d24f610dbf9f618e2f100ff
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Thu Feb 20 17:57:52 2025 +0100

    po: Update German programs translation
    
    Update to 1202t.

 po/de.po | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit e91038dc7b20923c7bffb8ec6afd4faa6ee0770b
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Feb 16 13:14:00 2025 +0100

    libdpkg: Update missing symbols to the version map
    
    Changelog: internal

Notes:
    Changelog: silent

 lib/dpkg/libdpkg.map | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit b0c744b238d5fe8c8f8b5cc61f111b4d995fcaff
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Oct 14 13:13:35 2024 +0200

    libdpkg: Cache root user/group to UID/GID mapping to speed up unpacking
    
    On glibc systems, each time we need to resolve from a user/group name to
    their uid/gid, which happens for most unpacked files, we end up opening,
    parsing and closing the passwd and group databases. If we cache the UID
    mapping for the "root" user and group, even though on some systems the
    root group is called either "wheel" (on macOS) or "system" (on AIX), we
    should skip a bunch of repeated and unnecessary work for every unpack.

 lib/dpkg/sysuser.c | 74 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 74 insertions(+)

commit 15b738f17ad253cef005a440f208b306eba89ab1
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Aug 27 03:52:23 2023 +0200

    libdpkg: Refactor passwd and group fetching into functions
    
    These are necessary for --root operation and to add support for
    sysusers and sysgroups.

 lib/dpkg/Makefile.am        |  2 ++
 lib/dpkg/db-fsys-override.c |  5 ++--
 lib/dpkg/sysuser.c          | 56 +++++++++++++++++++++++++++++++++++++++++++++
 lib/dpkg/sysuser.h          | 45 ++++++++++++++++++++++++++++++++++++
 lib/dpkg/tarfn.c            |  5 ++--
 po/POTFILES.in              |  1 +
 src/statoverride/main.c     |  5 ++--
 7 files changed, 113 insertions(+), 6 deletions(-)

commit 0bee4fa4a8798d2b5637420ea9e9bc0185c9a0fb
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Aug 27 03:49:03 2023 +0200

    libdpkg: Remove unused pwd.h and grp.h header includes

 lib/dpkg/db-fsys-divert.c | 2 --
 lib/dpkg/db-fsys-files.c  | 2 --
 2 files changed, 4 deletions(-)

commit 25634a0099f388a4c72f689c66a7f5b9cfe1c6dd
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Nov 18 13:39:46 2023 +0100

    Add support for native arch definition for chroots
    
    When operating over a non-default root directory, we need to switch the
    native architecture and use the one from the dpkg installed in that
    chroot, instead of our current one.
    
    This information is available in the status database, but that would
    require parsing it and hardcoding the package name dpkg is shipped,
    which might not match the one used inside that chroot.
    
    We could also ship a file with the native architecture, that then we can
    load. But that implies hardcoding the pathname for a filesystem file
    (in contrast to the database pathname which we need anyway and can
    specify via --admindir), which is a distribution specific policy, and
    might end up not being loaded if the appropriate pathname is not passed,
    making the native architecture become out of sync with the one in the
    database.
    
    The approach selected as the better one is to generate a file in the
    database directory during package installation, so that we also cover
    cross-grades. In the future we might provide a new action or helper to
    populate a chroot directory for foreign installations, so that this does
    not need to be done by bootstrapping programs.
    
    Closes: #825385, #1020533

 debian/dpkg.postinst |  8 ++++++++
 lib/dpkg/arch.c      | 37 +++++++++++++++++++++++++++++++++++++
 lib/dpkg/arch.h      |  1 +
 src/Makefile.am      |  1 +
 src/at/dpkg-arch.at  | 30 ++++++++++++++++++++++++++++++
 src/at/testsuite.at  |  2 ++
 src/main/enquiry.c   |  2 ++
 7 files changed, 81 insertions(+)

commit 17292a4568a86cd8644dc540b063568038a1440f
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 10 00:42:22 2025 +0100

    test: Refactor database files creation into new DPKG_GEN_DB_FILE macro

 src/at/local.at | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit d45709fa74a9a0fc9ed550d2cf79d0cc643662c5
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Nov 18 14:28:56 2023 +0100

    libdpkg: Normalize root dir setting
    
    We should not assign the root directory if it is referring to the actual
    root of the system, to avoid bypassing some of the code assumptions.

 lib/dpkg/dbdir.c    |  5 +++--
 lib/dpkg/fsys-dir.c | 21 +++++++++++++++++----
 src/at/chdir.at     | 20 ++++++++++++++++++++
 3 files changed, 40 insertions(+), 6 deletions(-)

commit 2ef72befaa2ff1a93cc9e90d202f54ecefeafcad
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 15 20:17:54 2024 +0200

    libdpkg: Add new file_canonicalize() function
    
    Try to canonicalize a pathname based on what is on the filesystem. If
    the pathname does not exist, then try a lexical canonicalization.

 lib/dpkg/file.c     | 24 ++++++++++++++++++++++++
 lib/dpkg/file.h     |  3 +++
 lib/dpkg/t/t-file.c | 39 ++++++++++++++++++++++++++++++++++++++-
 3 files changed, 65 insertions(+), 1 deletion(-)

commit a47530f1649b81d9feb85fefff1e96ee468bd768
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 20 02:06:05 2024 +0200

    libdpkg: Add new file_realpath() function
    
    This function wraps the system realpath(3) function and handles whether
    it supports the POSIX.1-2008 semantics where passing a NULL argument for
    the resolved pathname makes the function allocate the necessary memory.
    
    We key this legacy fallback on whether PATH_MAX is defined, as the
    systems that might not have the required semantics do define that macro,
    even if POSIX specifies that defining it is optional.

 lib/dpkg/file.c      | 40 ++++++++++++++++++++++++++++++++++++++++
 lib/dpkg/file.h      |  3 +++
 lib/dpkg/libdpkg.map |  1 +
 lib/dpkg/t/t-file.c  | 21 ++++++++++++++++++++-
 4 files changed, 64 insertions(+), 1 deletion(-)

commit b76d83a803fa2ba649a3398fac1e851cd730da30
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 15 20:07:33 2024 +0200

    libdpkg: Add new path_canonicalize() function
    
    This function perform lexical canonicalization of a pathname.

 lib/dpkg/path.c     | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 lib/dpkg/path.h     |  2 ++
 lib/dpkg/t/t-path.c | 33 ++++++++++++++++++++++++++++++++-
 3 files changed, 82 insertions(+), 1 deletion(-)

commit b234e83ba333a5b86e562e89e095858dcb8ee2dd
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 22 23:07:40 2024 +0200

    libdpkg: Add new strvec module
    
    This module implements a string vector type.

 lib/dpkg/Makefile.am  |   3 +
 lib/dpkg/strvec.c     | 145 +++++++++++++++++++++++++++++
 lib/dpkg/strvec.h     |  78 ++++++++++++++++
 lib/dpkg/t/.gitignore |   1 +
 lib/dpkg/t/t-strvec.c | 252 ++++++++++++++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in        |   1 +
 6 files changed, 480 insertions(+)

commit 01a8c8205ce4f0dd6f5576b9a8bdc4b7671423cd
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Feb 16 11:37:35 2025 +0100

    Test::Dpkg: Handle missing cmdv definitions
    
    For SOP commands that currently do not have a matching cmdv, we removed
    their definition (which was set to "none"), but the code checking
    whether this was present on disk did not get updated.
    
    Fixes: commit 5a6f12663d04d5b688ff23088eecbd5767c74438
    Changelog: silent

 scripts/Test/Dpkg.pm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1aeeff1cce128cef371045fb62437f7072c9d095
Author: Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
Date:   Sun Feb 9 17:05:03 2025 +0100

    po: Update Dutch man pages translations
    
    Closes: #1095412
    Signed-off-by: Guillem Jover <guillem@debian.org>

 man/po/nl.po | 676 +++++++++++------------------------------------------------
 1 file changed, 127 insertions(+), 549 deletions(-)

commit 876a113fed8b194a9c79e0a04383c62ca7d15f4f
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Feb 9 17:03:42 2025 +0100

    man: Remove trailing space
    
    Closes: #1095542

 man/deb-triggers.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 39dcfdbe8e0664569afc6e6570dd1184065a2a7c
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 16 01:49:27 2025 +0100

    Dpkg::OpenPGP::Backend::GnuPG: Do not add the newline workaround for gpg-sq
    
    This is an issue specific to GnuPG, and for the Sequoia Chameleon this
    causes a duplicate newline on the signed file.

 scripts/Dpkg/OpenPGP/Backend/GnuPG.pm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 0d366f052da26b99fdc72c71dae8500ccfd833d5
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Feb 9 00:15:09 2025 +0100

    Dpkg::OpenPGP::Backend::GnuPG: Refactor newline workaround into a function
    
    Turn the logic and its effects into a function so that then we can later
    on conditionally call it only when necessary.

 scripts/Dpkg/OpenPGP/Backend/GnuPG.pm | 28 ++++++++++++++++++++--------
 1 file changed, 20 insertions(+), 8 deletions(-)

commit 1f9a47a35c456a84e1bba9aa7f5fd806c66701ea
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 16 01:39:16 2025 +0100

    debian: Move gnupg and gpgv as the last alternatives
    
    The GnuPG project has opted out of the OpenPGP standardization process,
    and will not be adopting new OpenPGP RFCs going forward, instead trying
    to advance its own specification that had no consensus within the IETF
    working group. This poses a very concerning schism in the OpenPGP
    ecosystem.
    
    Given that these are either Recommends or Suggests, and that if the
    GnuPG packages are already installed the dependencies will also be
    already satisfied, it seems safe to flip the order.

 debian/control | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a3dbcb32fcc9264013006cbe974ba0ee2aa2f2ad
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 16 01:44:20 2025 +0100

    debian: Add OpenPGP tools to Build-Depends as pkg.dpkg.author-testing build profile
    
    We should be testing all light weight dependency-wise OpenPGP
    implementations that we support sq during our author tests, more so
    if some of these are to become the primary recommended OpenPGP
    implementation in the future.

 debian/control | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 46540393144883ba08e1997c875aa25aa76ae2c5
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 10 00:48:44 2025 +0100

    build: Avoid explicitly escaped hash characters in automake files
    
    Warned-by: automake

 build-aux/subst.am | 3 ++-
 man/Makefile.am    | 2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 5a6f12663d04d5b688ff23088eecbd5767c74438
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jan 15 00:40:28 2025 +0100

    Dpkg::OpenPGP::Backend::SOP: Add sopv support
    
    This is the verification-only stable subset from SOP, where the
    commands only implement the minimum required for verification, which
    is one of the most common operations when dealing with packaging
    artifacts.

 debian/control                      |  4 ++--
 scripts/Dpkg/OpenPGP/Backend/SOP.pm | 22 +++++++++++++++++-----
 scripts/Test/Dpkg.pm                | 11 +++++++----
 3 files changed, 26 insertions(+), 11 deletions(-)

commit 1109fdfd00d3881ee0adcffdc66095a540b08ee4
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Feb 6 10:36:42 2025 +0100

    test: Add OpenPGP cmdv testing support
    
    List the cmdv programs to use for each backend, and generate
    combinations to test for with cmd and cmdv.

 scripts/Test/Dpkg.pm     | 29 ++++++++++++++++++++++++++---
 scripts/t/Dpkg_OpenPGP.t | 15 ++++++++++-----
 2 files changed, 36 insertions(+), 8 deletions(-)

commit 0284e2a346c13ea7912af9549f061fbdcc285a0c
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Feb 6 10:36:05 2025 +0100

    test: Rework OpenPGP backend selection to prepare for cmdv support
    
    Unify all backend information into a single list, and use that to select
    the various variants of the backends.

 scripts/Test/Dpkg.pm     | 59 +++++++++++++++++++++++++++++++-----------------
 scripts/t/Dpkg_OpenPGP.t | 23 +++++++++++--------
 2 files changed, 51 insertions(+), 31 deletions(-)

commit 32323130dab7e1e5ee1a58ed58aef33d7d32898c
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Feb 6 10:36:05 2025 +0100

    test: Skip OpenPGP backend tests based on available cmd and cmdv programs
    
    This is a requirement for when we add better cmd vs cmdv support.

 scripts/t/Dpkg_OpenPGP.t | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 6839c8346115dcf1f5fe1a7fd26a360512725972
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 8 14:10:03 2025 +0100

    Dpkg::OpenPGP::Backend: Support disabling cmd and cmdv via 'none' value
    
    For testing purposes, to be able to exercise different code paths,
    it is desirable to be able to disable either cmd or cmdv with a value
    that we can be certain will never match on the filesystem. Instead of
    hoping that «none» will not exist on disk, handle it explicitly in the
    detection code.

 scripts/Dpkg/OpenPGP/Backend.pm | 2 ++
 1 file changed, 2 insertions(+)

commit a0829640d9cc6b1ac020bd1e2a913ba7deb51696
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Feb 6 10:44:31 2025 +0100

    Dpkg::OpenPGP::Backend: Generalize has_verify_cmd()
    
    We can extend the implementation to automatically support backends that
    have support for cmdv and ones that do not based on whether they have a
    DEFAULT_CMDV list.
    
    This makes it possible to remove the GnuPG backend specific implementation.

 scripts/Dpkg/OpenPGP/Backend.pm       | 4 +++-
 scripts/Dpkg/OpenPGP/Backend/GnuPG.pm | 6 ------
 2 files changed, 3 insertions(+), 7 deletions(-)

commit aae249823e350c348471b03f0e8b104297b9f08b
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 8 16:50:03 2025 +0100

    Dpkg::OpenPGP::Backend::GnuPG: Do not require cmdstore for backend command
    
    We do not require the cmdstore to be present whenever we do many of the
    cmd operations, and when we require it we have a dedicated function to
    check whether we can use secret material.
    
    This means we can now use the gpg backend command even when gpg-agent is
    not installed.

 scripts/Dpkg/OpenPGP/Backend/GnuPG.pm | 6 ------
 1 file changed, 6 deletions(-)

commit 1de5941990566e5e8d94c9f82c0ae38945e9e9be
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Feb 5 17:49:00 2025 +0100

    po: Update German man pages translation

 man/po/de.po | 106 ++++++++++++++++++++---------------------------------------
 1 file changed, 35 insertions(+), 71 deletions(-)

commit a7b3d785c3abac9d6659294badd071cdcf63d31b
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 3 12:43:30 2025 +0100

    Bump version to 1.22.16

 debian/changelog | 6 ++++++
 1 file changed, 6 insertions(+)

commit afb41eb04222a40205a9b0b03bb69a2d449924ed
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 3 12:02:40 2025 +0100

    Release 1.22.15

 debian/changelog | 28 +++++++++++++++++++++++++---
 1 file changed, 25 insertions(+), 3 deletions(-)

commit 81aab91fd2b97660d76314750009bd174c1c95f8
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 3 12:01:24 2025 +0100

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |   2 +-
 dselect/po/ca.po        |   2 +-
 dselect/po/cs.po        |   2 +-
 dselect/po/da.po        |   2 +-
 dselect/po/de.po        |   2 +-
 dselect/po/dselect.pot  |   4 +-
 dselect/po/el.po        |   2 +-
 dselect/po/es.po        |   2 +-
 dselect/po/et.po        |   2 +-
 dselect/po/eu.po        |   2 +-
 dselect/po/fr.po        |   2 +-
 dselect/po/gl.po        |   2 +-
 dselect/po/hu.po        |   2 +-
 dselect/po/id.po        |   2 +-
 dselect/po/it.po        |   2 +-
 dselect/po/ja.po        |   2 +-
 dselect/po/ko.po        |   2 +-
 dselect/po/nb.po        |   2 +-
 dselect/po/nl.po        |   2 +-
 dselect/po/nn.po        |   2 +-
 dselect/po/pl.po        |   2 +-
 dselect/po/pt.po        |   2 +-
 dselect/po/pt_BR.po     |   2 +-
 dselect/po/ro.po        |   2 +-
 dselect/po/ru.po        |   2 +-
 dselect/po/sk.po        |   2 +-
 dselect/po/sv.po        |   2 +-
 dselect/po/tl.po        |   2 +-
 dselect/po/vi.po        |   2 +-
 dselect/po/zh_CN.po     |   2 +-
 dselect/po/zh_TW.po     |   2 +-
 man/po/de.po            | 181 ++++++++++++++++++++++++++++++++++++++++--------
 man/po/dpkg-man.pot     | 103 ++++++++++++++++++++++-----
 man/po/es.po            | 121 +++++++++++++++++++++++++++-----
 man/po/fr.po            | 155 ++++++++++++++++++++++++++++++++++++-----
 man/po/hu.po            | 107 +++++++++++++++++++++++-----
 man/po/it.po            | 125 ++++++++++++++++++++++++++++-----
 man/po/ja.po            | 119 ++++++++++++++++++++++++++-----
 man/po/nl.po            | 156 ++++++++++++++++++++++++++++++++++++-----
 man/po/pl.po            | 119 ++++++++++++++++++++++++++-----
 man/po/pt.po            | 157 ++++++++++++++++++++++++++++++++++++-----
 man/po/pt_BR.po         | 107 +++++++++++++++++++++++-----
 man/po/ru.po            | 107 +++++++++++++++++++++++-----
 man/po/sv.po            | 156 ++++++++++++++++++++++++++++++++++++-----
 man/po/zh_CN.po         | 103 ++++++++++++++++++++++-----
 po/ast.po               |   2 +-
 po/bs.po                |   2 +-
 po/ca.po                |   2 +-
 po/cs.po                |   2 +-
 po/da.po                |   2 +-
 po/de.po                |   2 +-
 po/dpkg.pot             |   4 +-
 po/dz.po                |   2 +-
 po/el.po                |   2 +-
 po/eo.po                |   2 +-
 po/es.po                |   2 +-
 po/et.po                |   2 +-
 po/eu.po                |   2 +-
 po/fr.po                |   2 +-
 po/gl.po                |   2 +-
 po/hu.po                |   2 +-
 po/id.po                |   2 +-
 po/it.po                |   2 +-
 po/ja.po                |   2 +-
 po/km.po                |   2 +-
 po/ko.po                |   2 +-
 po/ku.po                |   2 +-
 po/lt.po                |   2 +-
 po/mr.po                |   2 +-
 po/nb.po                |   2 +-
 po/ne.po                |   2 +-
 po/nl.po                |   2 +-
 po/nn.po                |   2 +-
 po/oc.po                |   2 +-
 po/pa.po                |   2 +-
 po/pl.po                |   2 +-
 po/pt.po                |   2 +-
 po/pt_BR.po             |   2 +-
 po/ro.po                |   2 +-
 po/ru.po                |   2 +-
 po/sk.po                |   2 +-
 po/sv.po                |   2 +-
 po/th.po                |   2 +-
 po/tl.po                |   2 +-
 po/tr.po                |   2 +-
 po/vi.po                |   2 +-
 po/zh_CN.po             |   2 +-
 po/zh_TW.po             |   2 +-
 scripts/po/ca.po        |   2 +-
 scripts/po/de.po        |   2 +-
 scripts/po/dpkg-dev.pot |   4 +-
 scripts/po/es.po        |   2 +-
 scripts/po/fr.po        |   2 +-
 scripts/po/nl.po        |   2 +-
 scripts/po/pl.po        |   2 +-
 scripts/po/pt.po        |   2 +-
 scripts/po/ru.po        |   2 +-
 scripts/po/sv.po        |   2 +-
 98 files changed, 1639 insertions(+), 351 deletions(-)

commit 87e50639754cc2b49e777f646ec39217054a24f4
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Feb 2 17:48:57 2025 +0100

    doc: Fix typo in ChangeLog.old
    
    Warned-by: codespell
    Changelog: silent

 ChangeLog.old | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 274775ea8b9296650b6524182d723798ee9196e4
Author: Michael Biebl <biebl@debian.org>
Date:   Mon Jan 27 05:23:40 2025 +0100

    doc: Remove duplicate words across newlines
    
    [guillem@debian.org: Changed where to remove to reduce diff. ]
    
    Closes: #1093548
    Signed-off-by: Guillem Jover <guillem@debian.org>

 doc/spec/triggers.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 92dce1f2c56e048d5d7bb8f8bc9cd63f2161beaf
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jan 27 05:21:14 2025 +0100

    Dpkg::Substvars: Add new set_as_optional() and set_as_required() methods
    
    This expose the support for these types of substvars, which could only
    be set previous manually by appending the substvars with the appropriate
    operator.

 scripts/Dpkg/Substvars.pm | 45 +++++++++++++++++++++++++++++++++++++--------
 1 file changed, 37 insertions(+), 8 deletions(-)

commit af70f584a161df13489b94ad06c38df939be6678
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jan 27 05:18:53 2025 +0100

    Dpkg::OpenPGP::Backend::GnuPG: Sign file with fixed up newline
    
    We made the workaround required by GnuPG, specific to this module so
    that it would not affect others, but did not modify the code to use
    the fixed up file instead of the input one.
    
    Fixes: commit 0274e3d358022ddd270c6c40a048a27d8f6b4eb8

 scripts/Dpkg/OpenPGP/Backend/GnuPG.pm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 797eb0595ba0ae52d734039d745b235b1ff4bd5d
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jan 27 05:17:53 2025 +0100

    Dpkg::BuildDriver::DebianRules: Remove unused Dpkg::BuildAPI import
    
    Fixes: commit ab26443e10c91bbd3365bd1a520dbdace26442e2c

 scripts/Dpkg/BuildDriver/DebianRules.pm | 1 -
 1 file changed, 1 deletion(-)

commit 7c4a3f74d8be80fe95d59b3b9025c30b666e414d
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 23 02:44:59 2025 +0100

    build: Add compiler hardening support

 configure.ac        |  1 +
 m4/dpkg-compiler.m4 | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

commit 11db5c053c4bde3f3c75d8b9f7ed6265d0e484a1
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 23 02:44:59 2025 +0100

    build: Add new dialect checks for strict flex array behavior and warnings

 configure.ac        |  1 +
 m4/dpkg-compiler.m4 | 28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

commit 85ad13d9c6d9e30c286680b988fca12ea2687638
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 23 02:44:59 2025 +0100

    build: Add array bounds warning

 m4/dpkg-compiler.m4 | 1 +
 1 file changed, 1 insertion(+)

commit 8e160d71656bcfd5d575b8a541530a3175bef740
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 17 02:46:01 2025 +0100

    man: Clarify that build and target are not usual variables to use
    
    Add a note for both the DEB_BUILD_ARCH and DEB_TARGET_ARCH variable
    descriptions on what their main intended purpose it, and add a reference
    back to the TERMS section.

 man/dpkg-architecture.pod | 8 ++++++++
 1 file changed, 8 insertions(+)

commit d78d66a4e704684ed3f7d1507644d3c2c2aae8c4
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 17 02:45:48 2025 +0100

    man: Clarify architecture terms and the architecture forms

 man/dpkg-architecture.pod | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit 1a1c88d3194c4fd09747b6929e7a2fa5c0b10374
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 17 02:45:20 2025 +0100

    man: Split architecture examples into their own paragraphs

 man/dpkg-architecture.pod | 4 ++++
 1 file changed, 4 insertions(+)

commit 8e1bd89377e0d834c9f52cdd133d0c52848a574c
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 17 00:40:26 2025 +0100

    man: Add reference to buildtools and vendor make fragments to related tools
    
    These make fragments are related to the dpkg-buildflags and dpkg-vendor
    tools, so it makes sense to add references to these packaging support
    files as we do with other such files.

 man/dpkg-buildflags.pod |  5 +++++
 man/dpkg-vendor.pod     | 13 +++++++++++++
 2 files changed, 18 insertions(+)

commit e9c3de8d225ff41d36cc67b6f1ecdb6e9fbd5609
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 3 02:28:51 2025 +0100

    man: Document that buildapi.mk sets a variable

 man/dpkg-buildapi.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3d0c67f353073d9b1e281430a0fe06db423662f6
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 3 02:26:11 2025 +0100

    man: Change verb tense for Makefile fragment files descriptions

 man/dpkg-buildapi.pod   | 2 +-
 man/dpkg-buildflags.pod | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3759003eda298b1ecbff3299f4f031ebee9ad6d7
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Thu Jan 16 17:43:37 2025 +0100

    po: Update German programs translation
    
    Update to 1200t.

 po/de.po | 15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)

commit 259f792e90f727e497f94c4f0df23e62d9bd8b3a
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 16 04:19:55 2025 +0100

    Bump version to 1.22.15

 debian/changelog | 6 ++++++
 1 file changed, 6 insertions(+)

commit 70034dd074cb81a7a018b296924328a29d436288
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 16 03:58:26 2025 +0100

    Release 1.22.14

 debian/changelog | 35 ++++++++++++++++++++++++++++++++---
 1 file changed, 32 insertions(+), 3 deletions(-)

commit b929c4188cd1b4c6a84c51c48dbfeb3abde26cea
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 16 03:56:38 2025 +0100

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |  2 +-
 dselect/po/ca.po        |  2 +-
 dselect/po/cs.po        |  2 +-
 dselect/po/da.po        |  2 +-
 dselect/po/de.po        |  2 +-
 dselect/po/dselect.pot  |  4 ++--
 dselect/po/el.po        |  2 +-
 dselect/po/es.po        |  2 +-
 dselect/po/et.po        |  2 +-
 dselect/po/eu.po        |  2 +-
 dselect/po/fr.po        |  2 +-
 dselect/po/gl.po        |  2 +-
 dselect/po/hu.po        |  2 +-
 dselect/po/id.po        |  2 +-
 dselect/po/it.po        |  2 +-
 dselect/po/ja.po        |  2 +-
 dselect/po/ko.po        |  2 +-
 dselect/po/nb.po        |  2 +-
 dselect/po/nl.po        |  2 +-
 dselect/po/nn.po        |  2 +-
 dselect/po/pl.po        |  2 +-
 dselect/po/pt.po        |  2 +-
 dselect/po/pt_BR.po     | 35 +++++++++++++++++------------------
 dselect/po/ro.po        |  2 +-
 dselect/po/ru.po        |  2 +-
 dselect/po/sk.po        |  2 +-
 dselect/po/sv.po        |  2 +-
 dselect/po/tl.po        |  2 +-
 dselect/po/vi.po        |  2 +-
 dselect/po/zh_CN.po     |  2 +-
 dselect/po/zh_TW.po     |  2 +-
 man/po/dpkg-man.pot     |  4 ++--
 po/ast.po               |  9 ++++++---
 po/bs.po                |  9 ++++++---
 po/ca.po                |  9 ++++++---
 po/cs.po                |  9 ++++++---
 po/da.po                |  9 ++++++---
 po/de.po                | 14 ++++++++++----
 po/dpkg.pot             | 11 +++++++----
 po/dz.po                |  9 ++++++---
 po/el.po                |  9 ++++++---
 po/eo.po                |  9 ++++++---
 po/es.po                |  9 ++++++---
 po/et.po                |  9 ++++++---
 po/eu.po                |  9 ++++++---
 po/fr.po                |  9 ++++++---
 po/gl.po                |  9 ++++++---
 po/hu.po                |  9 ++++++---
 po/id.po                |  9 ++++++---
 po/it.po                |  9 ++++++---
 po/ja.po                |  9 ++++++---
 po/km.po                |  9 ++++++---
 po/ko.po                |  9 ++++++---
 po/ku.po                |  9 ++++++---
 po/lt.po                |  9 ++++++---
 po/mr.po                |  9 ++++++---
 po/nb.po                |  9 ++++++---
 po/ne.po                |  9 ++++++---
 po/nl.po                |  9 ++++++---
 po/nn.po                |  9 ++++++---
 po/oc.po                |  9 ++++++---
 po/pa.po                |  9 ++++++---
 po/pl.po                |  9 ++++++---
 po/pt.po                |  9 ++++++---
 po/pt_BR.po             |  9 ++++++---
 po/ro.po                |  9 ++++++---
 po/ru.po                |  9 ++++++---
 po/sk.po                |  9 ++++++---
 po/sv.po                |  9 ++++++---
 po/th.po                |  9 ++++++---
 po/tl.po                |  9 ++++++---
 po/tr.po                |  9 ++++++---
 po/vi.po                |  9 ++++++---
 po/zh_CN.po             |  9 ++++++---
 po/zh_TW.po             |  9 ++++++---
 scripts/po/ca.po        |  2 +-
 scripts/po/de.po        | 14 +++++++-------
 scripts/po/dpkg-dev.pot |  4 ++--
 scripts/po/es.po        |  2 +-
 scripts/po/fr.po        |  2 +-
 scripts/po/nl.po        |  2 +-
 scripts/po/pl.po        |  2 +-
 scripts/po/pt.po        |  2 +-
 scripts/po/ru.po        |  2 +-
 scripts/po/sv.po        |  2 +-
 85 files changed, 330 insertions(+), 199 deletions(-)

commit 64e0ab9d674d5f80f0bf50c242d57b4dd6ada1f1
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 16 03:10:38 2025 +0100

    Dpkg::BuildDriver::DebianRules: Fix R³ namespace check to only refuse unknown dpkg keywords
    
    This was originally a problem in dpkg-buildpackage, which had been
    fixed with commit dcfbe8b626cd6c3551afe7cd46500bdd38d4c200. When
    refactoring the build driver, which lived in a parallel branch already
    at the time of that fix, it was missed and not ported when that
    branch got merged into main.
    
    Fixes: commit 197fa86fc71a2e46a5c70f99a594bf13ffb520f9
    Closes: #1092653

 scripts/Dpkg/BuildDriver/DebianRules.pm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 349e0d2f75cff33fdda9e6b8e09441af2696abae
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jan 13 02:07:48 2025 +0100

    scripts/mk: Use flavor to avoid re-caching empty variables
    
    We were using the or function for the variable caches, but if the
    variable is empty we might end up re-evaluating the contents, which
    means we can end up executing the same command many times.
    
    This happened to work fine with GNU make 4.3 and earlier, but stopped
    working correctly with GNU make 4.4, which incurs a significant slow
    down due to excess execution of for example dpkg-buildflags. This change
    alone does not restore the previous number of spawned processes, but
    getting back to that, implies a semantics change that can break existing
    code.
    
    Ref: #1092051

 scripts/mk/architecture.mk | 2 +-
 scripts/mk/buildflags.mk   | 2 +-
 scripts/mk/pkg-info.mk     | 2 +-
 scripts/mk/vendor.mk       | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 94a0287c015d27332cf7d7e95c7d47f2c31a507a
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jan 5 02:08:26 2025 +0100

    src/sh: Add support for notice(), info() and hint() functions

 src/sh/dpkg-error.sh | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit bdb8781b45e2f01a97598f7db6cabec5b281fa70
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jan 7 00:41:24 2025 +0100

    src/sh: Document library interface basics and the version when introduced
    
    This should help a bit with potential external users.

 src/sh/dpkg-error.sh | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit f4c48fba33e02bcd053ba70e2d4ec5817be0fd81
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jan 7 00:46:51 2025 +0100

    src/sh: Fix debug output format to print debug in lowercase after progname
    
    This follows the same convention as all other report functions output.

 src/sh/dpkg-error.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 32295b87a26a9119681ced9d868c9c84ccbb85b9
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jan 5 02:08:26 2025 +0100

    src/sh: Lowercase and namespace private variables with _dpkg_
    
    This should make it more clear what is private and what is public,
    to avoid accidental usage by external code.

 src/sh/dpkg-error.sh | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit dd00f2a83e4368f0ac5e23b50b9db3e9461fa390
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jan 5 02:08:26 2025 +0100

    src/sh: Abstract color clearing with a new variable
    
    This makes sure we are not losing the original value from COLOR_RESET,
    in case we need to restore the color clearing later on.

 src/sh/dpkg-error.sh | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 617fc1c20757b32c96d9669f106eab447f73b4a4
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jan 4 23:14:58 2025 +0100

    dpkg-deb: Switch from info() to hint() for hint message
    
    This uses a semantic call so that we can perform unified formatting
    on the output, and in the future potentially silence all hinting if
    the users requests so.

 src/deb/build.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 95cfaf475cfcf2c7efe754fdbb644cbd30527655
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jan 4 23:12:50 2025 +0100

    libdpkg: Add support for hint printing
    
    This will make it possible to provide hints for the user so that they
    can perform some action prompted by diagnostics printed by dpkg tools.
    
    We already have some hints printed, but they do not use a unified
    interface and dedicated formatting and color.

 lib/dpkg/color.h     |  1 +
 lib/dpkg/libdpkg.map |  2 ++
 lib/dpkg/report.c    | 28 ++++++++++++++++++++++++++++
 lib/dpkg/report.h    |  4 ++++
 4 files changed, 35 insertions(+)

commit 5d8a76769f6a6a121c52aecf436ddd172e892b4f
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jan 8 04:31:08 2025 +0100

    test: Remove redundant <cstdbool> include deprecated in C++17
    
    Warned-by: gcc-15

 lib/dpkg/t/t-headers-cpp.cc | 2 --
 1 file changed, 2 deletions(-)

commit 3be442cc1b16f540c12ce3784f95a6063ef78f99
Author: Paulo Henrique de Lima Santana (phls) <phls@debian.org>
Date:   Thu Jan 16 03:03:40 2025 +0100

    po: Update Brazilian Portuguese dselect translations
    
    Closes: #1092593
    Signed-off-by: Guillem Jover <guillem@debian.org>

 dselect/po/pt_BR.po | 585 ++++++++++++----------------------------------------
 1 file changed, 127 insertions(+), 458 deletions(-)

commit 1a903a72404ab9e2d994ac50f3bd2cf5ed7faf3e
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Sun Jan 5 08:35:21 2025 +0100

    po: Update German programs translation
    
    Update to 1199t.

 po/de.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 8525ed5907aeae11412ab8a639e2094c2f3fc74a
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Jan 4 21:46:37 2025 +0100

    po: Update German man pages translation

 man/po/de.add |   2 +-
 man/po/de.po  | 122 +++++++++++++++-------------------------------------------
 2 files changed, 32 insertions(+), 92 deletions(-)

commit 35c4d3a4ef3751ae29a84e015388e8b758a4fa81
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Jan 4 21:46:11 2025 +0100

    po: Update German scripts translation

 scripts/po/de.po | 69 ++++++++++++++++++++------------------------------------
 1 file changed, 24 insertions(+), 45 deletions(-)

commit c54c8f09be71d13d1e719abdba59b6a072b3cf68
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 3 12:05:19 2025 +0100

    Bump version to 1.22.14

 debian/changelog | 6 ++++++
 1 file changed, 6 insertions(+)

commit 66a5a61d279558aae34283244ba6e1cecb0de72b
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 3 11:48:03 2025 +0100

    Release 1.22.13

 debian/changelog | 38 ++++++++++++++++++++++++++++++++++----
 1 file changed, 34 insertions(+), 4 deletions(-)

commit e1efb5eaf092a49b836303cf7ce92039e3660f07
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 3 11:47:15 2025 +0100

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |  2 +-
 dselect/po/ca.po        |  2 +-
 dselect/po/cs.po        |  2 +-
 dselect/po/da.po        |  2 +-
 dselect/po/de.po        |  2 +-
 dselect/po/dselect.pot  |  4 +--
 dselect/po/el.po        |  2 +-
 dselect/po/es.po        |  2 +-
 dselect/po/et.po        |  2 +-
 dselect/po/eu.po        |  2 +-
 dselect/po/fr.po        |  2 +-
 dselect/po/gl.po        |  2 +-
 dselect/po/hu.po        |  2 +-
 dselect/po/id.po        |  2 +-
 dselect/po/it.po        |  2 +-
 dselect/po/ja.po        |  2 +-
 dselect/po/ko.po        |  2 +-
 dselect/po/nb.po        |  2 +-
 dselect/po/nl.po        |  2 +-
 dselect/po/nn.po        |  2 +-
 dselect/po/pl.po        |  2 +-
 dselect/po/pt.po        |  2 +-
 dselect/po/pt_BR.po     |  2 +-
 dselect/po/ro.po        |  2 +-
 dselect/po/ru.po        |  2 +-
 dselect/po/sk.po        |  2 +-
 dselect/po/sv.po        |  2 +-
 dselect/po/tl.po        |  2 +-
 dselect/po/vi.po        |  2 +-
 dselect/po/zh_CN.po     |  2 +-
 dselect/po/zh_TW.po     |  2 +-
 man/po/de.po            | 86 +++++++++++++++++++++++++++++++++++++++----------
 man/po/dpkg-man.pot     | 41 ++++++++++++-----------
 man/po/es.po            | 50 ++++++++++++++++++----------
 man/po/fr.po            | 71 ++++++++++++++++++++++++++++++----------
 man/po/hu.po            | 46 ++++++++++++++++----------
 man/po/it.po            | 50 ++++++++++++++++++----------
 man/po/ja.po            | 48 +++++++++++++++++----------
 man/po/nl.po            | 86 +++++++++++++++++++++++++++++++++++++++----------
 man/po/pl.po            | 49 ++++++++++++++++++----------
 man/po/pt.po            | 86 +++++++++++++++++++++++++++++++++++++++----------
 man/po/pt_BR.po         | 41 +++++++++++++----------
 man/po/ru.po            | 46 ++++++++++++++++----------
 man/po/sv.po            | 85 ++++++++++++++++++++++++++++++++++++++----------
 man/po/zh_CN.po         | 41 +++++++++++++----------
 po/ast.po               | 24 +++++++++++++-
 po/bs.po                | 28 +++++++++++++++-
 po/ca.po                | 25 +++++++++++++-
 po/cs.po                | 25 +++++++++++++-
 po/da.po                | 25 +++++++++++++-
 po/de.po                | 25 +++++++++++++-
 po/dpkg.pot             | 25 ++++++++++++--
 po/dz.po                | 23 ++++++++++++-
 po/el.po                | 23 ++++++++++++-
 po/eo.po                | 25 +++++++++++++-
 po/es.po                | 25 +++++++++++++-
 po/et.po                | 23 ++++++++++++-
 po/eu.po                | 25 +++++++++++++-
 po/fr.po                | 25 +++++++++++++-
 po/gl.po                | 23 ++++++++++++-
 po/hu.po                | 23 ++++++++++++-
 po/id.po                | 25 +++++++++++++-
 po/it.po                | 25 +++++++++++++-
 po/ja.po                | 25 +++++++++++++-
 po/km.po                | 23 ++++++++++++-
 po/ko.po                | 25 +++++++++++++-
 po/ku.po                | 23 ++++++++++++-
 po/lt.po                | 23 ++++++++++++-
 po/mr.po                | 23 ++++++++++++-
 po/nb.po                | 25 +++++++++++++-
 po/ne.po                | 23 ++++++++++++-
 po/nl.po                | 25 +++++++++++++-
 po/nn.po                | 23 ++++++++++++-
 po/oc.po                | 25 +++++++++++++-
 po/pa.po                | 23 ++++++++++++-
 po/pl.po                | 25 +++++++++++++-
 po/pt.po                | 25 +++++++++++++-
 po/pt_BR.po             | 25 +++++++++++++-
 po/ro.po                | 38 +++++++++++++++++++++-
 po/ru.po                | 25 +++++++++++++-
 po/sk.po                | 25 +++++++++++++-
 po/sv.po                | 25 +++++++++++++-
 po/th.po                | 25 +++++++++++++-
 po/tl.po                | 23 ++++++++++++-
 po/tr.po                | 25 +++++++++++++-
 po/vi.po                | 25 +++++++++++++-
 po/zh_CN.po             | 25 +++++++++++++-
 po/zh_TW.po             | 25 +++++++++++++-
 scripts/po/ca.po        |  9 +++---
 scripts/po/de.po        |  9 +++---
 scripts/po/dpkg-dev.pot |  8 ++---
 scripts/po/es.po        |  9 +++---
 scripts/po/fr.po        |  9 +++---
 scripts/po/nl.po        |  9 +++---
 scripts/po/pl.po        |  9 +++---
 scripts/po/pt.po        |  9 +++---
 scripts/po/ru.po        |  9 +++---
 scripts/po/sv.po        |  9 +++---
 98 files changed, 1688 insertions(+), 355 deletions(-)

commit afaaebaf331d5ce0cb99611884c91782ced040f4
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 3 11:38:33 2025 +0100

    test: Update dpkg-buildtree test case for R³ default change
    
    Fixes: commit b26443e10c91bbd3365bd1a520dbdace26442e2c
    Changelog: silent

 scripts/t/dpkg_buildtree.t | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b26443e10c91bbd3365bd1a520dbdace26442e2c
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Nov 11 13:24:21 2024 +0100

    Dpkg::BuildDriver::DebianRules: Change default R³ value to «no»
    
    The transition to rootless builds in Debian has been going on for
    years now, with increasing steady adoption, although there is still
    a long tail of packages that need to be adapted.
    
    The main reason the default was never changed before, was to avoid
    potential mass build breakage, and potential silent breakage in
    successful builds. The former is being handled in Debian through a
    normal transition (which only affects a subset of the remaining
    non-transitioned packages), and the latter is helped by the new
    dpkg-deb warning that will trigger when the root directory is owned
    by a non-root user/group, which should catch also third party builds.
    
    Changing the default is also the better option, and friendlier for the
    packaging ecosystem to avoid requiring to set the R³ field to «no» for
    every package. It also removes the need for fakeroot, while a very
    helpful tool, it introduces a layer of run-time interposition that can
    affect builds and introduce regressions of its own, and needs to be
    kept in sync with the system libc.
    
    Proposed-by: Niels Thykier <niels@thykier.net>

 doc/spec/rootless-builds.txt                          | 6 ++++--
 man/deb-src-control.pod                               | 5 +++--
 man/dpkg-build-api.pod                                | 4 ++--
 man/dpkg-buildpackage.pod                             | 4 ++--
 scripts/Dpkg/BuildDriver/DebianRules.pm               | 6 +-----
 scripts/t/dpkg_buildpackage/test-source_0_all.hook    | 2 +-
 scripts/t/dpkg_buildpackage/test-source_0_any.hook    | 2 +-
 scripts/t/dpkg_buildpackage/test-source_0_binary.hook | 2 +-
 scripts/t/dpkg_buildpackage/test-source_0_full.hook   | 2 +-
 9 files changed, 16 insertions(+), 17 deletions(-)

commit 916fa148466cec6f47793d47177bd32dfb05e489
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Nov 7 02:18:47 2024 +0100

    dpkg-deb: Add support for filesystem metadata checks
    
    This adds checks for unusual and/or unexpected ownership of the root
    directory for the to be built package.
    
    This will help catch invocations where the resulting filesystem metadata
    would be wrong and potentially a security issue, as the build has not
    been made with a root-equivalent runner, such as fakeroot, or preferably
    by passing the --root-owner-group option. This is part of the effort to
    default to rootless builds, and to try to help external packaging efforts
    that might not be using Debian tooling update their build scaffolding.

 src/at/deb-content.at | 26 +++++++++++++-------------
 src/at/deb-fields.at  |  6 +++---
 src/deb/build.c       | 25 +++++++++++++++++++++++++
 3 files changed, 41 insertions(+), 16 deletions(-)

commit e42b5003266ab83676373b891ab85b4c6f2bfc55
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 3 10:19:48 2025 +0100

    Dpkg::OpenPGP::Backend: Add missing imports
    
    Fixes: commit 74a66a38ad4f84e228f86b335c63e58a76e3f717
    Closes: #1091990

 scripts/Dpkg/OpenPGP/Backend.pm | 2 ++
 1 file changed, 2 insertions(+)

commit 95775dd3ea65e8282af6ed6687f7c7002ed67f18
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 3 00:42:39 2025 +0100

    man: Refer to --sign-keyid instead of --sign-key in DEB_SIGN_KEYID description
    
    When documenting the environment variable, use the preferred form for
    the option.

 man/dpkg-buildpackage.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1cb940072b486d2af754f8b9277b51f30c5733c5
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 3 00:26:34 2025 +0100

    Dpkg::OpenPGP::Backend::Sequoia: Check whether we can use the key
    
    With newer sq, we can always use its keystore. So we need to check
    whether the key is usable with a keystore, instead of erroring out
    in case it requires one.
    
    Closes: #1091915

 scripts/Dpkg/OpenPGP/Backend/Sequoia.pm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8eaf5f4502c279ee6d58a35a2918f321f3d6c31b
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 3 00:34:42 2025 +0100

    Dpkg::OpenPGP::Backend::Sequoia: Handle all KeyHandle types in inline_sign()
    
    We need to handle all different KeyHandle types, and pass them to «sq»
    using the appropriate option for each type.
    
    Ref: #1091915

 scripts/Dpkg/OpenPGP/Backend/Sequoia.pm | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit a5f7fdad4ed22e81ca03ff45e555d3f5c81528ea
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 3 00:50:06 2025 +0100

    man: Bump version since Section and Priority fields have defaults
    
    The version listed was buggy and did not really properly support the
    missing fields. Bump the version to the current one which should support
    these defaults and the omission of these fields.
    
    Fixes: commit c6e27f5f27f73346509176ec83b3f11343685ba9
    Changelog: silent

 man/deb-changes.pod     | 2 +-
 man/deb-src-control.pod | 4 ++--
 man/dsc.pod             | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit acccaa648c1c02e9c29f41938c38661b29ea5721
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 2 19:54:17 2025 +0100

    dpkg-genchanges: Set Section and Priority defaults even with no fields
    
    When we have no fields, that is precisely where setting the defaults is
    most important, and the initial purpose of these changes.
    
    Fixes: commit a365789d463aadaf6870abcb149a90e54cef988e
    Closes: #1091941
    Changelog: internal

 scripts/dpkg-genchanges.pl | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 264b61081122c6724b27c93d3d6aadb99b112f1a
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 2 19:52:22 2025 +0100

    dpkg-gencontrol: Add missing field name to warning message
    
    This was causing a Perl undefined variable usage diagnostic.
    
    Fixes: commit 0d472ec1751fe6b2e14eab3e6c691fc14deb8d02
    Ref: #1091941
    Changelog: internal

 scripts/dpkg-gencontrol.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 34893d4bb845bef152d0f245331ba21386c8419e
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 2 23:44:26 2025 +0100

    scripts: When printing a field value quote it with double quotes
    
    If the value happens to be an empty string, or a word that could be
    confused for a part of the sentence, it makes the printed message
    very hard to parse. Quote the values so that it's more clear what's
    going on.

 scripts/dpkg-genchanges.pl | 4 ++--
 scripts/dpkg-source.pl     | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 32feead3450bc3d1f3b2cbd343fa87c75aeca702
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 2 14:40:22 2025 +0100

    dselect: Fix formatting for return in keybindings::find()
    
    Fixes: commit 5ab30303e4d1aa99aaef75790321bdce65a9505c
    Changelog: internal

 dselect/bindings.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 78814a4dec2b0c974dc822ca39637c5920356ce0
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 2 13:11:22 2025 +0100

    dselect: Fix logic inversion in repeat search keybinding
    
    This was making the repeat search not work at all.
    
    Fixes: commit c11a69207d031b7d2260dd0108b91b27b22dea1e
    Changelog: internal

 dselect/basecmds.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 728281829adbcb7c7ae4320d68140c13da2c64ed
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 2 12:55:26 2025 +0100

    dselect: Update the search varbuf to account for the used size
    
    We pass the varbuf to an ncurses library function that will fill it up
    with user typed content, so we need to update its used size, so that
    subsequent functions are aware that the varbuf has content.
    
    Fixes: commit c11a69207d031b7d2260dd0108b91b27b22dea1e
    Closes: #1091898
    Changelog: internal

 dselect/basecmds.cc | 1 +
 1 file changed, 1 insertion(+)

commit abdca470d2cdcdc2cc0b244d75adb3a96f411a6c
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 2 12:55:26 2025 +0100

    dselect: Make sure the search varbuf always has allocated space
    
    We need to pass this buffer to the ncurses library functions, which
    expect an allocated buffer. Make sure we allocate some space for it.
    
    Fixes: commit c11a69207d031b7d2260dd0108b91b27b22dea1e
    Ref: #1091898
    Changelog: internal

 dselect/basecmds.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c5d3093cffc47424984e28671d5a0d4661f28128
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 2 14:00:18 2025 +0100

    libdpkg: Do not call varbuf_init() from operator=()
    
    This can be called multiple times, and the varbuf_init() function is
    intended to be called only once, otherwise we will leak memory.
    
    Fixes: commit 19777c0f7fe274e7fdee3da7e428b63e3465dbc3

 lib/dpkg/varbuf.h | 1 -
 1 file changed, 1 deletion(-)

commit 70729b2125226a2481540009b6a17ea09c48370e
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 2 14:21:15 2025 +0100

    libdpkg: Add test cases for varbuf C++ operators

 lib/dpkg/t/t-varbuf-cpp.cc | 43 ++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 42 insertions(+), 1 deletion(-)

commit f99d5ebe3d3ff8c6a9363aacaa28d71bd6964e16
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 2 12:14:02 2025 +0100

    man: Clarify Section and Priority values usage tied to distribution policies
    
    Move the note about these fields being specified by distribution
    specific policies into each field description, instead of an out of
    list paragraph, which might not even render correctly, and seems a bit
    distracting and out of place.

 man/deb-control.pod     | 11 +++--------
 man/deb-src-control.pod |  9 +++------
 2 files changed, 6 insertions(+), 14 deletions(-)

commit 75db309d923ef8dafb840168f16b04d610f1e110
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 2 12:14:02 2025 +0100

    man: Clarify Priority values by mentioned known important and unknown ones
    
    The known important value was not mentioned in the field documentation,
    and clarify that besides the known values, other unknown ones can be
    used as well.

Notes:
    Changelog: s/by mentioned/by mentioning/

 man/deb-control.pod     | 6 ++----
 man/deb-src-control.pod | 4 ++--
 2 files changed, 4 insertions(+), 6 deletions(-)

commit c6e27f5f27f73346509176ec83b3f11343685ba9
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 2 04:25:41 2025 +0100

    man: Document the version since the Section and Priority fields have defaults
    
    Fixes: commit 0d472ec1751fe6b2e14eab3e6c691fc14deb8d02

 man/deb-changes.pod     | 3 ++-
 man/deb-src-control.pod | 6 ++++--
 man/dsc.pod             | 3 ++-
 3 files changed, 8 insertions(+), 4 deletions(-)

commit 46312b630a1bef66567bc88e598894eeaad29edf
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jan 2 00:04:02 2025 +0100

    Bump version to 1.22.13

 debian/changelog | 6 ++++++
 1 file changed, 6 insertions(+)

commit 8637a76982aa1cf74c4be188b10a1ed1843fc858
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jan 1 23:44:12 2025 +0100

    Release 1.22.12

 debian/changelog | 175 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 172 insertions(+), 3 deletions(-)

commit 7309f27209fb193b0df20f85c7c01113346ab848
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jan 1 23:27:27 2025 +0100

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |   19 +-
 dselect/po/ca.po        |   37 +-
 dselect/po/cs.po        |   34 +-
 dselect/po/da.po        |   38 +-
 dselect/po/de.po        |    2 +-
 dselect/po/dselect.pot  |   21 +-
 dselect/po/el.po        |   35 +-
 dselect/po/es.po        |   38 +-
 dselect/po/et.po        |   23 +-
 dselect/po/eu.po        |   42 +-
 dselect/po/fr.po        |   41 +-
 dselect/po/gl.po        |   38 +-
 dselect/po/hu.po        |   23 +-
 dselect/po/id.po        |   42 +-
 dselect/po/it.po        |   50 +-
 dselect/po/ja.po        |   34 +-
 dselect/po/ko.po        |   34 +-
 dselect/po/nb.po        |   42 +-
 dselect/po/nl.po        |   34 +-
 dselect/po/nn.po        |   38 +-
 dselect/po/pl.po        |   42 +-
 dselect/po/pt.po        |   40 +-
 dselect/po/pt_BR.po     |   43 +-
 dselect/po/ro.po        |   35 +-
 dselect/po/ru.po        |   34 +-
 dselect/po/sk.po        |   38 +-
 dselect/po/sv.po        |   34 +-
 dselect/po/tl.po        |   34 +-
 dselect/po/vi.po        |   38 +-
 dselect/po/zh_CN.po     |   34 +-
 dselect/po/zh_TW.po     |   34 +-
 man/po/de.po            | 1384 +++++++++++++++++++-------------------
 man/po/dpkg-man.pot     |  636 +++++++-----------
 man/po/es.po            | 1191 ++++++++++++++++-----------------
 man/po/fr.po            | 1705 ++++++++++++++++++++++++++---------------------
 man/po/hu.po            |  904 +++++++++++--------------
 man/po/it.po            | 1122 ++++++++++++++-----------------
 man/po/ja.po            | 1270 +++++++++++++++++------------------
 man/po/nl.po            | 1390 ++++++++++++++++++++------------------
 man/po/pl.po            | 1239 ++++++++++++++++------------------
 man/po/pt.po            | 1353 +++++++++++++++++++------------------
 man/po/pt_BR.po         |  901 +++++++++++--------------
 man/po/ru.po            |  905 +++++++++++--------------
 man/po/sv.po            | 1558 +++++++++++++++++++++++++------------------
 man/po/zh_CN.po         |  896 +++++++++++--------------
 po/ast.po               |   47 +-
 po/bs.po                |   24 +-
 po/ca.po                |   54 +-
 po/cs.po                |   78 ++-
 po/da.po                |   50 +-
 po/de.po                |    6 +-
 po/dpkg.pot             |   26 +-
 po/dz.po                |   43 +-
 po/el.po                |   39 +-
 po/eo.po                |   50 +-
 po/es.po                |   58 +-
 po/et.po                |   31 +-
 po/eu.po                |   53 +-
 po/fr.po                |   50 +-
 po/gl.po                |   43 +-
 po/hu.po                |   33 +-
 po/id.po                |   47 +-
 po/it.po                |   50 +-
 po/ja.po                |   46 +-
 po/km.po                |   47 +-
 po/ko.po                |   47 +-
 po/ku.po                |   24 +-
 po/lt.po                |   31 +-
 po/mr.po                |   31 +-
 po/nb.po                |   51 +-
 po/ne.po                |   43 +-
 po/nl.po                |   82 ++-
 po/nn.po                |   39 +-
 po/oc.po                |   37 +-
 po/pa.po                |   40 +-
 po/pl.po                |   54 +-
 po/pt.po                |   50 +-
 po/pt_BR.po             |   70 +-
 po/ro.po                |   82 ++-
 po/ru.po                |   58 +-
 po/sk.po                |   46 +-
 po/sv.po                |   74 +-
 po/th.po                |   46 +-
 po/tl.po                |   35 +-
 po/tr.po                |   46 +-
 po/vi.po                |   50 +-
 po/zh_CN.po             |   54 +-
 po/zh_TW.po             |   50 +-
 scripts/po/ca.po        |  175 +++--
 scripts/po/de.po        |  167 +++--
 scripts/po/dpkg-dev.pot |   95 ++-
 scripts/po/es.po        |  143 ++--
 scripts/po/fr.po        |  195 +++---
 scripts/po/nl.po        |  179 +++--
 scripts/po/pl.po        |  164 +++--
 scripts/po/pt.po        |  177 +++--
 scripts/po/ru.po        |  148 ++--
 scripts/po/sv.po        |  187 ++++--
 98 files changed, 10783 insertions(+), 10387 deletions(-)

commit 0d472ec1751fe6b2e14eab3e6c691fc14deb8d02
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Dec 14 05:10:19 2024 +0100

    scripts: Change and inject default value for Section and Priority fields
    
    When generating a DEBIAN/control, .dsc, .changes or a Sources repository
    metaindex, set the default values for the Section and Priority fields to
    «unknown» and «optional» respectively.
    
    For the Priority field, this means that the package maintainer does not
    longer need to add that field if it uses the default value, and only
    need to add it to override it.
    
    For the Section field, currently this only unifies its value when unset
    so that it always is «unknown» instead of sometimes being that and
    others being «-». In the future this makes way to be able to add some
    heuristics to auto-generate some more useful defaults.
    
    Proposed-by: Niels Thykier <niels@thykier.net> (for Priority)
    Proposed-by: Guillem Jover <guillem@debian.org> (for Section)

 man/deb-changes.pod                |  3 +++
 man/deb-src-control.pod            |  6 ++++++
 man/dsc.pod                        |  3 ++-
 scripts/Dpkg/Control/FieldsCore.pm |  4 ++--
 scripts/dpkg-genchanges.pl         | 10 ----------
 scripts/dpkg-gencontrol.pl         | 12 +++++++++++-
 scripts/dpkg-scansources.pl        |  9 +++++----
 scripts/dpkg-source.pl             |  3 ++-
 scripts/t/Dpkg_Control_Fields.t    |  4 ++--
 9 files changed, 33 insertions(+), 21 deletions(-)

commit 6290e30ac07cb81c959a633e1bb22e29930cb998
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Dec 14 05:08:26 2024 +0100

    scripts: Switch to use the default per field value for Section and Priority
    
    This centralizes the default value for these fields into the
    Dpkg::Control::FieldsCore module. Although we cannot yet use that
    default from dpkg-source as that currently uses a different value.

 scripts/Dpkg/Control/FieldsCore.pm | 2 ++
 scripts/dpkg-genbuildinfo.pl       | 2 +-
 scripts/dpkg-genchanges.pl         | 6 +++---
 scripts/dpkg-gencontrol.pl         | 2 +-
 scripts/t/Dpkg_Control_Fields.t    | 8 ++++----
 5 files changed, 11 insertions(+), 9 deletions(-)

commit 0286be37b54cb43263e9f0065ce76db1d005dc26
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Dec 14 03:32:29 2024 +0100

    Dpkg::Control::FieldsCore: Add new field_get_default_value() function
    
    This function will make it possible to centralize default values for
    fields, so that we can change it in one place instead of every place
    where the field is being used.

 scripts/Dpkg/Control/FieldsCore.pm | 21 ++++++++++++++++++++-
 scripts/t/Dpkg_Control_Fields.t    |  9 ++++++++-
 2 files changed, 28 insertions(+), 2 deletions(-)

commit a365789d463aadaf6870abcb149a90e54cef988e
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Dec 14 04:37:34 2024 +0100

    scripts: Unify handling of default Priority and Section values
    
    Track and handle these fields in a single hash, so that we can apply
    similar logic to both of them without having to repeat the same code
    for each field.

 scripts/dpkg-genbuildinfo.pl |  8 ++++---
 scripts/dpkg-genchanges.pl   | 52 ++++++++++++++++++++------------------------
 scripts/dpkg-gencontrol.pl   |  9 +++++---
 3 files changed, 34 insertions(+), 35 deletions(-)

commit cae0d73b2eddbeb958f02f0e98d46d92af162319
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Dec 14 04:39:27 2024 +0100

    dpkg-source: Generalize Package-List field attributes handling
    
    Instead of storing each attribute into its own variable, use a hash and
    then format the attribute list from that. This means adding new
    attributes in the future will only be a matter of formatting the value
    and assigning it to the key name to use on the output.

Notes:
    Changelog: internal

 scripts/dpkg-source.pl | 38 ++++++++++++++++++++++----------------
 1 file changed, 22 insertions(+), 16 deletions(-)

commit 0b90ad017637f945b1e2d78c626e94a1020d6487
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jan 1 21:20:51 2025 +0100

    build: Remove reference to removed debian/bug-script
    
    Fixes: commit 7633a469d6b8bb48b419091ff1b4fb1e45a4e24e
    Changelog: silent

 Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 12e3bc2991ac27f73545a246bb95b84fb8d262c9
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Dec 6 02:07:53 2024 +0100

    scripts: Remove dpkg-fsys-usrunmess program
    
    This program has been moved elsewhere.

 debian/README.bug-usertags     |   2 -
 debian/dpkg.lintian-overrides  |   2 -
 debian/rules                   |  20 --
 man/Makefile.am                |   2 -
 man/dpkg-fsys-usrunmess.pod    | 190 -------------
 man/po/po4a.cfg                |   1 -
 scripts/.gitignore             |   1 -
 scripts/Makefile.am            |   5 -
 scripts/dpkg-fsys-usrunmess.pl | 631 -----------------------------------------
 9 files changed, 854 deletions(-)

commit 2ee46ac3a0de739a399f06175bc8b449f1d02eaf
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jan 1 19:04:54 2025 +0100

    Dpkg::Vendor::Debian: Remove merged-/usr taint logic
    
    Now that Debian has done more or less a "proper" /usr-move, where the
    symlinks are actually provided by a package, and all packages install
    on the canonical location, where the packaging system should not incur
    in aliasing, the warning does no longer serve much of a purpose, as
    any derivative will be picking up the same changes.
    
    Aliasing from external packages can still occur, but banning that will
    be implemented via filesystem metadata tracking, once those changes can
    be deployed and are not guaranteed to fail due to file type conflicts
    due to the previous /usr-merge approach.
    
    Aliasing from the filesystem is still problematic, but that should now
    be either a UI issue or a reliability issue for other tools to deal
    with.

 man/deb-buildinfo.pod         | 13 -------------
 scripts/Dpkg/Vendor/Debian.pm | 10 ----------
 2 files changed, 23 deletions(-)

commit 7633a469d6b8bb48b419091ff1b4fb1e45a4e24e
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Dec 6 04:27:31 2024 +0100

    debian: Remove merged-/usr warning logic
    
    Now that Debian has done more or less a "proper" /usr-move, where the
    symlinks are actually provided by a package, and all packages install
    on the canonical location, where the packaging system should not incur
    in aliasing, the warning does no longer serve much of a purpose, as
    any derivative will be picking up the same changes.
    
    Aliasing from external packages can still occur, but banning that will
    be implemented via filesystem metadata tracking, once those changes can
    be deployed and are not guaranteed to fail due to file type conflicts
    due to the previous /usr-merge approach.
    
    Aliasing from the filesystem is still problematic, but that should now
    be either a UI issue or a reliability issue for other tools to deal
    with.
    
    Closes: #1061718

 debian/bug-script    | 47 -----------------------------------------------
 debian/dpkg.postinst | 45 ---------------------------------------------
 2 files changed, 92 deletions(-)

commit 3b0915de68e4b3c6cbc425b0df1cab2d91cddfc9
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Dec 6 02:03:37 2024 +0100

    Remove dpkg-error.sh boilerplate
    
    We do not need the program and color setup boilerplate which is now
    handled automatically by the script itself.
    
    Changelog: internal

 debian/dpkg.postinst           | 2 --
 src/dpkg-db-backup.sh          | 3 ---
 src/dpkg-db-keeper.sh          | 3 ---
 src/dpkg-maintscript-helper.sh | 3 ---
 4 files changed, 11 deletions(-)

commit 7a897c1df718c93ff8cfaccfca17b24f1ca083f5
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Dec 6 01:55:05 2024 +0100

    src/sh: Move setup_colors() contents into dpkg-error.sh script scope
    
    The function was not written to handle being called multiple times to
    perform different setups based on different inputs. Any script sourcing
    this file was required to call this function as it setups variables
    used by the various functions, which is unnecessary boilerplate that
    we can get rid of.
    
    Preserve an empty setup_colors() function for backwards compatibility
    with code calling it.

 src/sh/dpkg-error.sh | 56 ++++++++++++++++++++++++++++------------------------
 1 file changed, 30 insertions(+), 26 deletions(-)

commit 5d8b343237767391f451d32b5eea0160506305ed
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Dec 6 01:54:26 2024 +0100

    src/sh: Add a default PROGNAME to dpkg-error.sh
    
    We require a program name for the various functions to work correctly.
    Make sure we have something available at all times.

 src/sh/dpkg-error.sh | 3 +++
 1 file changed, 3 insertions(+)

commit d816ddf670e215baf9a4c94e23f50f521fa7241c
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jan 19 01:27:38 2024 +0100

    build: Add a new changelog section for the shell library

 build-aux/gen-changelog | 5 +++++
 1 file changed, 5 insertions(+)

commit feb1fef88bc93d37640298416147c5ec3e96af99
Author: Paulo Henrique de Lima Santana <phls@debian.org>
Date:   Tue Dec 31 23:42:58 2024 +0100

    po: Update Brazilian Portuguese programs translation
    
    Closes: #1091450
    Signed-off-by: Guillem Jover <guillem@debian.org>

 po/pt_BR.po | 6337 ++++++++++++++++++-----------------------------------------
 1 file changed, 1901 insertions(+), 4436 deletions(-)

commit c6464c6fce3f36cf5f1361b0a9848c523439d727
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jan 1 18:57:40 2025 +0100

    dpkg-buildpackage: Fix typo in hint
    
    Fixes: commit 80c5c9d43896eef795a988cb080ff31ed8776172
    Spotted-by: Matthias Urlichs <matthias@urlichs.de>
    Changelog: silent

 scripts/dpkg-buildpackage.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f909455d054eca03e8f09da34ae6b7c2aa5e8a4
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Dec 16 04:09:18 2024 +0100

    Dpkg::OpenPGP::Backend::SOP: Use the parent class armor/dearmor implementations
    
    We cannot use the SOP armor/dearmor interfaces, because concatenated
    ASCII Armor is not a well supported construct, which not all SOP
    implementations support. But we still need to handle this given the
    data we are managing. Remove these implementations for now and use
    the generic parent implementations. Once we can guarantee that our
    data has been sanitized, then we could switch back to use pure SOP
    interfaces.

 scripts/Dpkg/OpenPGP/Backend/SOP.pm | 22 +++++++---------------
 1 file changed, 7 insertions(+), 15 deletions(-)

commit 74a66a38ad4f84e228f86b335c63e58a76e3f717
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Dec 16 04:03:09 2024 +0100

    Dpkg::OpenPGP::Backend::GnuPG: Move armor/dearmor implementation to base class
    
    This is generic OpenPGP code, which we need for other backends to be
    able to support concatenated ASCII Armor blocks.

 scripts/Dpkg/OpenPGP/Backend.pm       |  97 ++++++++++++++++++++++++++++-
 scripts/Dpkg/OpenPGP/Backend/GnuPG.pm | 111 +---------------------------------
 2 files changed, 98 insertions(+), 110 deletions(-)

commit a7061477631804f808dc77e91a1e34585f2f71fd
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Dec 16 04:14:15 2024 +0100

    Revert "Dpkg::OpenPGP::Backend::GnuPG: Fallback to use «gpg dearmor» if present"
    
    This reverts commit b698489dbe1ce237089038f6fd61138aa1638c43.
    
    Now that we support concatenated ASCII Armor, we can stop calling gpg
    for its dearmor support.

 scripts/Dpkg/OpenPGP/Backend/GnuPG.pm | 17 +++--------------
 1 file changed, 3 insertions(+), 14 deletions(-)

commit 0264c870f8e338f2c049ca79912745b55e1ce5f2
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Dec 12 04:09:44 2024 +0100

    Dpkg::OpenPGP::Backend::GnuPG: Handle and warn on concatenated ASCII Armor blocks
    
    There are many "keyrings" in Debian source packages that contain
    concatenated ASCII Armor blocks, which are problematic for interop,
    but not supporting them now is a clear regression.
    
    For now adapt the code to cope with those, and emit a warning and
    hint on how that can be fixed. We cannot use SOP in the hint example,
    precisely due to the interop concerns, we use «sq» because that's
    the easiest and more ergonomic way to merge the certificates.

 scripts/Dpkg/OpenPGP/Backend/GnuPG.pm | 25 ++++++++++++++++++-------
 1 file changed, 18 insertions(+), 7 deletions(-)

commit 8c7737461b990ae1b4db5cfc6f5df9087c976343
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Dec 13 04:21:58 2024 +0100

    dpkg-buildpackage: Switch unmet dependency abort message from warning to error
    
    This is an error condition, do not emit it as if it was just a warning,
    which seems confusing.

 scripts/dpkg-buildpackage.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 04e4a8129e62a058951f53ff5c349071bab96c95
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Dec 13 04:13:15 2024 +0100

    dpkg-checkbuilddeps: Improve unmet dependency error messages
    
    Lower case them to conform to the overall project error messages style,
    and expand the error for build conflicts to also mention these are
    unmet.

 scripts/dpkg-checkbuilddeps.pl | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 80c5c9d43896eef795a988cb080ff31ed8776172
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Dec 28 03:43:05 2024 +0100

    dpkg-buildpackage: Reword hint on unsatisfied dependencies
    
    Guiding unsuspecting users to disable the dependency checks will in most
    cases not do what people expect, when what they should be doing instead
    is to install missing dependencies and remove conflicting ones.
    
    Closes: #817955

 scripts/dpkg-buildpackage.pl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c107aecd663dc142398407636b4936ce15085401
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Dec 13 00:23:02 2024 +0100

    scripts: Switch messages to be hints
    
    This makes the function calls provide a unified output, and will make it
    possible to disable hints, if the users does not want to see them.

 scripts/Dpkg/Source/Package/V2.pm |  4 ++--
 scripts/dpkg-buildpackage.pl      |  2 +-
 scripts/dpkg-shlibdeps.pl         | 11 ++++++-----
 3 files changed, 9 insertions(+), 8 deletions(-)

commit 621de6ecfa78a1380f6d8b9d39453f91b9df80a7
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Dec 12 04:08:38 2024 +0100

    Dpkg::ErrorHandling: Add support for hint printing
    
    This will make it possible to provide hints for the user so that they
    can perform some action prompted by diagnostics printed by dpkg tools.

 scripts/Dpkg/ErrorHandling.pm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 310da86e14d6c1659a808c3fc6299a6ecef93f4e
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Dec 12 04:04:17 2024 +0100

    Dpkg::OpenPGP::Backend: Remove references to fixed gosop issues
    
    These were blockers for the gosop inclusion, but were already fixed
    when the gosop support was added here. Remove the references.
    
    Fixes: commit 589485b1242da5debca487307759783511456d9b
    Changelog: silent

 scripts/Dpkg/OpenPGP/Backend/SOP.pm | 4 ----
 1 file changed, 4 deletions(-)

commit 8b37608eae29018ce88c8f1f9021f914c5f99bdc
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Dec 13 04:22:59 2024 +0100

    man: Use «must» instead of «should» for mandatory behavior
    
    The behavior described is mandatory, as the tools currently will fail
    hard when not following them.
    
    Ref: https://bugs.debian.org/1089794
    Requested-by: Niels Thykier <niels@thykier.net>

 man/deb-src-control.pod | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 1a06485a77983e2471ec761a0f9bf02a921a8761
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Aug 31 19:40:17 2024 +0200

    dpkg-buildtree: Add new command is-rootless
    
    This new command can be used to query whether the build tree requires
    root to build or can be built with no root privileges.
    
    This is useful for build frontends that might need to know whether they
    have to install additional gain-root-command packages to be able to
    build the sources.
    
    Suggested-by: Niels Thykier <niels@thykier.net>

 man/dpkg-buildtree.pod                             |  9 +++
 scripts/Dpkg/BuildTree.pm                          | 18 ++++++
 scripts/Makefile.am                                |  6 ++
 scripts/dpkg-buildtree.pl                          | 12 +++-
 scripts/t/dpkg_buildtree.t                         | 71 ++++++++++++++++++++++
 .../dpkg_buildtree/src-build-api-v0/debian/control |  6 ++
 .../dpkg_buildtree/src-build-api-v1/debian/control |  6 ++
 .../src-rrr-binary-targets/debian/control          |  5 ++
 .../dpkg_buildtree/src-rrr-missing/debian/control  |  4 ++
 scripts/t/dpkg_buildtree/src-rrr-no/debian/control |  5 ++
 10 files changed, 140 insertions(+), 2 deletions(-)

commit 2d4d2f8e3ad4aeb9758774745b70f28b46c9f57f
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Aug 31 19:40:17 2024 +0200

    Dpkg::BuildDriver::DebianRules: Handle missing root_cmd option
    
    Initialize the root_cmd option as an empty list if it did not get passed
    into the constructor.

 scripts/Dpkg/BuildDriver/DebianRules.pm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60135413d1cb5f176716101a4f3263fb8792f2e2
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Dec 28 02:47:30 2024 +0100

    Cast char to unsigned char for ctype functions
    
    Whether char is signed or unsigned is platform specific. The ctype
    functions take an int, but passing a negative number other than EOF
    is undefined. Thus we cannot simply pass an element from a «char *»,
    we need to cast it to «unsigned char» to make sure we are only ever
    passing valid values.
    
    Warned-by: gcc on NetBSD
    Changelog: internal

 lib/dpkg/t/t-path.c         | 2 +-
 utils/start-stop-daemon.c   | 4 ++--
 utils/update-alternatives.c | 8 ++++----
 3 files changed, 7 insertions(+), 7 deletions(-)

commit bf3667add80e91bbdb2f4f2f6fe378f397ce1673
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Dec 27 18:23:21 2024 +0100

    dselect: Mark assignment inside baselist::kd_search() as a move assignment
    
    Warned-by: coverity
    Cangelog: internal

Notes:
    Changelog: internal

 dselect/basecmds.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 661c242acdd65180d5b82eaf111bbdf121f2d3c2
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Wed Dec 25 09:07:52 2024 +0100

    po: Update German dselect translation
    
    Update to 264t.

 dselect/po/de.po | 43 ++++++++++++++++++++-----------------------
 1 file changed, 20 insertions(+), 23 deletions(-)

commit 3d832406dc767d00b2a0c05b0c5ef1527e44e41a
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Dec 25 03:50:52 2024 +0100

    dselect: Do not pass non-POD types to functions with variadic arguments
    
    This is supported by some compilers but not all of them, and the C++
    standard specifies that the behavior is implementation defined.
    
    Fixes: commit 8d628d3e86b78c35795f39f5a7b40f3b91281114
    Fixes: commit a7936e01f2ef3e566d17c9e1cdf3eb6da80044b6
    Warned-by: clang-19
    Changelog: silent

 dselect/method.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 322971e3caf1c0ab5e37ef0d7e19e196126bcf30
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Dec 18 13:13:10 2024 +0100

    scripts/mk: Add support for new DEB_VERSION_EPOCH and DEB_VERSION_REVISION
    
    This completes the parts of the source variable we are exposing via
    variables. This should make it possible to use these variables without
    having to call dpkg-parsechangelog directly.
    
    Closes: #1088244

 scripts/mk/pkg-info.mk   | 12 ++++++++++++
 scripts/t/mk/pkg-info.mk |  4 ++++
 2 files changed, 16 insertions(+)

commit c3eef3de424b3981aee23d31f0d00faa7a58213c
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Dec 17 04:21:48 2024 +0100

    scripts/mk: Clarify format for version variables from pkg-info.mk
    
    Describe more clearly what kind of value each variable will contain,
    with the generic format and a concrete example.
    
    Ref: #1088244

 scripts/mk/pkg-info.mk | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit 2c9d5c31e96a90ab28e4c34119b8ff84236f8991
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Dec 18 12:55:14 2024 +0100

    scripts/mk: Capitalize variable descriptions
    
    These are sentences ending with a dot, so they should be capitalized.

 scripts/mk/buildflags.mk | 40 ++++++++++++++++++++--------------------
 scripts/mk/buildopts.mk  |  2 +-
 scripts/mk/buildtools.mk | 16 ++++++++--------
 scripts/mk/pkg-info.mk   | 16 ++++++++--------
 scripts/mk/vendor.mk     |  4 ++--
 5 files changed, 39 insertions(+), 39 deletions(-)

commit a7936e01f2ef3e566d17c9e1cdf3eb6da80044b6
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Aug 14 19:00:01 2024 +0200

    dselect: Use varbuf instead of strcpy()
    
    Warned-by: gcc on OpenBSD and macOS
    Changelog: silent

 dselect/methlist.cc  | 14 +++++++-------
 dselect/method.h     |  7 ++++---
 dselect/methparse.cc | 28 +++++++++++-----------------
 3 files changed, 22 insertions(+), 27 deletions(-)

commit 8d628d3e86b78c35795f39f5a7b40f3b91281114
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 24 05:12:00 2024 +0200

    dselect: Switch to use varbufs instead of sprintf for method parser
    
    Warned-by: gcc on OpenBSD and macOS
    Changelog: internal

 dselect/method.cc    |  12 ++++--
 dselect/method.h     |   2 +-
 dselect/methparse.cc | 117 ++++++++++++++++++++++++++-------------------------
 3 files changed, 68 insertions(+), 63 deletions(-)

commit e68366c95ff6b1cc5b489d319795a98160168cfa
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Aug 14 02:44:35 2024 +0200

    dselect: Use file_slurp() instead of open-coding it
    
    We are slurping the download method description file, and can use the
    existing file_slurp() function for that.
    
    Changelog: internal

 dselect/methparse.cc | 29 ++++++++++++-----------------
 1 file changed, 12 insertions(+), 17 deletions(-)

commit fe44a3010b2b88d28bc79a233ddbc094d8c1ac7e
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 24 05:12:00 2024 +0200

    dselect: Switch to use varbufs instead of sprintf for describemany()
    
    Warned-by: gcc on OpenBSD and macOS
    Changelog: internal

 dselect/pkglist.h |  2 +-
 dselect/pkgtop.cc | 64 ++++++++++++++++++++++++-------------------------------
 2 files changed, 29 insertions(+), 37 deletions(-)

commit c11a69207d031b7d2260dd0108b91b27b22dea1e
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 24 05:12:00 2024 +0200

    dselect: Switch to use varbufs instead of sprintf for searchstring
    
    Warned-by: gcc on OpenBSD and macOS
    Changelog: internal

 dselect/basecmds.cc | 27 +++++++++++++++------------
 dselect/baselist.cc |  4 ++--
 dselect/dselect.h   |  4 ++--
 dselect/pkglist.cc  | 16 ++++++++--------
 dselect/pkglist.h   |  2 +-
 5 files changed, 28 insertions(+), 25 deletions(-)

commit 5ab30303e4d1aa99aaef75790321bdce65a9505c
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 24 05:12:00 2024 +0200

    dselect: Switch to use varbufs instead of sprintf in keybindings
    
    Warned-by: gcc on OpenBSD and macOS
    Changelog: internal

 dselect/baselist.cc |  4 ++--
 dselect/bindings.cc | 17 +++++++++++------
 dselect/bindings.h  |  2 +-
 3 files changed, 14 insertions(+), 9 deletions(-)

commit 7f320dfdfd802bab9e35099845dd1560d141b3d9
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 24 04:52:30 2024 +0200

    libdpkg: Add new varbuf_array() and C++ operator[] methods
    
    We want to be able to replace current raw pointer usage, which accesses
    those pointers as arrays. We add these methods so that we can switch the
    code to use varbuf, while at the same time, making it safer to use, as
    the new code will have built-in range checks.

 lib/dpkg/libdpkg.map |  1 +
 lib/dpkg/varbuf.c    | 10 ++++++++++
 lib/dpkg/varbuf.h    | 16 ++++++++++++++++
 3 files changed, 27 insertions(+)

commit 73f77c972f5709bbccdf8fba137f021b7ce09bf2
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Aug 11 05:00:25 2024 +0200

    libdpkg: Add new varbuf C++ move constructors

 lib/dpkg/varbuf.h | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 19777c0f7fe274e7fdee3da7e428b63e3465dbc3
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 23 15:01:49 2024 +0200

    libdpkg: Add new varbuf C++ copy constructors

 lib/dpkg/varbuf.h | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 179b96cb180894e3cc7169fb2ed454e445e5f8c7
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Aug 10 22:09:37 2024 +0200

    libdpkg: Add new varbuf_swap() function
    
    This will be used mainly to implement the C++ move semantics.

 lib/dpkg/libdpkg.map | 1 +
 lib/dpkg/varbuf.c    | 9 +++++++++
 lib/dpkg/varbuf.h    | 1 +
 3 files changed, 11 insertions(+)

commit 4edca4ad5f69c7be1ef178248e6d95bfb04e6875
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 23 02:56:07 2024 +0200

    libdpkg: Add new varbuf C++ len() method

 lib/dpkg/varbuf.h | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 9fa852980593e27c9e66720df235125940e447bb
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 23 02:46:00 2024 +0200

    libdpkg: Remove varbuf C++ operator() methods
    
    These are very confusing as they resemble constructors. We have switched
    the code to use operator+= methods instead which make the code and
    intention way more clear.

 lib/dpkg/varbuf.h | 14 --------------
 1 file changed, 14 deletions(-)

commit 3ed7438c4c9f8180774e5b4fbefe7d3fc4483b18
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 23 02:45:43 2024 +0200

    dselect: Switch from operator() to operator+=
    
    These are very confusing as they resemble constructors.
    
    Changelog: internal

 dselect/baselist.cc   |  2 +-
 dselect/methlist.cc   |  2 +-
 dselect/methparse.cc  |  6 +++---
 dselect/pkgdepcon.cc  |  4 ++--
 dselect/pkginfo.cc    | 11 +++++------
 dselect/pkgsublist.cc | 34 +++++++++++++++++-----------------
 6 files changed, 29 insertions(+), 30 deletions(-)

commit f259b414d701c4d5996227a1612a56c94e90585c
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 23 02:34:46 2024 +0200

    libdpkg: Add new varbuf C++ operator+= methods

 lib/dpkg/varbuf.h | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit 7fd5d9c99f50cb9eec402aeff5870ad63193db73
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 23 02:34:29 2024 +0200

    libdpkg: Add new varbuf C++ constructor initialized from a C string
    
    This will make it more ergonomic to declare varbufs in C++ code.

 lib/dpkg/varbuf.h | 8 ++++++++
 1 file changed, 8 insertions(+)

commit ccf4acac49f9c499670ff33cb7132b17934a97cf
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 24 15:57:33 2024 +0200

    test: Add tests for varbuf C++ API

 lib/dpkg/Makefile.am       |   5 +
 lib/dpkg/t/.gitignore      |   1 +
 lib/dpkg/t/t-varbuf-cpp.cc | 558 +++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 564 insertions(+)

commit 35449494e0fe370edf745d4d8eaa8513d28970fa
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Aug 10 02:37:50 2024 +0200

    libdpkg: Add new varbuf_state C++ methods for all functions
    
    This should make using varbuf_state from a C++ codebase more ergonomic.

 lib/dpkg/varbuf.h | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

commit 4471092c0dda1320424ab60692960c6b2a61dfaf
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Aug 8 04:20:33 2024 +0200

    libdpkg: Add new varbuf C++ methods for all functions
    
    This should make using varbuf from a C++ codebase more ergonomic.

 lib/dpkg/varbuf.h | 162 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 162 insertions(+)

commit 2fecaf7cbf3824fffd6f880f3f28d6120acf011e
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 23 02:35:28 2024 +0200

    libdpkg: Rename varbuf::string() to varbuf::str()
    
    Makes the function shorter, and as easy to understand given the context.

 dselect/baselist.cc   |  2 +-
 dselect/main.cc       |  4 ++--
 dselect/methparse.cc  | 12 ++++++------
 dselect/pkgdepcon.cc  |  2 +-
 dselect/pkginfo.cc    | 14 +++++++-------
 dselect/pkgsublist.cc |  6 +++---
 lib/dpkg/varbuf.h     |  4 ++--
 7 files changed, 22 insertions(+), 22 deletions(-)

commit d12ebb1f159c0aeeffa943ad8b5329607f3b934e
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 23 02:33:51 2024 +0200

    libdpkg: Switch varbuf::reset() to use varbuf_reset()
    
    Instead of open-coding the implementation (even if it's trivial), reuse
    the C one, which we do for all other methods.

 lib/dpkg/varbuf.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7ecc6ad0be8c9ec957fb6f7cbe1ddff08d53a0e0
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 24 15:57:06 2024 +0200

    test: Mark variables around longjmp() as volatile
    
    The longjmp() function might change CPU registers, and if the compiler
    assumes it can take the values for these local variables directly from
    the registers, they might end up being wrong.

 lib/dpkg/t/t-varbuf.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 72805baa9dd49fee62b757e5225d78d90966c08e
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 22 21:03:08 2024 +0200

    Use snprintf() instead of sprintf()
    
    For many of the callers, the current usage is supposed to be safe
    already, but some could be problematic either due to translated strings
    being longer than expected, or data types growing in size in the future
    and taking more output space.
    
    Warned-by: gcc on OpenBSD and macOS
    Changelog: internal

 lib/compat/strerror.c     |  2 +-
 lib/compat/strsignal.c    |  2 +-
 lib/dpkg/buffer.c         |  2 +-
 lib/dpkg/execname.c       |  8 ++++----
 lib/dpkg/path.c           |  2 +-
 src/deb/build.c           |  6 +++---
 src/main/enquiry.c        |  4 ++--
 utils/start-stop-daemon.c | 10 +++++-----
 8 files changed, 18 insertions(+), 18 deletions(-)

commit c4cdb5e104120d3cb70699d122a9c22ea065b2de
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 22 20:20:38 2024 +0200

    dpkg: Replace sprintf() usage with a varbuf in depisok()
    
    This removes a statically sized stack variable.
    
    Changelog: internal

 src/main/depcon.c | 149 +++++++++++++++++++++++++++++-------------------------
 1 file changed, 80 insertions(+), 69 deletions(-)

commit 2a51fb01f16f6687c63e5c7e07e054348dc43d18
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Aug 10 02:40:30 2024 +0200

    libdpkg: Rename varbuf C++ *fmt() methods to add_*fmt()
    
    Also rename the _fmt arguments to fmt, and va to args.

 dselect/main.cc   | 10 +++++-----
 lib/dpkg/varbuf.h | 26 +++++++++++++++-----------
 2 files changed, 20 insertions(+), 16 deletions(-)

commit a57f686211868fc7c734dfe78e0a8f56943991e4
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 22 20:19:56 2024 +0200

    Replace varbuf_*printf() with varbuf_add_*fmt()
    
    Changelog: internal

 lib/dpkg/compress.c   |  4 +--
 lib/dpkg/dbmodify.c   |  4 +--
 lib/dpkg/error.c      |  4 +--
 lib/dpkg/log.c        |  2 +-
 lib/dpkg/parsehelp.c  |  4 +--
 lib/dpkg/pkg-format.c |  4 +--
 lib/dpkg/t/t-varbuf.c | 10 +++---
 lib/dpkg/varbuf.h     |  2 --
 src/deb/build.c       |  4 +--
 src/main/depcon.c     | 28 ++++++++--------
 src/main/packages.c   | 88 +++++++++++++++++++++++++--------------------------
 11 files changed, 76 insertions(+), 78 deletions(-)

commit bdfd3133c7eff5d51a5543448c9df76f59b64c15
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 22 20:17:52 2024 +0200

    Replace varbuf_reset()+varbuf_*printf() with varbuf_set_*fmt()
    
    Changelog: internal

 lib/dpkg/log.c       |  3 +--
 lib/dpkg/parsehelp.c | 12 +++++-------
 src/deb/build.c      |  6 ++----
 src/deb/info.c       |  9 +++------
 src/divert/main.c    | 22 +++++++++-------------
 src/split/split.c    | 23 ++++++++++-------------
 6 files changed, 30 insertions(+), 45 deletions(-)

commit 01cf8c303c3f786ea059eb0eb217397d966e0c29
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 22 19:57:26 2024 +0200

    dpkg: Switch from varbuf_reset()+varbuf_add_str() to varbuf_set_str()
    
    We can simplify the calls by using the set function.
    
    Changelog: internal

 src/main/archives.c | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit 2294b1ae6f0b47d000105f3d677d7b16341a1e7a
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 22 16:00:07 2024 +0200

    libdpkg: Add new varbuf_set_*fmt() functions

 lib/dpkg/libdpkg.map |  2 ++
 lib/dpkg/varbuf.c    | 20 ++++++++++++++++++++
 lib/dpkg/varbuf.h    |  4 ++++
 3 files changed, 26 insertions(+)

commit 6f0c6d88b6c0c59e4f2a16369685beba21c0e2b0
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 22 15:24:00 2024 +0200

    libdpkg: Rename varbuf_*printf() to varbuf_add_*fmt()
    
    The new function names make it clear that we are adding the formatted
    strings into the varbuf, which will give room to add formatted set
    variants, without using confusing names.

 lib/dpkg/libdpkg.map |  4 ++--
 lib/dpkg/varbuf.c    |  6 +++---
 lib/dpkg/varbuf.h    | 14 ++++++++------
 3 files changed, 13 insertions(+), 11 deletions(-)

commit 0746b6a92482f55b16310e519ed4773399775e65
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Aug 10 06:39:08 2024 +0200

    libdpkg: Rename varbuf_rollback_start() to varbuf_rollback_end()
    
    This returns a pointer to the end of the string after a rollback, not
    the start.

 lib/dpkg/dbmodify.c   |  4 ++--
 lib/dpkg/libdpkg.map  |  2 +-
 lib/dpkg/t/t-varbuf.c | 14 +++++++-------
 lib/dpkg/varbuf.c     |  2 +-
 lib/dpkg/varbuf.h     |  2 +-
 5 files changed, 12 insertions(+), 12 deletions(-)

commit 1afce6eeff287c7d50412b34fd02b3d8bed8c3c2
Author: Santiago Vila <sanvila@debian.org>
Date:   Tue Dec 17 04:33:11 2024 +0100

    Dpkg::BuildInfo: Add GNUMAKEFLAGS as an allowed environment variable
    
    This variable affects the make(1) behavior, so it's important to track
    it for reproducible purposes.
    
    [guillem@debian.org: Update test suite. ]
    
    Closes: #1090337
    Signed-off-by: Guillem Jover <guillem@debian.org>

 scripts/Dpkg/BuildInfo.pm  | 1 +
 scripts/t/Dpkg_BuildInfo.t | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 42a5742fc7e8bdc713788afd97ef84de0f1f8e6e
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Dec 5 00:09:11 2024 +0100

    Dpkg::Vendor: Remove backwards compatibility module and origin name mangling
    
    The naming for origin files and vendor Perl modules was rationalized
    during the 1.21.x release cycle, and was slated for removal in the
    1.22.x release cycle (the current one).
    
    The code has been emitting warnings when using the affected names, and
    the documentation has mentioned this as well.
    
    It seems safe to remove the backwards compatibility code.

 man/deb-origin.pod     | 11 ----------
 scripts/Dpkg/Vendor.pm | 57 ++++++--------------------------------------------
 2 files changed, 6 insertions(+), 62 deletions(-)

commit 4d12a2ebbc861398b43b069667497fdfec112100
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Dec 21 06:10:34 2024 +0100

    Dpkg::Archive::Ar: Copy only the number of bytes we have read
    
    When copying from filehandle to filehandle, we should only write the
    amount of bytes we have read in the previous call.

 scripts/Dpkg/Archive/Ar.pm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4af26951f2753c4a50a838342bfe881d8265e3f2
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Dec 4 23:53:20 2024 +0100

    build: Do not use an obsolete x prefix for shell test checks
    
    We are expecting a conformant POSIX shell to be available in the
    system, coping with broken system shells at configure only delays
    the point where breakage will be detected.
    
    In any case all currently supported ports have POSIX compliant
    shells, and that's the minimum to expect from new ones.

 configure.ac         |  8 ++++----
 doc/coding-style.txt |  4 ++--
 m4/dpkg-arch.m4      |  6 +++---
 m4/dpkg-build.m4     |  6 +++---
 m4/dpkg-compiler.m4  | 24 ++++++++++++------------
 m4/dpkg-coverage.m4  |  4 ++--
 m4/dpkg-funcs.m4     | 18 +++++++++---------
 m4/dpkg-libs.m4      | 44 ++++++++++++++++++++++----------------------
 m4/dpkg-linker.m4    |  6 +++---
 m4/dpkg-progs.m4     |  8 ++++----
 m4/dpkg-types.m4     |  4 ++--
 11 files changed, 66 insertions(+), 66 deletions(-)

commit d5abe57f15d2c04acff60ff12d04a9aa41c41a36
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Wed Dec 4 17:35:16 2024 +0100

    po: Update German programs translation
    
    Update to 1195t.

 po/de.po | 47 +++++++++++++++++++++++++----------------------
 1 file changed, 25 insertions(+), 22 deletions(-)

commit 91c8d603ccb915cfe18e05e6635a80fe48a9a27f
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Dec 4 08:41:19 2024 +0100

    po: Update German man pages translation

 man/po/de.po | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 60 insertions(+), 7 deletions(-)

commit caab36482c43f8990a543ba4abd6e71ff848788b
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Dec 3 23:49:37 2024 +0100

    man: Document purpose of origin files and how they tie to packages
    
    The documentation was not exactly clear on what the purpose of these
    files was, nor how the files tie with packages.
    
    Ref: https://github.com/grml/grml-debian-keyring/issues/7

 man/deb-origin.pod  | 11 +++++++++--
 man/dpkg-vendor.pod | 15 +++++++++++++++
 2 files changed, 24 insertions(+), 2 deletions(-)

commit 6cb80e4dea0b50d532ae94f7b051270168a4e69c
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Tue Dec 3 17:56:08 2024 +0100

    po: Update German man pages translation

 man/po/de.po | 52 +++++++++++++++++++++++++++++++---------------------
 1 file changed, 31 insertions(+), 21 deletions(-)

commit d3195b7f618ce0aa8c6b09178c6175460742c22d
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Dec 3 06:03:37 2024 +0100

    dpkg-trigger: Initialize opt_act to 1
    
    After inverting the sense of the boolean variable, we should have
    initialized it to 1, from the previous implicit 0, otherwise we default
    to dry-run mode.
    
    Fixes: commit faebdfb31c2f354562c348760aa38539d5c948a4
    Changelog: silent

 src/trigger/main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6214b53074a40b8da0a4e82e553a71819522e9e9
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Dec 3 02:38:58 2024 +0100

    dpkg: Unify package and version printing format to «package (version)»
    
    This follows the same pattern as with other progress and informational
    messages, so that it is visually easier to recognize this pattern.

 src/main/archives.c  | 14 +++++++-------
 src/main/configure.c |  2 +-
 2 files changed, 8 insertions(+), 8 deletions(-)

commit a9b22de4db4d42417c4cac74e7e537f48284e731
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Nov 21 02:46:08 2024 +0100

    perl: Remove function prototypes
    
    These have many issues, perform implicit context coercion which can
    be rather surprising for callers, and are incompatible with function
    signatures, which we'll be using once the minimum Perl version
    supporting them has been bumped in our coding style baseline.

 dselect/methods/Dselect/Method.pm  |  2 +-
 dselect/methods/ftp/install.pl     | 12 +++++------
 dselect/methods/ftp/setup.pl       |  2 +-
 scripts/Dpkg/Arch.pm               | 44 +++++++++++++++++++-------------------
 scripts/Dpkg/Checksums.pm          |  6 +++---
 scripts/Dpkg/Control/FieldsCore.pm | 28 ++++++++++++------------
 scripts/Dpkg/ErrorHandling.pm      | 16 +++++++-------
 scripts/Dpkg/Lock.pm               |  2 +-
 scripts/Dpkg/Package.pm            |  2 +-
 scripts/Dpkg/Path.pm               | 18 ++++++++--------
 scripts/Dpkg/Source/Functions.pm   |  4 ++--
 scripts/Dpkg/Vendor.pm             | 10 ++++-----
 scripts/Dpkg/Version.pm            | 14 ++++++------
 scripts/dpkg-ar.pl                 |  4 ++--
 scripts/dpkg-architecture.pl       |  2 +-
 scripts/dpkg-buildapi.pl           |  4 ++--
 scripts/dpkg-checkbuilddeps.pl     |  2 +-
 scripts/dpkg-fsys-usrunmess.pl     |  2 +-
 scripts/dpkg-mergechangelogs.pl    | 19 ++++++----------
 scripts/dpkg-name.pl               | 18 ++++++++--------
 20 files changed, 102 insertions(+), 109 deletions(-)

commit 6d1fd404f3161599d9e0aae8b2fef9a0f4ed6cea
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Nov 7 02:18:47 2024 +0100

    dpkg-deb: Fix doxygen comment to match function argument
    
    Changelog: internal

 src/deb/build.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 962a267818613ef595901a7e636d2b94419be17b
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Nov 7 02:17:47 2024 +0100

    dpkg-deb: Rename check_control_area() to check_build_files()
    
    This describes the function in better terms, and gives room to expand
    its functionality to checks for the filesystem area of the to be built
    package.
    
    Changelog: internal

 src/deb/build.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7640aae4a08c871496748cc68bc9e79646ac895e
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Nov 7 02:15:56 2024 +0100

    dpkg-deb: Rename control area functions to check_ctrl_*()
    
    Changelog: internal

 src/deb/build.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit fb1f1507ed399c3efcdc0594f7def7deb40232f3
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Nov 7 01:51:15 2024 +0100

    dpkg-deb: Add --no-check option and keep --nocheck as an alias
    
    The preferred form will be --no-check. For now we keep the alias but
    will start to phase it out. This unifies the option name in line with
    the other --no-<thing> options in the codebase.

 man/dpkg-deb.pod                              | 12 +++++++++---
 src/deb/main.c                                |  5 +++--
 tests/t-conffile-declarative-removal/Makefile |  2 +-
 tests/t-control-bogus/Makefile                | 10 +++++-----
 tests/t-control-no-arch/Makefile              |  2 +-
 tests/t-multiarch/Makefile                    |  2 +-
 tests/t-provides/Makefile                     |  2 +-
 7 files changed, 21 insertions(+), 14 deletions(-)

commit faebdfb31c2f354562c348760aa38539d5c948a4
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Nov 7 01:41:37 2024 +0100

    src: Do not name option variables as no<thing>
    
    This makes following the defaults, and code flow harder. Use the
    positive form instead.

 src/deb/build.c      |  4 ++--
 src/deb/dpkg-deb.h   |  2 +-
 src/deb/main.c       |  4 ++--
 src/main/archives.c  |  2 +-
 src/main/configure.c |  2 +-
 src/main/main.c      | 19 ++++++++++++-------
 src/main/main.h      |  9 +++++++--
 src/main/packages.c  |  2 +-
 src/main/remove.c    |  4 ++--
 src/main/select.c    |  4 ++--
 src/main/trigproc.c  |  2 +-
 src/main/unpack.c    |  8 ++++----
 src/main/update.c    |  4 ++--
 src/trigger/main.c   |  6 +++---
 14 files changed, 41 insertions(+), 31 deletions(-)

commit 68b9387e63ba09f97ffa34d66c71b3895ec174bd
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Nov 3 18:29:34 2024 +0100

    build: Undefine _TIME_BITS when checking for the base off_t size
    
    On glibc systems the off_t definition depends on whether
    _FILE_OFFSET_BITS is defined and to what, which we undefine to get
    the base type, but if _TIME_BITS is defined to 64, then it is expected
    to match the _FILE_OFFSET_BITS size, otherwise the compilation fails
    and we get a 0 as the off_t type size.

 m4/dpkg-arch.m4 | 1 +
 1 file changed, 1 insertion(+)

commit f6ce5b0960b5b31033152d56e33c3a1390e37a34
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Nov 21 02:12:53 2024 +0100

    Dpkg::Shlibs: Improve code comments

 scripts/Dpkg/Shlibs/Symbol.pm     | 100 +++++++++++++++++++-------------------
 scripts/Dpkg/Shlibs/SymbolFile.pm |  53 ++++++++++----------
 2 files changed, 78 insertions(+), 75 deletions(-)

commit 17309e15bbe78ac627cf6a66c318d1603b99c202
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Dec 3 02:41:53 2024 +0100

    Dpkg::OpenPGP::Backend::Sequoia: Add keystore support
    
    Newer sq versions have keystore support, either through a keystore
    server, or if that is not running from their builtin in-process
    support. Which includes at least the native Sequoia keystore, and
    the GnuPG one via gpg-agent.

 scripts/Dpkg/OpenPGP/Backend/Sequoia.pm | 8 ++++++++
 1 file changed, 8 insertions(+)

commit fc7bda93992086e01b62d08fa5ca2b70a69b62aa
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Dec 3 02:40:48 2024 +0100

    Dpkg::OpenPGP::Backend::Sequoia: Adapt to new CLI 0.40.0 API
    
    As the API is not yet stable (but it is getting closer to be), we
    need to adapt it to the current version.

 debian/control                          |  4 ++--
 scripts/Dpkg/OpenPGP/Backend/Sequoia.pm | 11 ++++++-----
 2 files changed, 8 insertions(+), 7 deletions(-)

commit 589485b1242da5debca487307759783511456d9b
Author: Guillem Jover <guillem@debian.org>
Date:   Sat May 27 14:32:03 2023 +0200

    Dpkg::OpenPGP::Backend::SOP: Add gosop as an alternative SOP implementation
    
    The new version fixes the remaining issue that allows the code to use it
    as a backend.

 debian/control                      | 12 ++++++++----
 scripts/Dpkg/OpenPGP/Backend/SOP.pm |  2 +-
 scripts/Test/Dpkg.pm                |  3 +++
 3 files changed, 12 insertions(+), 5 deletions(-)

commit 7fb6f6a1a35b0da36dd1c5c0c05d7692e0391ebb
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Oct 7 13:21:56 2024 +0200

    Dpkg::OpenPGP::Backend::SOP: Add rsop as an alternative SOP implementation
    
    Starting with rsop 0.4.0, its implementation provides everything that we
    require from SOP.

 debian/control                      | 12 ++++++++----
 scripts/Dpkg/OpenPGP/Backend/SOP.pm |  2 +-
 scripts/Test/Dpkg.pm                |  3 +++
 3 files changed, 12 insertions(+), 5 deletions(-)

commit ae08079b4eaa45152700c1beb73a5a786ceed06a
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Oct 16 03:08:10 2024 +0200

    Dpkg::Vendor: Simplify module loading logic
    
    If we cannot load the module, skip this loop iteration, so that it is
    clear what we intend, and we can reduce an indentation level as a side
    effect.

 scripts/Dpkg/Vendor.pm | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 78cdc923b56bf37fd97ada6bf80030448616b586
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 27 05:34:15 2024 +0200

    scripts: Fix module loading
    
    Load the module, and if that does not fail, then construct the object.
    Otherwise we get very confusing errors.
    
    Prompted-by: Holger Levsen <holger@debian.org>
    Prompted-by: Niels Thykier <niels@thykier.net>

 scripts/Dpkg/BuildDriver.pm     | 7 +++----
 scripts/Dpkg/Changelog/Parse.pm | 5 +++--
 scripts/Dpkg/Vendor.pm          | 9 +++++----
 3 files changed, 11 insertions(+), 10 deletions(-)

commit 2c8939544fed8de058695a129e72c1228a6d86f8
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Sep 8 14:55:00 2024 +0200

    test: Enable ValuesAndExpressions::ProhibitMagicNumbers except for octals
    
    Warned-by: perlcritic

 t/critic/perlcriticrc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit e2cbd84d34db56c986684baa5cfe5a6a4160b82c
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Oct 16 03:15:04 2024 +0200

    Dpkg::OpenPGP::Backend::GnuPG: Ignore ValuesAndExpressions::ProhibitMagicNumbers
    
    The function needs these hex constants, and they are mostly used via
    variables, but because «use constants» is a module scoped pragma, it
    would pollute the entire module.
    
    Warned-by: perlcritic

 scripts/Dpkg/OpenPGP/Backend/GnuPG.pm | 1 +
 1 file changed, 1 insertion(+)

commit e87c9387af84628107d3bbb5194b1b719110275b
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 27 05:29:17 2024 +0200

    debian: Inline sequoia-chameleon-gnupg dependencies depending on context
    
    Instead of depending on the meta-package, explicitly depend on either of
    the gpg-sq or gpgv-sq packages depending on the context.

 debian/control | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6c304121b82d43d2e9968fa6cc59c2b2a8563e2f
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 13 06:15:44 2024 +0200

    s-s-d: Try to use close_range() if present to implement closefrom()
    
    If the system has close_range() use it, and fallback to the open coded
    closing, in case the function was present at build time but not
    implemented at run-time, or it failed for whatever reason.
    
    Proposed-by: Mix <mnixry@outlook.com>
    Changelog: internal

 configure.ac              | 1 +
 utils/start-stop-daemon.c | 5 +++++
 2 files changed, 6 insertions(+)

commit 394a55833f1e3a25cf1720cf811d44dfde65893a
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Sep 13 06:15:44 2024 +0200

    s-s-d: Refactor closefrom() and use it only if the system lacks it
    
    Move the code into a function that behaves like the BSD system one,
    and use if the system does not provide it.
    
    Changelog: internal

 configure.ac              |  1 +
 utils/start-stop-daemon.c | 19 ++++++++++++++-----
 2 files changed, 15 insertions(+), 5 deletions(-)

commit d53fb1752e4bef2c2fe088009ee976b28fc9cd88
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Sep 5 02:28:48 2024 +0200

    debian: Add a trailing comma to debian/tests/control dependency

 debian/tests/control | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c16aaf670d567238c6a2d7c4bb06e77f833de2be
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Oct 16 03:09:52 2024 +0200

    doc: Fix typos in ChangeLog.old
    
    Warned-by: codespell

 ChangeLog.old | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 440a1273e23356111dc23f3bdc0c6c1c939ba667
Author: Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>
Date:   Tue Dec 3 03:58:35 2024 +0100

    po: Update Romanian programs translation
    
    Closes: #1080212
    Signed-off-by: Guillem Jover <guillem@debian.org>

 po/ro.po | 144 ++++++++++++++++++++++-----------------------------------------
 1 file changed, 51 insertions(+), 93 deletions(-)

commit 82f64c00c9c5ba2a6564cf35cf5cd5d4871bcd91
Author: Peter Krefting <peter@softwolves.pp.se>
Date:   Tue Dec 3 03:51:01 2024 +0100

    po: Update Swedish translations
    
    Closes: #1083116
    Signed-off-by: Peter Krefting <peter@softwolves.pp.se>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 man/po/sv.po     | 365 +++++++++++++++++--------------------------------------
 po/sv.po         | 103 +++++-----------
 scripts/po/sv.po | 186 +++++++++++-----------------
 3 files changed, 214 insertions(+), 440 deletions(-)

commit 793121bc845da7ef13fb41712032201dadd83430
Author: Américo Monteiro <a_monteiro@gmx.com>
Date:   Tue Dec 3 03:43:31 2024 +0100

    po: Update Portuguese man pages translation
    
    Closes: #1086160
    Signed-off-by: Guillem Jover <guillem@debian.org>

 man/po/pt.po | 646 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 345 insertions(+), 301 deletions(-)

commit ce31f0e70d6835788b632deab7544b8dbe09d70f
Author: Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
Date:   Tue Dec 3 03:29:30 2024 +0100

    po: Update Dutch translations
    
    Closes: #1087459, #1087595
    Signed-off-by: Guillem Jover <guillem@debian.org>

 man/po/nl.po | 701 +++++++++++++++++++++++++++++++----------------------------
 po/nl.po     | 175 +++++----------
 2 files changed, 423 insertions(+), 453 deletions(-)

commit ac3c2b3151859e18b143bd56da1bb64079b797b3
Author: Miroslav Kure <kurem@upcase.inf.upol.cz>
Date:   Tue Dec 3 03:25:47 2024 +0100

    po: Update Czech translations
    
    Closes: #1087219
    Signed-off-by: Guillem Jover <guillem@debian.org>

 dselect/po/cs.po |  18 ++-----
 po/cs.po         | 151 +++++++++++++++++++------------------------------------
 2 files changed, 56 insertions(+), 113 deletions(-)

commit a45d7abfa0284ce82fdff68ed7f4d982eac12c50
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sun Aug 18 07:51:38 2024 +0200

    po: Update German man pages translation

 man/po/de.po | 127 +++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 84 insertions(+), 43 deletions(-)

commit 6cc764c357957ee3085492658a0013fa9e2cbf69
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Aug 18 02:51:50 2024 +0200

    scripts/mk: Document public API and expected directory to include from
    
    We should be explicit about what we consider the public API for these
    files, and what is the expected directory to include the fragments from.
    
    Prompted-by: Helmut Grohne <helmut@subdivi.de>

 scripts/mk/architecture.mk | 4 ++++
 scripts/mk/buildapi.mk     | 4 ++++
 scripts/mk/buildflags.mk   | 3 +++
 scripts/mk/buildopts.mk    | 4 ++++
 scripts/mk/buildtools.mk   | 4 ++++
 scripts/mk/default.mk      | 4 ++++
 scripts/mk/pkg-info.mk     | 4 ++++
 scripts/mk/vendor.mk       | 4 ++++
 8 files changed, 31 insertions(+)

commit 18c6c80b006caff0eb7a3cb37ad0be6546c16f9f
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Aug 18 02:48:25 2024 +0200

    scripts/mk: Document DPKG_BUILD_API in buildapi.mk
    
    The variable was not documented explicitly, which we should do so that
    only documented variables can be considered public interfaces.

 scripts/mk/buildapi.mk | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a8aa7e2d96f99c795d3e37e8e9f8272526137e70
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Aug 11 16:52:03 2024 +0200

    man: Use modern architectures for manual page examples
    
    When giving examples, use architectures that are modern, and less prone
    to bit rot or even potential removal, also ones that might be more
    familiar to users.

 man/deb-src-symbols.pod   |  4 ++--
 man/dpkg-architecture.pod | 10 +++++-----
 2 files changed, 7 insertions(+), 7 deletions(-)

commit ed8cef98c69955f5259411dfd67d97036bb88677
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Aug 11 16:40:30 2024 +0200

    man: Use arch-bits in deb-src-symbols(5) example dependent on bitness
    
    Do not promote use of explicit arch lists when we are giving an example
    that changes symbols based on bitness. Instead use the arch-bits tag
    that was added precisely for this purpose.

 man/deb-src-symbols.pod | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 59f8612ef4f47b04be549f605fb9b6808e8e5071
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Aug 10 17:01:43 2024 +0200

    man: Update debian/control example in deb-src-control(5)
    
    Use better folding and trailing comma format that reduces diff on
    changes, and avoids having to reflow the entire field value on
    additions. Cleanup comments, and add one in the middle of a field
    value. Bump some versions.

 man/deb-src-control.pod | 42 +++++++++++++++++++++++++++++++-----------
 1 file changed, 31 insertions(+), 11 deletions(-)

commit 552a090dc1c08449e873d70958dc79ab1ab3c79e
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Aug 17 20:35:30 2024 +0200

    libdpkg: Use size_t instead of unsigned int for nargs

 lib/dpkg/ehandle.c | 6 +++---
 lib/dpkg/ehandle.h | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 8fb188d0af5c5a153c2881bb179711834c6d3941
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Aug 7 21:11:03 2024 +0200

    libdpkg: Remove const from execname
    
    This variable is used as an intermediate pointer that we end up
    returning, and the function prototype returns a non-const pointer.
    
    Warned-by: gcc on NetBSD and OpenBSD

 lib/dpkg/execname.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de0914fe86dfcd6b53b45542001336a964b7d7a1
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Aug 7 18:49:58 2024 +0200

    po: Update German man pages translation

 man/po/de.po | 137 +++++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 106 insertions(+), 31 deletions(-)

commit 81c069e9a4c3a85305427a84a9f3cb992b54368f
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Aug 7 00:32:26 2024 +0200

    Update URLs
    
    Use preferred URL forms (such as ending with «/»). Update dead links to
    their current location. Use https instead of http when possible
    (exception for files imported from elsewhere, URLs where https is not
    available, or for xmlns in ITS file as the standard mandates it).

 doc/coding-style.txt                | 2 +-
 scripts/Dpkg/BuildInfo.pm           | 2 +-
 scripts/Dpkg/OpenPGP/Backend/SOP.pm | 2 +-
 scripts/t/Dpkg_Changelog/shadow     | 2 +-
 scripts/t/origins/gnewsense         | 2 +-
 utils/update-alternatives.polkit.in | 2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit 78af3f6b5e7cd1f1dfe8a1fbaa9fad9937df7cee
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Aug 6 03:35:36 2024 +0200

    Dpkg::Control: Deprecate the backwards compatibility type aliases
    
    These are the old name for the types. These are deprecated, that is,
    they are discourage to be used, but will still be supported for a while,
    because all users will not have been updated yet.

 scripts/Dpkg/Control.pm | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit 9cf0594cf5739f0335bf11ab0900fa9130e92d73
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Aug 6 05:53:03 2024 +0200

    scripts: Unify constructor and function options documentation
    
    Consistently use "Options:" as a header when introducing the options.
    Itemize them to make it easier to find each one, instead of describing
    them in long paragraphs. Mark up the option names in bold. Reorder
    options by expected common usage. Document whether an option is required
    after the item itself in parenthesis.

 scripts/Dpkg/Arch.pm                   | 24 +++++++++--
 scripts/Dpkg/Archive/Ar.pm             |  6 +--
 scripts/Dpkg/BuildDriver.pm            |  2 +-
 scripts/Dpkg/BuildFlags.pm             | 12 +++++-
 scripts/Dpkg/BuildOptions.pm           | 14 ++++++-
 scripts/Dpkg/BuildTree.pm              |  5 ++-
 scripts/Dpkg/Changelog.pm              | 31 +++++++++++---
 scripts/Dpkg/Changelog/Parse.pm        | 45 ++++++++++++++++----
 scripts/Dpkg/Checksums.pm              | 75 ++++++++++++++++++++++++++--------
 scripts/Dpkg/Compression/FileHandle.pm | 25 ++++++++++--
 scripts/Dpkg/Compression/Process.pm    | 29 ++++++++++++-
 scripts/Dpkg/Conf.pm                   | 37 ++++++++++++++---
 scripts/Dpkg/Control.pm                | 62 ++++++++++++++++++++++++----
 scripts/Dpkg/Control/HashCore.pm       | 27 ++++++------
 scripts/Dpkg/Control/Info.pm           | 19 ++++++---
 scripts/Dpkg/Control/Tests.pm          |  2 +
 scripts/Dpkg/Control/Tests/Entry.pm    |  2 +
 scripts/Dpkg/Deps/Simple.pm            | 12 +++---
 scripts/Dpkg/IPC.pm                    | 28 ++++++-------
 scripts/Dpkg/Index.pm                  | 54 ++++++++++++++++++------
 scripts/Dpkg/Source/Format.pm          | 19 +++++++--
 scripts/Dpkg/Source/Package.pm         | 36 +++++++++++-----
 scripts/Dpkg/Substvars.pm              | 23 +++++++++--
 scripts/Dpkg/Version.pm                | 18 ++++++--
 t/pod-spell.t                          |  1 +
 25 files changed, 471 insertions(+), 137 deletions(-)

commit 0e7694ceb00248516048fd54caa72fd9e4b4eb6d
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Aug 5 23:29:39 2024 +0200

    scripts: Rename changelog options in programs to %changelog_opts
    
    This should make it clear these are not general program options.

 scripts/dpkg-genbuildinfo.pl | 12 ++++++------
 scripts/dpkg-genchanges.pl   | 16 ++++++++--------
 scripts/dpkg-gencontrol.pl   | 12 ++++++------
 3 files changed, 20 insertions(+), 20 deletions(-)

commit 1918794cd85029445add5005dda55c524ba825ec
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Aug 6 03:02:09 2024 +0200

    scripts: Use %opts instead of %args for function and method options
    
    Use the same pattern as the rest of the code base.

 scripts/Dpkg/Compression/FileHandle.pm | 18 +++++++++---------
 scripts/Dpkg/Compression/Process.pm    |  6 +++---
 scripts/Dpkg/Shlibs/Symbol.pm          |  8 ++++----
 scripts/Dpkg/Source/Package.pm         | 14 +++++++-------
 4 files changed, 23 insertions(+), 23 deletions(-)

commit a21e044b7e9c992d4e748adb447db00e902826df
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Aug 6 05:53:03 2024 +0200

    Dpkg::Changelog::Parse: Use %opts instead of %opt in function POD
    
    Use the same pattern as the rest of the code base.

 scripts/Dpkg/Changelog/Parse.pm | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit a63918513103c313c668b3d1b6d4da697a7f730c
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Aug 6 03:15:28 2024 +0200

    Dpkg::Deps::Multiple: Document that the constructor takes @deps not %opts
    
    The documented constructor signature was wrong, as it takes a list of
    dependencies and not an options hash.

 scripts/Dpkg/Deps/Multiple.pm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e41f7de0f9e4b02f564cc045fa3cfcf7a45133e8
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Aug 5 23:26:20 2024 +0200

    scripts: Document when constructors take %opts
    
    A couple of constructors that take %opts had no documentation of this.

 scripts/Dpkg/BuildFlags.pm          | 2 +-
 scripts/Dpkg/Control/Tests/Entry.pm | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 587fbdbefc4896f58186fb6db9df540a93f7a6fb
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Aug 5 23:25:44 2024 +0200

    scripts: Use %opts instead of %options for constructor and function options
    
    This uses the same convention as other constructors and functions taking
    an options hash, and we'll reserve the %options name for program options.

 scripts/Dpkg/Arch.pm            |  4 +-
 scripts/Dpkg/Changelog.pm       |  2 +-
 scripts/Dpkg/Changelog/Parse.pm | 38 +++++++++----------
 scripts/Dpkg/Deps.pm            | 84 ++++++++++++++++++++---------------------
 scripts/Dpkg/ErrorHandling.pm   | 14 +++----
 scripts/Dpkg/Version.pm         |  2 +-
 scripts/t/Dpkg_Deps.t           |  6 +--
 scripts/t/dpkg_buildpackage.t   |  4 +-
 scripts/t/dpkg_source.t         | 10 ++---
 9 files changed, 82 insertions(+), 82 deletions(-)

commit ba0b8701392e5468570cbafdf8f223948b2105b5
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Aug 6 13:47:02 2024 +0200

    dpkg-shlibdeps: Add symbolic name alternative to --warnings bits
    
    Make selecting the warnings to use more user friendly for both the
    caller, and whoever comes next and reads the command line calling the
    tool, by adding support for symbolic warning names.

 man/dpkg-shlibdeps.pod    | 41 +++++++++++++++++++++++++++++------------
 scripts/dpkg-shlibdeps.pl | 10 +++++++++-
 2 files changed, 38 insertions(+), 13 deletions(-)

commit 0802cf6f4ed444b377cd68dd0a85cd36e8c88143
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Aug 4 14:08:01 2024 +0200

    libdpkg: Check for pager presence and fallback to less, more and cat
    
    If the PAGER pointed by the environment variable is not present,
    fallback to use DPKG_DEFAULT_PAGER («pager»), otherwise try «less»,
    then «more», and finally fallback to «cat».
    
    This should cover the cases where these programs are either not present
    or they are a dangling symlink during an upgrade.
    
    Closes: #856216

 lib/dpkg/dpkg.h    |  2 ++
 lib/dpkg/pager.c   | 28 +++++++++++++++++++++-------
 man/dpkg-query.pod |  7 +++++++
 man/dpkg.pod       |  7 +++++++
 4 files changed, 37 insertions(+), 7 deletions(-)

commit 29684731af629e9103306b7716663e44224e6cab
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Aug 2 01:45:17 2024 +0200

    lib: Remove compatibility code for C++ earlier than C++11
    
    We have made the build system require this at configure time, so there
    is no point in supporting earlier versions in the library and headers.

 lib/compat/compat.h | 13 -------------
 lib/dpkg/macros.h   |  5 +----
 2 files changed, 1 insertion(+), 17 deletions(-)

commit d074d813759d88671a746dd8c11565722472440d
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Aug 2 01:44:42 2024 +0200

    build: Check for C++11 __func__ availability
    
    We are relying on it in the code, so make sure it works during
    configure.

 m4/dpkg-compiler.m4 | 3 +++
 1 file changed, 3 insertions(+)

commit 11e34c9640dc1c3a906e2b98344b366c2eb3e6c0
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Aug 2 00:23:39 2024 +0200

    build: Warn on C++17, C++20, C++23 and C++26 extensions usage
    
    If we are using an older C++ standard, we should not be using extensions
    from later standard versions. Regardless of the default compiler
    standard version supported.

 m4/dpkg-compiler.m4 | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit ec57799ae0f62738f343ddd119c27ad3d700ee15
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 25 04:26:38 2024 +0200

    build: Bump minimum required C++ standard to C++14
    
    Most major compilers support C++14, and if the platform has a compiler
    that does not support it, using gcc or clang to build the project is
    always an option which does not seem unreasonable.
    
    This new version of C++ provides several important features, among
    other things move semantics.

 configure.ac         |  2 +-
 doc/coding-style.txt |  6 ++----
 m4/dpkg-compiler.m4  | 37 +++++++++++++++++++++++++++++++++----
 3 files changed, 36 insertions(+), 9 deletions(-)

commit 1688ee77b50a67e9e1a6833758a4e77961b1b181
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 25 04:44:57 2024 +0200

    build: Generalize C/C++ check macros to select the version as an argument
    
    This should reduce the amount of changes needed when bumping the
    versions.

 configure.ac        |   4 +-
 m4/dpkg-compiler.m4 | 211 +++++++++++++++++++++++++++++++++++-----------------
 2 files changed, 143 insertions(+), 72 deletions(-)

commit 2ef49c60a8425e4078528ffcfda1b296124cd6c9
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 28 05:30:35 2024 +0200

    build: Make C++ baseline version a hard requirement

 m4/dpkg-compiler.m4 | 3 +++
 1 file changed, 3 insertions(+)

commit 0f9d76c33c69981fed8b7f782bf152501ebab65d
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Aug 1 21:59:29 2024 +0200

    debian: Bump Standards-Version to 4.7.0 (no changes needed)

 debian/control | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b5081ffd061658d90dcf94dd3a5d6e6816c71ba
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Thu Aug 1 19:34:59 2024 +0200

    po: Update German man pages translation

 man/po/de.po | 14 ++------------
 1 file changed, 2 insertions(+), 12 deletions(-)

commit 2b56bcec9e9faa60e1f800e3d53195dc40bc6888
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Aug 1 13:25:25 2024 +0200

    debian: Fix bug closure
    
    Fixes: commit 3e2046ecd9ecc4e6b8116ff2fb06d6e6e7ed9bfe
    Changelog: silent

 debian/changelog | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 83acfc8ab1f1de597db7edc581ae41e2717ebf16
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Aug 1 13:03:01 2024 +0200

    Bump version to 1.22.12

 debian/changelog | 6 ++++++
 1 file changed, 6 insertions(+)

commit ee7e9118d0a9581cb00c5ce02dccd561b3096387
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Aug 1 12:44:43 2024 +0200

    Release 1.22.11

 debian/changelog | 30 +++++++++++++++++++++++++++---
 1 file changed, 27 insertions(+), 3 deletions(-)

commit 54aec70de7aad9c7ed45befae9eb68ce72e5fdc1
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Aug 1 12:39:15 2024 +0200

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |  2 +-
 dselect/po/ca.po        |  2 +-
 dselect/po/cs.po        |  2 +-
 dselect/po/da.po        |  2 +-
 dselect/po/de.po        |  2 +-
 dselect/po/dselect.pot  |  4 ++--
 dselect/po/el.po        |  2 +-
 dselect/po/es.po        |  2 +-
 dselect/po/et.po        |  2 +-
 dselect/po/eu.po        |  2 +-
 dselect/po/fr.po        |  2 +-
 dselect/po/gl.po        |  2 +-
 dselect/po/hu.po        |  2 +-
 dselect/po/id.po        |  2 +-
 dselect/po/it.po        |  2 +-
 dselect/po/ja.po        |  2 +-
 dselect/po/ko.po        |  2 +-
 dselect/po/nb.po        |  2 +-
 dselect/po/nl.po        |  2 +-
 dselect/po/nn.po        |  2 +-
 dselect/po/pl.po        |  2 +-
 dselect/po/pt.po        |  2 +-
 dselect/po/pt_BR.po     |  2 +-
 dselect/po/ro.po        |  2 +-
 dselect/po/ru.po        |  2 +-
 dselect/po/sk.po        |  2 +-
 dselect/po/sv.po        |  2 +-
 dselect/po/tl.po        |  2 +-
 dselect/po/vi.po        |  2 +-
 dselect/po/zh_CN.po     |  2 +-
 dselect/po/zh_TW.po     |  2 +-
 man/po/de.po            | 54 ++++++++++++++++++++++++++++---------------------
 man/po/dpkg-man.pot     |  6 +++---
 man/po/es.po            |  4 ++--
 man/po/fr.po            |  8 ++++++--
 man/po/hu.po            |  4 ++--
 man/po/it.po            |  4 ++--
 man/po/ja.po            |  4 ++--
 man/po/nl.po            |  8 ++++++--
 man/po/pl.po            |  4 ++--
 man/po/pt.po            |  8 ++++++--
 man/po/pt_BR.po         |  4 ++--
 man/po/ru.po            |  4 ++--
 man/po/sv.po            |  8 ++++++--
 man/po/zh_CN.po         |  4 ++--
 po/ast.po               |  2 +-
 po/bs.po                |  2 +-
 po/ca.po                |  2 +-
 po/cs.po                |  2 +-
 po/da.po                |  2 +-
 po/de.po                |  2 +-
 po/dpkg.pot             |  4 ++--
 po/dz.po                |  2 +-
 po/el.po                |  2 +-
 po/eo.po                |  2 +-
 po/es.po                |  2 +-
 po/et.po                |  2 +-
 po/eu.po                |  2 +-
 po/fr.po                |  2 +-
 po/gl.po                |  2 +-
 po/hu.po                |  2 +-
 po/id.po                |  2 +-
 po/it.po                |  2 +-
 po/ja.po                |  2 +-
 po/km.po                |  2 +-
 po/ko.po                |  2 +-
 po/ku.po                |  2 +-
 po/lt.po                |  2 +-
 po/mr.po                |  2 +-
 po/nb.po                |  2 +-
 po/ne.po                |  2 +-
 po/nl.po                |  2 +-
 po/nn.po                |  2 +-
 po/oc.po                |  2 +-
 po/pa.po                |  2 +-
 po/pl.po                |  2 +-
 po/pt.po                |  2 +-
 po/pt_BR.po             |  2 +-
 po/ro.po                |  2 +-
 po/ru.po                |  2 +-
 po/sk.po                |  2 +-
 po/sv.po                |  2 +-
 po/th.po                |  2 +-
 po/tl.po                |  2 +-
 po/tr.po                |  2 +-
 po/vi.po                |  2 +-
 po/zh_CN.po             |  2 +-
 po/zh_TW.po             |  2 +-
 scripts/po/ca.po        |  2 +-
 scripts/po/de.po        | 12 +++++++----
 scripts/po/dpkg-dev.pot |  4 ++--
 scripts/po/es.po        |  2 +-
 scripts/po/fr.po        |  2 +-
 scripts/po/nl.po        |  2 +-
 scripts/po/pl.po        |  2 +-
 scripts/po/pt.po        |  2 +-
 scripts/po/ru.po        |  2 +-
 scripts/po/sv.po        |  2 +-
 98 files changed, 168 insertions(+), 140 deletions(-)

commit 9bd4e1b17aefac90a3f20855e237d3873b90c3b9
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Aug 1 09:22:04 2024 +0200

    doc: Replace references to crypto-refresh and RFC4880 with RFC9580
    
    The refresh to the RFC4880 has been approved now, and it is called
    RFC9580, so we can use its final name instead of the obsolete RFC
    or the previous draft ones.

 man/deb-buildinfo.pod                 | 2 +-
 man/deb-changes.pod                   | 2 +-
 man/dsc.pod                           | 2 +-
 scripts/Dpkg/OpenPGP/Backend/GnuPG.pm | 8 +++-----
 4 files changed, 6 insertions(+), 8 deletions(-)

commit 3e2046ecd9ecc4e6b8116ff2fb06d6e6e7ed9bfe
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 28 16:14:43 2024 +0200

    Dpkg::Shlibs::Cppfilt: Do not normalize angle brackets for operators
    
    We should not normalize angle brackets for these operators, otherwise
    we turn them into invalid syntax.
    
    Closes: #1076067

Notes:
    Changelog: s/#1076067/#1076892/

 scripts/Dpkg/Shlibs/Cppfilt.pm              |  2 +
 scripts/Makefile.am                         | 10 ++++
 scripts/t/Dpkg_Shlibs/anglebrackets.cpp     | 23 ++++++++++
 scripts/t/Dpkg_Shlibs/anglebrackets.symbols |  7 +++
 scripts/t/Dpkg_Shlibs/objdump.anglebrackets | 71 +++++++++++++++++++++++++++++
 scripts/t/Dpkg_Shlibs_Cppfilt.t             | 18 +++++++-
 6 files changed, 130 insertions(+), 1 deletion(-)

commit 322ecd6cdd6fdc7c865069bbfef3297751e02763
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 28 16:13:38 2024 +0200

    test: Refactor load_objdump_obj()
    
    We are doing the same thing over and over. Refactor into a single
    function.

 scripts/t/Dpkg_Shlibs.t | 86 ++++++++++++++-----------------------------------
 1 file changed, 24 insertions(+), 62 deletions(-)

commit dc8f6ffc0e69fb21f9132e4255b5972440ced2f2
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 29 00:28:52 2024 +0200

    test: Unroll Dpkg::Changelog file tests loop
    
    The unit tests were using a loop, which had a tiny common part and the
    rest was specific logic for each individual file, which made reading
    the loop and following the code path more complex than needed.
    
    Unroll the loop, to have one section per file.

 scripts/t/Dpkg_Changelog.t | 452 ++++++++++++++++++++++++---------------------
 1 file changed, 237 insertions(+), 215 deletions(-)

commit e718824ff597f78cacd6c6bab424a9e902babb3e
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 29 00:36:29 2024 +0200

    test: Refactor setup_changelog() in Dpkg::Changelog test

 scripts/t/Dpkg_Changelog.t | 82 ++++++++++++++++++++++++++--------------------
 1 file changed, 47 insertions(+), 35 deletions(-)

commit b08c26021f3e2398743ebf95510838ab54d6f071
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 29 00:31:29 2024 +0200

    test: Improve Dpkg::Changelog data test case message

 scripts/t/Dpkg_Changelog.t | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 958f881063aff9a9a43510e68b6ef1d09a7a2cc5
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 29 00:29:16 2024 +0200

    test: Fix coding style in perl test cases
    
    Remove spurious spaces around parenthesis in function calls.

 scripts/t/Dpkg_Changelog.t      |  10 +-
 scripts/t/Dpkg_Shlibs.t         | 627 +++++++++++++++++++++++++++-------------
 scripts/t/Dpkg_Shlibs_Cppfilt.t |  22 +-
 3 files changed, 436 insertions(+), 223 deletions(-)

commit f562efd82303542892ea0af7186093acc2980db5
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 28 14:59:10 2024 +0200

    build: Add declaration for funcs symbols in spacesyms.c
    
    Warned-by: gcc -Wmissing-variable-declarations

 scripts/t/Dpkg_Shlibs/spacesyms-c-gen.pl | 1 +
 1 file changed, 1 insertion(+)

commit 266c62412918f40b6966d699b08dc48354ceac4e
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 28 14:58:02 2024 +0200

    build: Remove generated spacesyms.o and spacesyms.c on clean
    
    Both these files are generated, so we should be cleaning them up.

 scripts/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 4fc2add4b8f68e9fcb13d4753cfd800c6f2f1f43
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 28 15:02:05 2024 +0200

    build: Use 'command -v' instead of 'which'
    
    The latter is not portable, and at least in Debian there was an attempt
    to deprecate it.

 scripts/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 356a1068021cea2df51cb017a47c11ce14d85a0b
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Sat Jul 27 17:22:55 2024 +0200

    po: Update German programs translation
    
    Update to 1195t.

 po/de.po | 60 +++++++++++++++---------------------------------------------
 1 file changed, 15 insertions(+), 45 deletions(-)

commit ed77a56e88136b4416033c0ac6aa8977ce499666
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Jul 27 14:35:34 2024 +0200

    po: Update German man pages translation

 man/po/de.po | 114 ++++++++++++++++-------------------------------------------
 1 file changed, 30 insertions(+), 84 deletions(-)

commit a83545d3722fda64ffdacb88873bf6fe18773bc3
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Jul 27 14:35:11 2024 +0200

    po: Update German scripts translation

 scripts/po/de.po | 148 +++++++++++++++++++++++--------------------------------
 1 file changed, 62 insertions(+), 86 deletions(-)

commit 4eacab3cf36cb8d8a5370841029483b23efb171a
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 27 06:02:02 2024 +0200

    Bump version to 1.22.11

 debian/changelog | 6 ++++++
 1 file changed, 6 insertions(+)

commit ef5536cfe24e4c41c6fdc56e4530161fade3887c
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 27 05:45:16 2024 +0200

    Release 1.22.10

 debian/changelog | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit e4d8d44ddf66f85837c2ffa4525ce1023721ad69
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 27 05:43:38 2024 +0200

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        | 2 +-
 dselect/po/ca.po        | 2 +-
 dselect/po/cs.po        | 2 +-
 dselect/po/da.po        | 2 +-
 dselect/po/de.po        | 2 +-
 dselect/po/dselect.pot  | 4 ++--
 dselect/po/el.po        | 2 +-
 dselect/po/es.po        | 2 +-
 dselect/po/et.po        | 2 +-
 dselect/po/eu.po        | 2 +-
 dselect/po/fr.po        | 2 +-
 dselect/po/gl.po        | 2 +-
 dselect/po/hu.po        | 2 +-
 dselect/po/id.po        | 2 +-
 dselect/po/it.po        | 2 +-
 dselect/po/ja.po        | 2 +-
 dselect/po/ko.po        | 2 +-
 dselect/po/nb.po        | 2 +-
 dselect/po/nl.po        | 2 +-
 dselect/po/nn.po        | 2 +-
 dselect/po/pl.po        | 2 +-
 dselect/po/pt.po        | 2 +-
 dselect/po/pt_BR.po     | 2 +-
 dselect/po/ro.po        | 2 +-
 dselect/po/ru.po        | 2 +-
 dselect/po/sk.po        | 2 +-
 dselect/po/sv.po        | 2 +-
 dselect/po/tl.po        | 2 +-
 dselect/po/vi.po        | 2 +-
 dselect/po/zh_CN.po     | 2 +-
 dselect/po/zh_TW.po     | 2 +-
 man/po/dpkg-man.pot     | 4 ++--
 po/ast.po               | 2 +-
 po/bs.po                | 2 +-
 po/ca.po                | 2 +-
 po/cs.po                | 2 +-
 po/da.po                | 2 +-
 po/de.po                | 2 +-
 po/dpkg.pot             | 4 ++--
 po/dz.po                | 2 +-
 po/el.po                | 2 +-
 po/eo.po                | 2 +-
 po/es.po                | 2 +-
 po/et.po                | 2 +-
 po/eu.po                | 2 +-
 po/fr.po                | 2 +-
 po/gl.po                | 2 +-
 po/hu.po                | 2 +-
 po/id.po                | 2 +-
 po/it.po                | 2 +-
 po/ja.po                | 2 +-
 po/km.po                | 2 +-
 po/ko.po                | 2 +-
 po/ku.po                | 2 +-
 po/lt.po                | 2 +-
 po/mr.po                | 2 +-
 po/nb.po                | 2 +-
 po/ne.po                | 2 +-
 po/nl.po                | 2 +-
 po/nn.po                | 2 +-
 po/oc.po                | 2 +-
 po/pa.po                | 2 +-
 po/pl.po                | 2 +-
 po/pt.po                | 2 +-
 po/pt_BR.po             | 2 +-
 po/ro.po                | 2 +-
 po/ru.po                | 2 +-
 po/sk.po                | 2 +-
 po/sv.po                | 2 +-
 po/th.po                | 2 +-
 po/tl.po                | 2 +-
 po/tr.po                | 2 +-
 po/vi.po                | 2 +-
 po/zh_CN.po             | 2 +-
 po/zh_TW.po             | 2 +-
 scripts/po/ca.po        | 2 +-
 scripts/po/de.po        | 2 +-
 scripts/po/dpkg-dev.pot | 4 ++--
 scripts/po/es.po        | 2 +-
 scripts/po/fr.po        | 2 +-
 scripts/po/nl.po        | 2 +-
 scripts/po/pl.po        | 2 +-
 scripts/po/pt.po        | 2 +-
 scripts/po/ru.po        | 2 +-
 scripts/po/sv.po        | 2 +-
 85 files changed, 89 insertions(+), 89 deletions(-)

commit 58146a371becc8ef2b10587b2d781fb3bc941bc1
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 27 03:11:48 2024 +0200

    Revert "scripts/mk: Reduce the number of subprocesses"
    
    This partially reverts commit e146a68a375453db89bc3b5e816d9405e5fd5634.
    
    While the reverted commit significantly reduced the amount of
    subprocesses, it has caused some breakage on functionality packages were
    relying on, some of which is currently hard to diagnose due to make
    programming model complexity (at least the regressions for the build
    flags), and another set is due to external packages using internal dpkg
    macros. In any case the breakage is too big, and for some of the changes
    potentially silent.
    
    Keep the documentation changes from the original patch, and preserve the
    newly introduced DEB_TIMESTAMP variable.
    
    Revert this for now until the situation is more clear. And then it can
    be reevaluated how to potentially reintroduce this, perhaps through a
    new dpkg-build-api level, if that would require changes in packaging.
    
    Closes: #1076904, #1077005

 scripts/mk/architecture.mk | 14 +++++---------
 scripts/mk/buildapi.mk     |  6 +-----
 scripts/mk/buildflags.mk   | 36 +++++++++++++++++++-----------------
 scripts/mk/pkg-info.mk     | 19 ++++++++-----------
 scripts/mk/vendor.mk       |  8 ++++----
 5 files changed, 37 insertions(+), 46 deletions(-)

commit 3618de586c8f2eeb9003c209bc5563bd6bda1a85
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jul 26 02:16:56 2024 +0200

    Dpkg::Changelog: Remove useless escaping for -
    
    These are not within [] to mark a range, they are literal minus signs.

 scripts/Dpkg/Changelog/Debian.pm       | 2 +-
 scripts/Dpkg/Changelog/Entry/Debian.pm | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit af10377e240142c65a53816954b2fc814d887fba
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jul 26 02:12:16 2024 +0200

    Dpkg::Changelog::Entry::Debian: Remove obsolete /o modifier from regex
    
    This modifier is no longer needed, and its use is now discouraged.

 scripts/Dpkg/Changelog/Entry/Debian.pm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd4d53d9784b33976ea1177e91ce5ceb896f1d63
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 25 05:04:13 2024 +0200

    build: Simplify C standard check output
    
    Do not print that we are checking for features or that we are missing
    extensions. Just state that C standard we are looking for.

 m4/dpkg-compiler.m4 | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit adc3dd67b3c5580919fc9ee99e2b6ec9819c4640
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 25 17:48:19 2024 +0200

    build: Fix dpkg_cv_c99 assignment in DPKG_C_C99 macro
    
    The variable should be assigned a "yes" not a "1".

 m4/dpkg-compiler.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b562a0e9a2879d9db5855a1988cd3a8ed4e42e0
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 25 23:52:22 2024 +0200

    build: Fix length for comment bar line after autoconf functions
    
    The current convention is to use a length matching the function name,
    but not its arguments.

 m4/dpkg-arch.m4     | 4 ++--
 m4/dpkg-compiler.m4 | 2 +-
 m4/dpkg-funcs.m4    | 2 +-
 m4/dpkg-libs.m4     | 4 ++--
 m4/dpkg-progs.m4    | 2 +-
 5 files changed, 7 insertions(+), 7 deletions(-)

commit f320bc0f8fb92d33c3252f61c4e7eb3fcf9401b9
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 25 04:23:08 2024 +0200

    build: Use pre-defined macros to check C/C++ conformance requirements
    
    In addition to the features we might explicitly check for, also use the
    pre-defined macros that carry the language standard version currently in
    use.

 m4/dpkg-compiler.m4 | 8 ++++++++
 1 file changed, 8 insertions(+)

commit a2f7f85d5b6353291b863cb855b748ada75cb566
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 25 04:41:59 2024 +0200

    build: Do not define macros for C/C++ standard level
    
    This is already tracked by pre-defined compiler macros. There is no need
    to try to set these ourselves.

 m4/dpkg-compiler.m4 | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit e2b2561766f9948267fd31a74396516c323d9bec
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 24 23:23:10 2024 +0200

    Bump version to 1.22.10

 debian/changelog | 6 ++++++
 1 file changed, 6 insertions(+)

commit 82ab77437894fc3201e7e111677e83027c02294a
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 24 23:08:24 2024 +0200

    Release 1.22.9

 debian/changelog | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit 5dcf833c229e1c2ce17fb768b6ad111c362dad37
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 24 23:02:44 2024 +0200

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |  2 +-
 dselect/po/ca.po        |  2 +-
 dselect/po/cs.po        |  2 +-
 dselect/po/da.po        |  2 +-
 dselect/po/de.po        |  2 +-
 dselect/po/dselect.pot  |  4 +--
 dselect/po/el.po        |  2 +-
 dselect/po/es.po        |  2 +-
 dselect/po/et.po        |  2 +-
 dselect/po/eu.po        |  2 +-
 dselect/po/fr.po        |  2 +-
 dselect/po/gl.po        |  2 +-
 dselect/po/hu.po        |  2 +-
 dselect/po/id.po        |  2 +-
 dselect/po/it.po        |  2 +-
 dselect/po/ja.po        |  2 +-
 dselect/po/ko.po        |  2 +-
 dselect/po/nb.po        |  2 +-
 dselect/po/nl.po        |  2 +-
 dselect/po/nn.po        |  2 +-
 dselect/po/pl.po        |  2 +-
 dselect/po/pt.po        |  2 +-
 dselect/po/pt_BR.po     |  2 +-
 dselect/po/ro.po        |  2 +-
 dselect/po/ru.po        |  2 +-
 dselect/po/sk.po        |  2 +-
 dselect/po/sv.po        |  2 +-
 dselect/po/tl.po        |  2 +-
 dselect/po/vi.po        |  2 +-
 dselect/po/zh_CN.po     |  2 +-
 dselect/po/zh_TW.po     |  2 +-
 man/po/de.po            | 71 ++++++++++++++++++++++++++++++----------
 man/po/dpkg-man.pot     | 33 ++++++++++---------
 man/po/es.po            | 52 +++++++++++++++++++----------
 man/po/fr.po            | 66 +++++++++++++++++++++++++++----------
 man/po/hu.po            | 47 ++++++++++++++++----------
 man/po/it.po            | 52 +++++++++++++++++++----------
 man/po/ja.po            | 52 +++++++++++++++++++----------
 man/po/nl.po            | 71 ++++++++++++++++++++++++++++++----------
 man/po/pl.po            | 52 +++++++++++++++++++----------
 man/po/pt.po            | 71 ++++++++++++++++++++++++++++++----------
 man/po/pt_BR.po         | 47 ++++++++++++++++----------
 man/po/ru.po            | 47 ++++++++++++++++----------
 man/po/sv.po            | 71 ++++++++++++++++++++++++++++++----------
 man/po/zh_CN.po         | 43 ++++++++++++++----------
 po/ast.po               | 56 ++++++++++++++++++-------------
 po/bs.po                | 43 ++++++++++++++----------
 po/ca.po                | 87 ++++++++++++++++++++++++++++++++++++-------------
 po/cs.po                | 84 +++++++++++++++++++++++++++++++++++------------
 po/da.po                | 54 ++++++++++++++++++------------
 po/de.po                | 87 ++++++++++++++++++++++++++++++++++++-------------
 po/dpkg.pot             | 24 +++++---------
 po/dz.po                | 56 ++++++++++++++++++-------------
 po/el.po                | 54 ++++++++++++++++++------------
 po/eo.po                | 53 ++++++++++++++++++------------
 po/es.po                | 57 +++++++++++++++++++-------------
 po/et.po                | 36 +++++++++-----------
 po/eu.po                | 55 +++++++++++++++++++------------
 po/fr.po                | 87 ++++++++++++++++++++++++++++++++++++-------------
 po/gl.po                | 55 +++++++++++++++++++------------
 po/hu.po                | 54 ++++++++++++++++++------------
 po/id.po                | 56 +++++++++++++++++++------------
 po/it.po                | 60 +++++++++++++++++++++-------------
 po/ja.po                | 57 +++++++++++++++++++-------------
 po/km.po                | 52 +++++++++++++++++------------
 po/ko.po                | 55 +++++++++++++++++++------------
 po/ku.po                | 34 ++++++++-----------
 po/lt.po                | 36 +++++++++-----------
 po/mr.po                | 52 +++++++++++++++++------------
 po/nb.po                | 54 ++++++++++++++++++------------
 po/ne.po                | 52 +++++++++++++++++------------
 po/nl.po                | 85 ++++++++++++++++++++++++++++++++++-------------
 po/nn.po                | 52 +++++++++++++++++------------
 po/oc.po                | 41 +++++++++++------------
 po/pa.po                | 36 +++++++++-----------
 po/pl.po                | 57 +++++++++++++++++++-------------
 po/pt.po                | 84 +++++++++++++++++++++++++++++++++++------------
 po/pt_BR.po             | 53 ++++++++++++++++++------------
 po/ro.po                | 86 +++++++++++++++++++++++++++++++++++-------------
 po/ru.po                | 86 +++++++++++++++++++++++++++++++++++-------------
 po/sk.po                | 53 ++++++++++++++++++------------
 po/sv.po                | 86 +++++++++++++++++++++++++++++++++++-------------
 po/th.po                | 83 ++++++++++++++++++++++++++++++++++------------
 po/tl.po                | 52 +++++++++++++++++------------
 po/tr.po                | 57 +++++++++++++++++++-------------
 po/vi.po                | 54 ++++++++++++++++++------------
 po/zh_CN.po             | 83 ++++++++++++++++++++++++++++++++++------------
 po/zh_TW.po             | 53 ++++++++++++++++++------------
 scripts/po/ca.po        |  2 +-
 scripts/po/de.po        |  2 +-
 scripts/po/dpkg-dev.pot |  4 +--
 scripts/po/es.po        |  2 +-
 scripts/po/fr.po        |  2 +-
 scripts/po/nl.po        |  2 +-
 scripts/po/pl.po        |  2 +-
 scripts/po/pt.po        |  2 +-
 scripts/po/ru.po        |  2 +-
 scripts/po/sv.po        |  2 +-
 98 files changed, 2225 insertions(+), 1187 deletions(-)

commit b40d59472c62e184b768c43de40586f7c083cf91
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 24 22:54:45 2024 +0200

    scripts/mk: Fix typo in comment
    
    Fixes: commit c05f82972018d182fa296ef38384a1adddf5b6eb
    Changelog: silent

 scripts/mk/pkg-info.mk | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c05f82972018d182fa296ef38384a1adddf5b6eb
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 24 22:21:43 2024 +0200

    scripts/mk: Fix pkg-info.mk evaluation by adding new DEB_TIMESTAMP variable
    
    Instead of handling the SOURCE_DATE_EPOCH conditional case from within
    the dpkg_parsechangelog_run variable, and then trying to lazily evaluate
    all other variables. Instead add a new DEB_TIMESTAMP variable that is
    set unconditionally from dpkg_parsechangelog_run, and then conditionally
    set SOURCE_DATE_EPOCH from it if not yet defined.
    
    Fixes: commit e146a68a375453db89bc3b5e816d9405e5fd5634
    Closes: #1076863

 scripts/mk/pkg-info.mk   | 21 ++++++++-------------
 scripts/t/mk/pkg-info.mk |  2 ++
 2 files changed, 10 insertions(+), 13 deletions(-)

commit 05efe83600decdcf61cd2c383115d421ed16308d
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 22 05:35:35 2024 +0200

    test: Fix typos in Makefile comments
    
    Warned-by: codespell

 tests/t-switch-dir-to-symlink-abs/Makefile | 4 ++--
 tests/t-switch-dir-to-symlink-rel/Makefile | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 80bdfdfe5b0eeb395a47a5d95592622456468d47
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 22 05:11:56 2024 +0200

    s-s-d: Use a stop context to track the current state
    
    This makes passing the various state variables, which are either int or
    bool, way more clear, and less error-prone.

 utils/start-stop-daemon.c | 77 ++++++++++++++++++++++++-----------------------
 1 file changed, 40 insertions(+), 37 deletions(-)

commit 78a970dba625039d654e51ae62a1cee310f0139a
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 22 05:02:35 2024 +0200

    dpkg-deb: Track maintscript information in a new struct
    
    Instead of returning the interpreter name, and using a variable by
    reference for the script lines, pass a struct to track the script
    information. This simplifies the code and reduces the amount of
    allocated memory.
    
    Changelog: internal

 src/deb/info.c | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit 514b761a166bef3acce8e81f6eecd9f57103732a
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 22 04:59:35 2024 +0200

    dpkg-deb: Print pathname instead of filename and directory in error output
    
    On the code to gather information about the interpreter the error
    calls were printing the filename and directory names separately. Instead
    print them as a pathname as we do in the rest of the codebase.

 src/deb/info.c | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit f7978c885eda594b5d2218bbde1156c02e4ed703
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 22 04:44:24 2024 +0200

    dpkg-deb: Add long options for short-only compression ones
    
    This matches the same compression long option names used by dpkg-source
    and dpkg-buildpackage.

 man/dpkg-deb.pod | 14 ++++++++------
 src/deb/main.c   | 13 +++++++------
 2 files changed, 15 insertions(+), 12 deletions(-)

commit 06dd1ad0f147715fbc4dc599189a290a72edacd5
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 21 20:34:34 2024 +0200

    Bump version to 1.22.9

 debian/changelog | 6 ++++++
 1 file changed, 6 insertions(+)

commit e9a8f699fa73f896d179ff60d9cdf9ec0340efa6
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 21 20:18:44 2024 +0200

    Release 1.22.8

 debian/changelog | 25 ++++++++++++++++++++++---
 1 file changed, 22 insertions(+), 3 deletions(-)

commit ccaea43c6d44182b11f5b7be2a73a44033bcb307
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 21 20:18:23 2024 +0200

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |  2 +-
 dselect/po/ca.po        |  2 +-
 dselect/po/cs.po        |  2 +-
 dselect/po/da.po        |  2 +-
 dselect/po/de.po        |  2 +-
 dselect/po/dselect.pot  |  4 ++--
 dselect/po/el.po        |  2 +-
 dselect/po/es.po        |  2 +-
 dselect/po/et.po        |  2 +-
 dselect/po/eu.po        |  2 +-
 dselect/po/fr.po        |  2 +-
 dselect/po/gl.po        |  2 +-
 dselect/po/hu.po        |  2 +-
 dselect/po/id.po        |  2 +-
 dselect/po/it.po        |  2 +-
 dselect/po/ja.po        |  2 +-
 dselect/po/ko.po        |  2 +-
 dselect/po/nb.po        |  2 +-
 dselect/po/nl.po        |  2 +-
 dselect/po/nn.po        |  2 +-
 dselect/po/pl.po        |  2 +-
 dselect/po/pt.po        |  2 +-
 dselect/po/pt_BR.po     |  2 +-
 dselect/po/ro.po        |  2 +-
 dselect/po/ru.po        |  2 +-
 dselect/po/sk.po        |  2 +-
 dselect/po/sv.po        |  2 +-
 dselect/po/tl.po        |  2 +-
 dselect/po/vi.po        |  2 +-
 dselect/po/zh_CN.po     |  2 +-
 dselect/po/zh_TW.po     |  2 +-
 man/po/dpkg-man.pot     |  4 ++--
 po/ast.po               |  2 +-
 po/bs.po                |  2 +-
 po/ca.po                |  2 +-
 po/cs.po                |  2 +-
 po/da.po                |  2 +-
 po/de.po                |  2 +-
 po/dpkg.pot             |  4 ++--
 po/dz.po                |  2 +-
 po/el.po                |  2 +-
 po/eo.po                |  2 +-
 po/es.po                |  2 +-
 po/et.po                |  2 +-
 po/eu.po                |  2 +-
 po/fr.po                |  2 +-
 po/gl.po                |  2 +-
 po/hu.po                |  2 +-
 po/id.po                |  2 +-
 po/it.po                |  2 +-
 po/ja.po                |  2 +-
 po/km.po                |  2 +-
 po/ko.po                |  2 +-
 po/ku.po                |  2 +-
 po/lt.po                |  2 +-
 po/mr.po                |  2 +-
 po/nb.po                |  2 +-
 po/ne.po                |  2 +-
 po/nl.po                |  2 +-
 po/nn.po                |  2 +-
 po/oc.po                |  2 +-
 po/pa.po                |  2 +-
 po/pl.po                |  2 +-
 po/pt.po                |  2 +-
 po/pt_BR.po             |  2 +-
 po/ro.po                |  2 +-
 po/ru.po                |  2 +-
 po/sk.po                |  2 +-
 po/sv.po                |  2 +-
 po/th.po                |  2 +-
 po/tl.po                |  2 +-
 po/tr.po                |  2 +-
 po/vi.po                |  2 +-
 po/zh_CN.po             |  2 +-
 po/zh_TW.po             |  2 +-
 scripts/po/ca.po        |  2 +-
 scripts/po/de.po        | 27 ++++++++++++++++-----------
 scripts/po/dpkg-dev.pot | 20 ++++++++++----------
 scripts/po/es.po        | 27 ++++++++++++++++-----------
 scripts/po/fr.po        | 27 ++++++++++++++++-----------
 scripts/po/nl.po        | 27 ++++++++++++++++-----------
 scripts/po/pl.po        | 27 ++++++++++++++++-----------
 scripts/po/pt.po        | 27 ++++++++++++++++-----------
 scripts/po/ru.po        | 27 ++++++++++++++++-----------
 scripts/po/sv.po        | 27 ++++++++++++++++-----------
 85 files changed, 217 insertions(+), 177 deletions(-)

commit 017079b0c97f64d5b1647ea2d1fed5dcf4902c5b
Author: Nicolas Boulenguez <nicolas@debian.org>
Date:   Fri Jul 19 14:24:22 2024 +0200

    scripts/mk: Fix make variable expansions passed to dpkg-buildflags
    
    Add a regression test.
    
    Closes: #1076568
    Signed-off-by: Guillem Jover <guillem@debian.org>

 scripts/mk/buildflags.mk   | 2 +-
 scripts/t/mk/buildflags.mk | 4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 574081691a80a4d3d6e28caf249397fcb6ae37e1
Author: Nicolas Boulenguez <nicolas@debian.org>
Date:   Fri Jul 19 13:20:06 2024 +0200

    scripts/mk: Ensure dpkg_datadir is computed once
    
    dpkg_datadir ?= $(dir $(lastword $(MAKEFILE_LIST)))
    is equivalent to
    ifndef dpkg_datadir
      dpkg_datadir = $(..)
    endif
    $(..) is computed each time dpkg_datadir is expanded, so the result
    will be wrong if MAKEFILE_LIST has grown meanwhile.
    
    Assign with := so that the value is computed and never expanded again.
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 scripts/mk/buildtools.mk | 4 +++-
 scripts/mk/vendor.mk     | 4 +++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit f2f447be4a5dfa492d8505208aa8720b90440123
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 18 01:56:39 2024 +0200

    po: Update Catalan translations

 po/ca.po         |  63 +++++++--------
 scripts/po/ca.po | 230 +++++++++++++++++++++----------------------------------
 2 files changed, 115 insertions(+), 178 deletions(-)

commit 286fc746725d094d0933d22a802cba224f2def15
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 21 04:37:48 2024 +0200

    Dpkg::Archive::Ar: Rework _read_buf() error messages to make l10n easier
    
    Try to word the error messages so that they can be easily translated,
    even when they need to match gender and number.

 scripts/Dpkg/Archive/Ar.pm | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit ad717618ed21fba80e16cdc3bc50c35d0920ce8a
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Wed Jul 17 17:11:42 2024 +0200

    po: Update German programs translation
    
    Update to 1196t.

 po/de.po | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

commit 127d25ed1220221f03d9bf11b906f89a065fcfad
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 17 11:40:49 2024 +0200

    libdpkg: Fix execname support on GNU/Hurd
    
    Implement the missing code, and handle fcntl() returning -1 for the
    locked pid.
    
    We need to link against Hurd's libps and add it to libdpkg.pc, for the
    process functions.
    
    We need to protect the <dpkg/file.h> inclusion when including <hurd.h>
    as they have conflicting symbols for file_lock(), where the dpkg header
    is only needed on Solaris-based systems.
    
    Fixes: commit d6a9bb6951166a7254ab2b4f887c69c4bd4fb1a7

 lib/dpkg/Makefile.am   |  1 +
 lib/dpkg/execname.c    | 26 +++++++++++++++++++++++---
 lib/dpkg/libdpkg.pc.in |  2 +-
 3 files changed, 25 insertions(+), 4 deletions(-)

commit 94e57741131f0f7bb30df5e93cfb19cb5f4e1024
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 17 02:16:07 2024 +0200

    build: Update lcov usage for version 2.0
    
    Update configuration options. Adapt lcov-inject for new HTML output.
    Remove system header removal, no longer needed.

 Makefile.am           |  4 +---
 build-aux/lcov-inject | 13 +++++++------
 2 files changed, 8 insertions(+), 9 deletions(-)

commit 1aba90294630ee581799bd4dcdc2c09d104a56d8
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 17 02:12:54 2024 +0200

    doc: Update Doxygen configuration from version 1.9.8

 doc/Doxyfile.in | 342 ++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 234 insertions(+), 108 deletions(-)

commit 7c1ab6e311fc44f8c856e973944580f2c10af51d
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 17 01:46:15 2024 +0200

    Bump version to 1.22.8

 debian/changelog | 6 ++++++
 1 file changed, 6 insertions(+)

commit 7603b54e29911e4ff534c73f0c37d25a0a35c578
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 17 01:14:41 2024 +0200

    Release 1.22.7

 debian/changelog | 186 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 183 insertions(+), 3 deletions(-)

commit 956bede103217a78f004e1317ee4dd31d115c3ec
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 17 01:10:41 2024 +0200

    po: Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |   2 +-
 dselect/po/ca.po        |   2 +-
 dselect/po/cs.po        |   2 +-
 dselect/po/da.po        |   2 +-
 dselect/po/de.po        |   6 +-
 dselect/po/dselect.pot  |   4 +-
 dselect/po/el.po        |   2 +-
 dselect/po/es.po        |   2 +-
 dselect/po/et.po        |   2 +-
 dselect/po/eu.po        |   2 +-
 dselect/po/fr.po        |   2 +-
 dselect/po/gl.po        |   2 +-
 dselect/po/hu.po        |   2 +-
 dselect/po/id.po        |   2 +-
 dselect/po/it.po        |   2 +-
 dselect/po/ja.po        |   2 +-
 dselect/po/ko.po        |   2 +-
 dselect/po/nb.po        |   2 +-
 dselect/po/nl.po        |   2 +-
 dselect/po/nn.po        |   2 +-
 dselect/po/pl.po        |   2 +-
 dselect/po/pt.po        |   2 +-
 dselect/po/pt_BR.po     |   2 +-
 dselect/po/ro.po        |   2 +-
 dselect/po/ru.po        |   2 +-
 dselect/po/sk.po        |   2 +-
 dselect/po/sv.po        |   2 +-
 dselect/po/tl.po        |   2 +-
 dselect/po/vi.po        |   2 +-
 dselect/po/zh_CN.po     |   2 +-
 dselect/po/zh_TW.po     |   2 +-
 man/po/de.po            | 100 ++++++++--
 man/po/dpkg-man.pot     | 309 ++++++++++++++++++++++++-----
 man/po/es.po            | 423 +++++++++++++++++++++++++++++++++-------
 man/po/fr.po            | 493 +++++++++++++++++++++++++++++++++++++++-------
 man/po/hu.po            | 338 +++++++++++++++++++++++++++-----
 man/po/it.po            | 423 +++++++++++++++++++++++++++++++++-------
 man/po/ja.po            | 406 +++++++++++++++++++++++++++++++-------
 man/po/nl.po            | 288 ++++++++++++++++++++++++---
 man/po/pl.po            | 410 ++++++++++++++++++++++++++++++++-------
 man/po/pt.po            | 494 ++++++++++++++++++++++++++++++++++++++++------
 man/po/pt_BR.po         | 340 +++++++++++++++++++++++++++-----
 man/po/ru.po            | 345 +++++++++++++++++++++++++++------
 man/po/sv.po            | 506 +++++++++++++++++++++++++++++++++++++++++-------
 man/po/zh_CN.po         | 343 +++++++++++++++++++++++++++-----
 po/ast.po               | 477 +++++++++++++++++++++++++--------------------
 po/bs.po                | 454 ++++++++++++++++++++++++-------------------
 po/ca.po                | 467 +++++++++++++++++++++++++-------------------
 po/cs.po                | 441 +++++++++++++++++++++++------------------
 po/da.po                | 453 +++++++++++++++++++++++++------------------
 po/de.po                | 311 +++++++++++++++--------------
 po/dpkg.pot             | 385 ++++++++++++++++++++----------------
 po/dz.po                | 456 ++++++++++++++++++++++++-------------------
 po/el.po                | 471 +++++++++++++++++++++++++-------------------
 po/eo.po                | 457 +++++++++++++++++++++++++------------------
 po/es.po                | 485 ++++++++++++++++++++++++++--------------------
 po/et.po                | 439 +++++++++++++++++++++++------------------
 po/eu.po                | 461 ++++++++++++++++++++++++-------------------
 po/fr.po                | 470 +++++++++++++++++++++++++-------------------
 po/gl.po                | 475 ++++++++++++++++++++++++++-------------------
 po/hu.po                | 432 ++++++++++++++++++++++++-----------------
 po/id.po                | 451 ++++++++++++++++++++++++------------------
 po/it.po                | 476 ++++++++++++++++++++++++++-------------------
 po/ja.po                | 454 +++++++++++++++++++++++++------------------
 po/km.po                | 446 ++++++++++++++++++++++++------------------
 po/ko.po                | 447 ++++++++++++++++++++++++------------------
 po/ku.po                | 393 ++++++++++++++++++++-----------------
 po/lt.po                | 432 +++++++++++++++++++++++------------------
 po/mr.po                | 452 ++++++++++++++++++++++++------------------
 po/nb.po                | 456 ++++++++++++++++++++++++-------------------
 po/ne.po                | 452 ++++++++++++++++++++++++------------------
 po/nl.po                | 452 ++++++++++++++++++++++++------------------
 po/nn.po                | 445 +++++++++++++++++++++++-------------------
 po/oc.po                | 441 +++++++++++++++++++++++------------------
 po/pa.po                | 401 +++++++++++++++++++++-----------------
 po/pl.po                | 443 ++++++++++++++++++++++++------------------
 po/pt.po                | 471 +++++++++++++++++++++++++-------------------
 po/pt_BR.po             | 474 ++++++++++++++++++++++++++-------------------
 po/ro.po                | 500 +++++++++++++++++++++++++++--------------------
 po/ru.po                | 447 ++++++++++++++++++++++++------------------
 po/sk.po                | 455 +++++++++++++++++++++++++------------------
 po/sv.po                | 397 +++++++++++++++++++++----------------
 po/th.po                | 433 ++++++++++++++++++++++++-----------------
 po/tl.po                | 465 +++++++++++++++++++++++++-------------------
 po/tr.po                | 459 +++++++++++++++++++++++++------------------
 po/vi.po                | 463 +++++++++++++++++++++++++-------------------
 po/zh_CN.po             | 430 +++++++++++++++++++++++-----------------
 po/zh_TW.po             | 445 ++++++++++++++++++++++++------------------
 scripts/po/ca.po        | 473 ++++++++++++++++++++++++++++++++------------
 scripts/po/de.po        | 390 +++++++++++++++++++++++++++----------
 scripts/po/dpkg-dev.pot | 371 +++++++++++++++++++++++++----------
 scripts/po/es.po        | 453 ++++++++++++++++++++++++++++++-------------
 scripts/po/fr.po        | 493 +++++++++++++++++++++++++++++++++-------------
 scripts/po/nl.po        | 465 +++++++++++++++++++++++++++++++++-----------
 scripts/po/pl.po        | 459 ++++++++++++++++++++++++++++++-------------
 scripts/po/pt.po        | 465 +++++++++++++++++++++++++++++++++-----------
 scripts/po/ru.po        | 453 ++++++++++++++++++++++++++++++-------------
 scripts/po/sv.po        | 463 +++++++++++++++++++++++++++++++++-----------
 98 files changed, 18795 insertions(+), 10190 deletions(-)

commit 3eca339ccdd14f2812ca252fd4243fdfeac9ad1d
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Aug 17 00:54:47 2016 +0200

    dpkg-buildpackage: Reference the .dsc in .buildinfo if building from one
    
    If we have been passed a .dsc filename as an argument, so that we have
    extracted it, we can then tell dpkg-genbuildinfo to include references
    to the source package, as we can ascertain the provenance of the source
    tree.
    
    Closes: #882511

 man/dpkg-buildpackage.pod    |  3 +++
 scripts/dpkg-buildpackage.pl | 11 ++++++++++-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit 555f9fe3c7ae8e9f166253ae049ce6c03914920f
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 9 03:58:26 2024 +0200

    dpkg-buildpackage: Add support for building from a specified .dsc or dir
    
    This adds support to build directly from a source package .dsc, or to
    specify a source directory to use for the build. In the first case we
    will extract the source package. For both .dsc and directory we will
    change directory to the source tree.

 man/dpkg-buildpackage.pod    | 19 +++++++++++--
 scripts/dpkg-buildpackage.pl | 66 ++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 80 insertions(+), 5 deletions(-)

commit a0e40ff858f09d3441e38da60f75aab423e33d48
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 9 03:53:10 2024 +0200

    perl: Use new Dpkg::Source::Package->get_basedirname() method
    
    Instead of open coding this, use the method provided by the class.

 scripts/Dpkg/Source/Package/V1.pm | 3 +--
 scripts/Dpkg/Source/Package/V2.pm | 3 +--
 scripts/dpkg-source.pl            | 3 +--
 3 files changed, 3 insertions(+), 6 deletions(-)

commit 5ca492db5c16b71d0d2db25ce48208f291fc1ea2
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 9 03:49:49 2024 +0200

    Dpkg::Source::Package: Add a new get_basedirname() method
    
    This centralizes the generation of the base directory name for a source
    package.

 scripts/Dpkg/Source/Package.pm | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

commit 98adc2ec51754fb7f47e5ef73d6d166ba6adf4e7
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 9 03:48:59 2024 +0200

    Dpkg::Source::Package::V3::Bzr: Remove unused variables

 scripts/Dpkg/Source/Package/V3/Bzr.pm | 4 ----
 1 file changed, 4 deletions(-)

commit 044955f9b8dc1a2d2dd698f4e5860514f7400990
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 9 03:45:04 2024 +0200

    Dpkg::Source::Package: Document method additions with an object
    
    Add an object so that it is clear these are methods, just as we do with
    all other entries in other modules.

 scripts/Dpkg/Source/Package.pm | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 00f0fb17355717a8ed80134fed66eb9c264915b9
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Feb 23 00:14:25 2024 +0100

    Dpkg::Substvars: Add support for required substvars assigned with !=
    
    Some packaging helpers (namely debhelper) set various substvars that
    must always be used by the packaging. Marking those as required means
    the maintainer will never forget to use them.
    
    We add a new operator «!=» to make it possible for other tools to mark
    those variables as required. Track those internally too so that they can
    be printed back properly.

 man/deb-substvars.pod                  | 13 ++++++++-----
 scripts/Dpkg/Substvars.pm              | 34 +++++++++++++++++++++++++++-------
 scripts/Makefile.am                    |  1 +
 scripts/t/Dpkg_Substvars.t             | 28 +++++++++++++++++++++++++++-
 scripts/t/Dpkg_Substvars/substvars-req |  1 +
 5 files changed, 64 insertions(+), 13 deletions(-)

commit df60765ed4bc6640b788c796dd0c627d7714f807
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 2 23:21:47 2024 +0200

    Dpkg::Vendor::Debian: Guarantee UTF-8 locale codeset on sanitize-env
    
    If LC_ALL is set move it to LANG (as it is the lowest priority in the
    override stack), and delete all other LC_* variables which would have
    been shadowed anyway. Set LC_CTYPE C.UTF-8.

 scripts/Dpkg/Vendor/Debian.pm | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit 259debe76b8d3283c20ddaa476e6ee95270e593f
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Apr 3 12:10:35 2024 +0200

    build: Do not include VCS specific files in the distributed tarball
    
    These files only make sense when they are part of the VCS.

 Makefile.am | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 5a381b45ab3c6708c4dd96fc9756547768a52d7e
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Apr 3 12:18:35 2024 +0200

    build: Include a .dist-vcs-url file in the distributed tarball
    
    This file contains the URL for the VCS the tarball was hosted from.

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 4c6e077bfb53e5c66578bd0d55b20c81f4820224
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 11 02:55:39 2024 +0200

    libdpkg: Do not try to strdup() a NULL pointer in dpkg_get_pid_execname()
    
    If the function is compiled on a port that is currently not handled by
    the function port specific pre-processor conditionals, the code would
    try to strdup() a NULL pointer. Handle this explicitly and return NULL
    in that case.
    
    Fixes: commit d6a9bb6951166a7254ab2b4f887c69c4bd4fb1a7
    Warned-by: cppcheck
    Changelog: silent

 lib/dpkg/execname.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4ec4dcd01dba74783744d2dfac34666309aea3eb
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jul 11 02:54:54 2024 +0200

    libdpkg: Remove unused variable in dpkg_get_pid_execname() on GNU/Hurd
    
    Fixes: commit d6a9bb6951166a7254ab2b4f887c69c4bd4fb1a7
    Warned-by: cppcheck
    Changelog: silent

 lib/dpkg/execname.c | 1 -
 1 file changed, 1 deletion(-)

commit 99bba12f0de89c12a6ab34cc466e8dc1402b1356
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 29 09:55:46 2024 +0200

    libdpkg: Try to print the executable name of the lock contending process
    
    Just printing the PID is not very useful to try to track down the
    contending process as its presence might be momentary and might no
    longer be present when the user tries to look for that specific PID.
    
    Try to get the executable name to give a better hint to what might be
    going wrong.
    
    Closes: #1070027

 lib/dpkg/file.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit d6a9bb6951166a7254ab2b4f887c69c4bd4fb1a7
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 29 09:55:19 2024 +0200

    libdpkg: Add new execname module
    
    This module tries to return the executable name for a specific process
    given its PID. If it cannot gather the information either because the
    process is gone, or the port does not yet have support for it, then
    the code will return NULL.

 lib/dpkg/Makefile.am |   2 +
 lib/dpkg/execname.c  | 165 +++++++++++++++++++++++++++++++++++++++++++++++++++
 lib/dpkg/execname.h  |  43 ++++++++++++++
 lib/dpkg/libdpkg.map |   3 +
 po/POTFILES.in       |   1 +
 5 files changed, 214 insertions(+)

commit b7dc60447121858bd3ed5da1183a28d906a849e4
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 10 23:03:42 2024 +0200

    dselect: Use enum values instead of literal integers
    
    Makes the code more clear on what it is comparing against.
    
    Changelog: internal

 dselect/pkgtop.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit e56be216525ad13f00e81e960c97b1454efee9ad
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 10 22:47:00 2024 +0200

    libdpkg: Check for updateslength < 0 instead of == -1 in ulist_select()
    
    Make the check more future proof against tracking other negative values,
    and match the recent coding style switch to check for all negative
    values instead of a specific -1 (although in this case this does not
    signal an error, but an uninitialized value.

 lib/dpkg/dbmodify.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit af5c8d99e08c0e9bc5e929f56a2753fa0bc5d10c
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 10 22:38:16 2024 +0200

    libdpkg: Check for limit >= 0 instead of != -1 in buffer_copy()
    
    Make the check both more future proof against passing other negative
    values (which is what is triggering warnings in static analyzers), and
    match the recent coding style switch to check for all negative values
    instead of a specific -1 (although in this case this does not signal an
    error, but an unlimited copy).
    
    Warned-by: coverity

 lib/dpkg/buffer.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1a7b7d52ef6e637718bccdefc78bb1437b9af27e
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 10 22:36:18 2024 +0200

    dpkg: Check for < 0 instead of == -1 for conffderef() return values
    
    This is a dpkg specific function that returns 0 on success and -1 on
    error. While a static analyzer should have enough in-tree information
    to be able to avoid emitting bogus diagnostics, we switch to the same
    pattern as we just did for syscall return values so that the coding
    style is uniform.
    
    While at it we improve the debug output for the newly handled values.
    
    Changelog: internal

 src/main/configure.c |  2 +-
 src/main/remove.c    | 10 +++++++---
 src/main/unpack.c    |  2 +-
 3 files changed, 9 insertions(+), 5 deletions(-)

commit 4682652aabe4423177f26982c613e2e79765a393
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 10 23:20:52 2024 +0200

    Check for >= 0 instead of != -1 for syscall return values
    
    While checking for != -1 is correct for all these calls, as that is
    what the non-error condition is specified to return, this can confuse
    static analyzers where these might consider other negative return values
    as unhandled and emit bogus potential overflow or underflow conditions.
    
    Make these checks >= 0, which is shorter, also correct, and should pacify
    static analyzers.
    
    Changelog: internal

 lib/dpkg/buffer.c        | 2 +-
 lib/dpkg/db-fsys-files.c | 2 +-
 lib/dpkg/dbmodify.c      | 4 ++--
 src/deb/extract.c        | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 5601b476929a896e1ab67e66e1192d5a90346e75
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 10 22:32:23 2024 +0200

    Check for < 0 instead of == -1 from syscall return values
    
    While checking for == -1 is correct for all these calls, as that is
    what the error condition is specified to return, this can confuse static
    analyzers where these might consider other negative return values as
    unhandled and emit bogus potential overflow or underflow conditions.
    
    Make these checks < 0, which is shorter, also correct, and should pacify
    static analyzers. We leave alone the nice() function because it can
    return other negative values as part of its interface definition.
    
    Changelog: internal

 dselect/method.cc           |  8 ++++----
 lib/dpkg/dbmodify.c         | 12 ++++++------
 lib/dpkg/fdio.c             |  4 ++--
 lib/dpkg/file.c             | 14 +++++++-------
 lib/dpkg/mustlib.c          |  4 ++--
 lib/dpkg/parse.c            |  4 ++--
 lib/dpkg/subproc.c          |  4 ++--
 lib/dpkg/t/t-subproc.c      |  6 +++---
 lib/dpkg/trigdeferred.c     |  4 ++--
 src/common/selinux.c        |  2 +-
 src/deb/build.c             |  4 ++--
 src/deb/info.c              |  2 +-
 utils/start-stop-daemon.c   | 12 ++++++------
 utils/update-alternatives.c | 10 +++++-----
 14 files changed, 45 insertions(+), 45 deletions(-)

commit 040922cf08e03566a38b1c82ef66f9d01ab30ec3
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 10 06:28:38 2024 +0200

    dpkg-realpath: Guarantee varbufs have been allocated
    
    This makes sure all the relevant varbufs are allocated and their buf
    member is not NULL. This is an alternative robustness fix and a
    workaround for commit 0fee7b211d8f31067bb444268860d995a8c1ba1e
    and commit f724d507677674d4386816098bf038aa1567c081.
    
    Changelog: internal

 src/realpath/main.c | 5 +++++
 1 file changed, 5 insertions(+)

commit f724d507677674d4386816098bf038aa1567c081
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jul 10 06:25:24 2024 +0200

    Revert "dpkg-realpath: Switch direct varbuf accesses to varbuf_str()"
    
    This reverts commit 0fee7b211d8f31067bb444268860d995a8c1ba1e.
    
    This was making cppcheck hit a bogus syntax error, and making the
    authorcheck fail. We'll workaround the issue by using an alternative
    method to make the code more robust.
    
    Ref: https://bugs.debian.org/1076061
    Changelog: internal

 src/realpath/main.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0fee7b211d8f31067bb444268860d995a8c1ba1e
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 9 04:18:47 2024 +0200

    dpkg-realpath: Switch direct varbuf accesses to varbuf_str()
    
    Make these accesses more robust by using varbuf_str(), so that even
    if the varbufs are empty we do not need to worry about handling a
    NULL pointer.
    
    Changelog: internal

 src/realpath/main.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 474db9879aac91f4f97d3e7b0d205d4c2b63c360
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 9 04:15:50 2024 +0200

    dpkg-realpath: Do not allow an empty pathname argument
    
    The code was expecting a non-empty string, and resolving an empty
    pathname does not make much sense anyway.
    
    Warned-by: coverity

 src/realpath/main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 983fadb9e00bb7a7816ace1952b4f704632c6c83
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 9 03:00:57 2024 +0200

    libdpkg: Do not accept len >= INT_MAX in fd_read() and fd_write()
    
    The read() and write() functions return errors as negative numbers
    via a ssize_t type, and also the amount read or written. This means
    that if we pass a value greater than SSIZE_MAX, then it might not be
    representable as a return value and would overflow.
    
    Warned-by: coverity

 lib/dpkg/fdio.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 9ff1f50b1cf672569de4fe438be268dcf9495a33
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jul 9 02:57:47 2024 +0200

    libcompat: Fix vasprintf() to error out if vsnprintf() returns >= INT_MAX
    
    If the initial vsnprintf() call inside vasprintf() returns the needed
    amount of bytes >= INT_MAX, that means we could overflow either when
    adding one for the allocation if sizeof(size_t) == sizeof(int), or when
    passing the size of that buffer to the next vsnprintf() call where even
    if sizeof(size_t) > sizeof(int), the function will still need to return
    the number of written bytes. Set errno appropriately and return -1.
    
    Warned-by: coverity

 lib/compat/vasprintf.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 811651673916b07d74b8e7284da71e02b12019f6
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 27 00:45:20 2024 +0200

    build: Check whether HAVE_* macros for headers are defined
    
    The autoconf HAVE_ macros for headers are only defined if the header is
    present. So we should check for that and not only for whether the macro
    is true.

 dselect/main.cc           |  2 +-
 lib/dpkg/t/c-tarextract.c |  4 ++--
 lib/dpkg/tarfn.c          |  2 +-
 m4/dpkg-types.m4          |  4 ++--
 src/deb/main.c            |  2 +-
 src/divert/main.c         |  2 +-
 src/main/main.c           |  2 +-
 src/query/main.c          |  2 +-
 src/realpath/main.c       |  2 +-
 src/split/main.c          |  2 +-
 src/statoverride/main.c   |  2 +-
 src/trigger/main.c        |  2 +-
 utils/start-stop-daemon.c | 10 +++++-----
 13 files changed, 19 insertions(+), 19 deletions(-)

commit 83c6705c1b6ecc4a7d27e02a9c44667760843d80
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 26 13:24:40 2024 +0200

    s-s-d: Fix typos in code comments
    
    Changelog: internal

 utils/start-stop-daemon.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4993ac06a949095ad85de0d6be081fb366eec1bb
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 8 05:33:23 2024 +0200

    build: Add missing files and sort POTFILES.in
    
    Let's add all files even if they currently do not contain any
    translation, as not listing them all unconditionally is error prone,
    as we might end up adding translations and those getting missed due
    to the file already existing.
    
    Also this way we can add an author check for this.

 dselect/po/POTFILES.in |  6 ++++++
 po/POTFILES.in         |  8 +++++---
 scripts/po/POTFILES.in | 13 +++++++++++--
 3 files changed, 22 insertions(+), 5 deletions(-)

commit 45317f8730922706541ad935804731adca3e346f
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 7 02:00:58 2024 +0200

    test: Switch ar m4 macros to use internal dpkg-ar implementation
    
    This implementation is system independent, so it will work regardless
    of the system ar specific behavior, be that not handling GNU terminated
    names, or handling completely different formats such as on AIX with its
    big and small ar formats, which are unrelated to the common Unix ar
    format.

 src/at/local.at | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 865322b2a8fd321218f97e83a4be56a80c874f75
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 8 03:59:30 2024 +0200

    dpkg-ar: New internal ar implementation script
    
    This script is going to be used in the test suite to guarantee we
    have an implementation that conforms to the common Unix ar format,
    independently of what the system supports.
    
    This is a minimal interface, which is intended to be used internally
    for now, and might get replaced with a C implementation later on.
    
    Changelog: internal

 scripts/Makefile.am |   1 +
 scripts/dpkg-ar.pl  | 127 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 128 insertions(+)

commit fbee9f6d46dc89e416c3c586fc712ffe30f89d4a
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 8 04:05:41 2024 +0200

    Dpkg::Archive::Ar: New module
    
    This new module implements the minimal interface needed to write a
    new local ar command to be used by the test suite, but will also be
    used (and extended if needed) later on for the upcoming dpkg-sign,
    once that handles signatures for .deb archives.

 scripts/Dpkg/Archive/Ar.pm | 440 +++++++++++++++++++++++++++++++++++++++++++++
 scripts/Makefile.am        |   1 +
 scripts/po/POTFILES.in     |   1 +
 t/pod-spell.t              |   1 +
 4 files changed, 443 insertions(+)

commit 9b2f0100fe89477bbbda060e324d0bdc83532633
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 7 01:45:24 2024 +0200

    test: Refactor ar handling into m4 macros
    
    We abstract the create, list and extract operations into m4 macros, so
    that we can easily change the underlying implementation in a single
    place.

 src/at/deb-format.at | 98 ++++++++++++++++++++++++++--------------------------
 src/at/deb-split.at  | 36 +++++++++----------
 src/at/local.at      | 15 ++++++++
 3 files changed, 82 insertions(+), 67 deletions(-)

commit 59ce405f33d510ee81220b9505d0ddf07802bfee
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 6 20:06:35 2024 +0200

    test: Unify all ar invocations into create, extract and list
    
    Instead of modifying ar archives, simplify the handling into three
    actions, so that we can replace the external ar usage with our own
    simple implementation. This also makes the format of the archives
    we are creating more obvious.

 src/at/deb-format.at | 15 +++++----------
 src/at/deb-split.at  | 11 +++++------
 2 files changed, 10 insertions(+), 16 deletions(-)

commit 7e27cbae0ed0aef3e2da3f28256b671c6a9aecd2
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jul 5 01:16:18 2024 +0200

    Dpkg::Shlibs::Cppfilt: Normalize demangled symbols with llvm or C++11 format
    
    The output from c++filt from llvm produces no spaces between ending
    angle brackets (<<symbol>>) as allowed by C++11, contrary to what
    GNU binutils does by default as it was not allowed before C++11.
    
    Because this is used to compare against demangled symbols in symbols
    files, we need to use an unified format, given that the space around
    angle brackets is more compatible, and has been the default when using
    GNU binutils, we normalize into that.

 scripts/Dpkg/Shlibs/Cppfilt.pm | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 1c7f9f2be3c78d115d2cd4652c59ea4a42bf78ee
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 6 16:57:00 2024 +0200

    test: Only execute Dpkg::Shlibs checks on ELF platforms
    
    We currently only support ELF, and systems with other executable formats
    such as Mach-O on macOS are not supported and will fail the tests. Skip
    them for now.

 scripts/t/Dpkg_Shlibs.t         | 7 ++++++-
 scripts/t/Dpkg_Shlibs_Cppfilt.t | 8 +++++++-
 2 files changed, 13 insertions(+), 2 deletions(-)

commit ef9d366feadb0b6ea5d0a77a10bdedf1262a8cd9
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 6 14:08:42 2024 +0200

    test: Add new DPKG_CHECK_DIFF macro to abstract file comparisons
    
    On some systems, such as ones based on SunOS/illumos, the diff tool does
    not honor the -q option and outputs «No differences encountered» when
    there are no file differences.
    
    Instead of requiring GNU diff, abstract the check into a new macro that
    uses the internal autotest machinery to compare the files for us via the
    expout mechanism.

 src/at/divert.at | 26 +++++++++++++-------------
 src/at/local.at  |  6 ++++++
 2 files changed, 19 insertions(+), 13 deletions(-)

commit 3533e05c2038cb47e5446c0ba8de02dc8ce3f275
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jul 5 00:29:03 2024 +0200

    Dpkg::Vendor::Debian: Set -Wno-error on qa=-bug-implicit-func
    
    Starting with gcc 14, the -Werror=implicit-function-declaration is
    enabled by default by the compiler, so disabling the feature flag (which
    would imply not passing any flag) will have no effect. Explicitly set
    -Wno-error=implicit-function-declaration if the feature has been
    disabled.
    
    Closes: #1075769

 scripts/Dpkg/Vendor/Debian.pm | 2 ++
 1 file changed, 2 insertions(+)

commit 0dff3528b5c0d7f19bbda0899a29582fab4aef5f
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Jul 3 21:56:40 2024 +0200

    po: Update German scripts translation

 scripts/po/de.po | 191 +++++++++++++++++++++++++++++--------------------------
 1 file changed, 102 insertions(+), 89 deletions(-)

commit 0b7988833b2b778562b1d07c1836b5fd71ae9893
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Jul 3 21:56:16 2024 +0200

    po: Update German man pages translation

 man/po/de.po | 61 ++++++++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 49 insertions(+), 12 deletions(-)

commit 33e3074db621e07ea1ea565cb6d1953f323b68de
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 21 00:01:05 2024 +0200

    Dpkg::OpenPGP::ErrorCodes: Update error codes from SOP draft version 10
    
    Add relevant error codes for operations we can handle.
    
    Ref: https://ietf.org/archive/id/draft-dkg-openpgp-stateless-cli-10.html

 scripts/Dpkg/OpenPGP/ErrorCodes.pm | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

commit 0274e3d358022ddd270c6c40a048a27d8f6b4eb8
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jun 20 23:33:59 2024 +0200

    dpkg-buildpackage: Make newline injection during signing GnuPG specific
    
    This is a bug in GnuPG, that other implementations do not suffer from,
    and adding this newline causes multiple unnecessary newlines to be
    added which is odd on the output.
    
    Ref: https://dev.gnupg.org/T7106

 scripts/Dpkg/OpenPGP/Backend/GnuPG.pm | 14 ++++++++++++++
 scripts/dpkg-buildpackage.pl          | 18 ++++--------------
 2 files changed, 18 insertions(+), 14 deletions(-)

commit 8389e701086116f8dd570b8897a7413595faf07b
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 7 03:53:11 2024 +0200

    lib, src: Include missing <stdbool.h>
    
    Reported-by: Simon Richter <sjr@debian.org>
    Changelog: internal

 lib/dpkg/command.h    | 1 +
 lib/dpkg/parsedump.h  | 1 +
 lib/dpkg/pkg-format.h | 2 ++
 lib/dpkg/triglib.h    | 2 ++
 lib/dpkg/varbuf.h     | 1 +
 src/common/force.h    | 2 ++
 src/main/main.h       | 2 ++
 7 files changed, 11 insertions(+)

commit c94e16d93815aafe81daf68400ff1debc487b805
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 7 03:43:47 2024 +0200

    Dpkg::Vendor::Debian: On native builds map *_FOR_BUILD flags to * flags
    
    This should always be safe to do, and reduces the false positives in
    automatic tools analyzing the flags being set, which can trip over
    the _FOR_BUILD flags being blank.
    
    Closes: #1072332

 scripts/Dpkg/Vendor/Debian.pm | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

commit 17456a341a1c63501e8dbfa6e93c4bf08cb8354e
Author: Guillem Jover <guillem@debian.org>
Date:   Fri May 31 00:21:15 2024 +0200

    Merge conffile obsolete and remove-on-upgrade into a single flags member
    
    Use a single flag member, so that it's easier to copy around, and test
    for multiple conditions at once, or delegate the check to a function via
    a bitmask.
    
    Changelog: internal

 lib/dpkg/dpkg-db.h  | 12 ++++++++++--
 lib/dpkg/dump.c     |  4 ++--
 lib/dpkg/fields.c   | 20 +++++++++++---------
 src/main/archives.c |  2 +-
 src/main/help.c     |  4 ++--
 src/main/remove.c   |  2 +-
 src/main/unpack.c   |  8 +++++---
 7 files changed, 32 insertions(+), 20 deletions(-)

commit b11ffedcae076e420b55c28d46c885a7280b92c3
Author: Guillem Jover <guillem@debian.org>
Date:   Fri May 31 00:31:15 2024 +0200

    dpkg: Refactor conffile disappearing check into a new function
    
    Centralize the check into a function, which will make it easier to
    extend its logic in the future.
    
    Changelog: internal

 src/main/archives.c  |  2 +-
 src/main/configure.c |  4 ++--
 src/main/help.c      | 12 +++++++++++-
 src/main/main.h      |  2 ++
 4 files changed, 16 insertions(+), 4 deletions(-)

commit 09ae886184684990ec59ed01e66212cb7e41342a
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 26 02:12:30 2024 +0100

    dpkg-shlibdeps: Add support for new --package option
    
    This option takes care of changing some of the defaults based on the
    information from the debian/control file.
    
    We select whether to use the Pre-Depends or Depends field as the default
    on whether the package is Essential:yes. We select the package type from
    the Package-Type field. And add the package to the set of packages
    excluded by -x.

 man/dpkg-shlibdeps.pod    | 15 +++++++++++++++
 scripts/dpkg-shlibdeps.pl | 32 ++++++++++++++++++++++++++++++--
 2 files changed, 45 insertions(+), 2 deletions(-)

commit e16a155f57c8c6f449ad949e876a160b393d6a55
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 26 01:57:38 2024 +0100

    dpkg-shlibdeps: Refactor executable CLI parsing
    
    Instead of handling the executable and the dependency field it needs to
    use for the substvars it generates, queue them into an array and process
    all of them afterwards. This reduces duplicated parsing logic, and will
    make it possible to use a different default for the field.

Notes:
    Changelog: internal

 scripts/dpkg-shlibdeps.pl | 42 +++++++++++++++++++++++++-----------------
 1 file changed, 25 insertions(+), 17 deletions(-)

commit 01505a92295ee7767ebf92986ab569d9eb1d4f30
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 20 01:07:09 2024 +0200

    libdpkg: Factor fsys_list_parse_buffer() out of ensure_packagefiles_available()
    
    Split the .list file specific parsing out of this more general files
    metadata loading function.

 lib/dpkg/db-fsys-files.c | 73 ++++++++++++++++++++++++++++--------------------
 1 file changed, 42 insertions(+), 31 deletions(-)

commit 6410d905bd5f491ca764debc2c25c44a4b561fe1
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 1 05:33:50 2024 +0200

    test: Clarify the Makefile fragment variable being tested via comments
    
    The current output is very confusing as it does not really mention the
    actual variable being tested, and only expanded values are shown, which
    makes for a harder time when trying to diagnose issues in the tests.

 scripts/t/mk/architecture.mk | 4 ++--
 scripts/t/mk/buildapi.mk     | 1 +
 scripts/t/mk/buildflags.mk   | 4 ++--
 scripts/t/mk/buildopts.mk    | 1 +
 scripts/t/mk/buildtools.mk   | 4 ++--
 scripts/t/mk/pkg-info.mk     | 2 ++
 scripts/t/mk/vendor-v0.mk    | 1 +
 scripts/t/mk/vendor-v1.mk    | 1 +
 scripts/t/mk/vendor.mk       | 2 ++
 9 files changed, 14 insertions(+), 6 deletions(-)

commit 1e9c98a43156b1724e8a1de2d63556c432bd8b7e
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 1 05:32:11 2024 +0200

    test: Parametrize all Makefile fragment functional tests
    
    Switch the tests to use variable lists instead of testing each variable
    individually. This will make extending and adding comments to identify
    the variables being tested easier and with less repetition.

 scripts/t/mk/buildapi.mk  | 12 ++++++++++--
 scripts/t/mk/buildopts.mk | 10 ++++++++--
 scripts/t/mk/pkg-info.mk  | 29 +++++++++++++++++++++--------
 scripts/t/mk/vendor.mk    | 15 ++++++++++++---
 4 files changed, 51 insertions(+), 15 deletions(-)

commit 7e73ffda963a579bb7199301985a267586d0f7ff
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jul 1 05:00:31 2024 +0200

    test: Set CC to gcc in make fragments functional tests
    
    We are setting the CC environment variable for the TAP driver, from
    the value detected at configure time, which means we might not have
    the expected mock binary to control the output. Just set the CC
    variable to a known value for the make fragments functional tests.

 scripts/t/mk.t | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d8ff5ef854c5fd3f6e9e5fa24a9e394a9b295276
Author: Nicolas Boulenguez <nicolas@debian.org>
Date:   Tue Jul 2 11:54:55 2024 +0200

    scripts/mk: Stop hard-coding dpkg_datadir
    
    This path differ during tests and after installation. Instead of
    rewriting the file with a hardcoded path, compute it within Make.
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 build-aux/subst.am       |  8 --------
 scripts/mk/Makefile.am   | 10 ----------
 scripts/mk/buildtools.mk |  2 +-
 scripts/mk/default.mk    |  3 ++-
 scripts/mk/vendor.mk     |  2 +-
 5 files changed, 4 insertions(+), 21 deletions(-)

commit a0b4da48cade31ac32d59c70813d747cd14503d8
Author: Nicolas Boulenguez <nicolas@debian.org>
Date:   Tue Jul 2 10:44:20 2024 +0200

    scripts/mk: Replace more GNU sed constructs with POSIX ones
    
    This fixes tests with BSD sed.
    
    Fixes: commit e146a68a375453db89bc3b5e816d9405e5fd5634
    Signed-off-by: Guillem Jover <guillem@debian.org>
    Changelog: silent

 scripts/mk/pkg-info.mk | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 57048fc8c3d0810091b73b444c1c42db1a665fb9
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 20 12:20:33 2024 +0200

    build: Fix test verbose and parallel option propagation
    
    Unify the handling of these flags in the automake fragment files instead
    of setting TESTSUITEFLAGS all over the place in addition to these flags
    for the various test suite drivers.

 .gitlab-ci.yml             | 10 +++++-----
 build-aux/autotest.am      |  9 +++++++++
 build-aux/tap.am           |  2 ++
 debian/rules               |  6 ++----
 debian/tests/test-not-root |  2 +-
 debian/tests/test-root     |  2 +-
 6 files changed, 20 insertions(+), 11 deletions(-)

commit deb4cfe6071c27805fdb611b317096d97ebfdc41
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jun 13 00:33:16 2024 +0200

    build: Workaround Tap::Harness verbose misbehavior on parallel mode
    
    The Tap::Harness module misbehaves when enabling both parallel and
    verbose mode, where the verbose output is eaten by some concurrency
    statistics output, and only the last test output is emitted.
    
    We set the formatter_class explicitly to the file formatter in case we
    are running in verbose and parallel modes as a workaround.
    
    Ref: https://github.com/Perl-Toolchain-Gang/Test-Harness/issues/105

 build-aux/test-runner | 9 +++++++++
 1 file changed, 9 insertions(+)

commit f2407763ce5198f29281b7524a55ce32cb56ad2e
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 20 00:42:23 2024 +0200

    doc: Fix casing after admonition
    
    In documentation, uppercase the admonition and the first word after the
    colon. In output from programs, lowercase both the admonition and the
    first word after the colon.

 dselect/methods/ftp/setup.pl | 2 +-
 man/dpkg-buildflags.pod      | 4 ++--
 man/dpkg-query.pod           | 2 +-
 man/update-alternatives.pod  | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 153a7c8de9c61f720fab6dc68fd5d017b9b3fe3d
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 20 00:36:10 2024 +0200

    doc: Fix grammar for fallback

 lib/dpkg/pkg-show.c | 2 +-
 man/dpkg-name.pod   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 86fe73a5afd87962fe2b33f4e046f3f7008c7ad8
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Tue May 21 21:00:56 2024 +0200

    po: Update German man pages translation

 man/po/de.po | 36 ++++++++++++++++++++++++++++--------
 1 file changed, 28 insertions(+), 8 deletions(-)

commit 17dd898818b423c1ec1c2f1b80de4eda4a727012
Author: Guillem Jover <guillem@debian.org>
Date:   Fri May 17 23:35:26 2024 +0200

    libdpkg: Make varbuf_detach() always return a string
    
    When we have added no content into a varbuf, we avoid allocating
    memory, but when calling varbuf_detach() the caller expects a valid
    string no matter what, and having to care about it returning NULL
    is error-prone. Instead, when we have no buffer, we return an allocated
    empty string.

 lib/dpkg/t/t-varbuf.c | 27 +++++++++++++++++++++++----
 lib/dpkg/varbuf.c     |  3 +++
 2 files changed, 26 insertions(+), 4 deletions(-)

commit 0e589d3fcd3e94b70dd37d73fc21121ed2035609
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 19 11:21:10 2024 +0200

    libdpkg: Make prefix and suffix varbuf checks cope with unallocated varbufs
    
    If the varbufs have not been allocated, we should not be passing them to
    functions that expect their arguments not to be NULL.
    
    Changelog: silent

 lib/dpkg/t/t-varbuf.c |  8 +++++++-
 lib/dpkg/varbuf.c     | 10 ++++++++++
 2 files changed, 17 insertions(+), 1 deletion(-)

commit 7f287adcd0b7c09d9c212ecc38190fd0d393c0bc
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 19 14:12:58 2024 +0200

    libdpkg: Compute string slice for varbuf_has_suffix() check on good values
    
    We should not compute the slice with «used» members values that we know
    will produce a wrong pointer, even if we do not end up using it, as that
    can trip static analyzers.
    
    Changelog: silent

 lib/dpkg/varbuf.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 61b221cf7bab32d62f43a1bcb2b9eb88a42d94c5
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 15 02:30:35 2024 +0200

    man: Update verify format example to also include M
    
    We implemented partial support for the M flag in the output, so mention
    it in the example format to make it clear it is supported.

 man/dpkg.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d6488a9ed96967a0568890c0929b9ac5e7cdbed
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 15 01:55:57 2024 +0200

    dpkg: Do not run hooks or loggers with --dry-run or unprivileged
    
    If we have been told to run in dry mode, we should not be executing
    the invocation hooks, as those might have side effects. We should
    not run either if we are running as an unprivileged user without
    --force-not-root.
    
    Closes: #1071124

 man/dpkg.pod    |  6 ++++++
 src/main/main.c | 22 ++++++++++++++++++++--
 2 files changed, 26 insertions(+), 2 deletions(-)

commit bc4dc7153597fc7a1f1343567a148e5df2365b44
Author: Johannes Schauer Marin Rodrigues <josch@debian.org>
Date:   Tue May 14 03:16:20 2024 +0200

    debian: Suppress s-s-d compat symlink if /sbin is missing
    
    When bootstrapping, if base-files has not yet been unpacked, the /sbin
    pathname is going to be missing and we will not be able to create a
    compat symlink, and «ln» will fail aborting the package installation.
    
    We cannot unconditionally create the /sbin directory as that would break
    on usr-merged systems that ship a symlink in a package such as base-files.
    
    Ideally base-files would be unpacked first by the bootstrapping tool,
    but that would required encoding this ordering somehow.
    
    Closes: #1071078
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/dpkg.postinst | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 98e16e2eb9d69fbecc1a45361c394998fe288604
Author: Guillem Jover <guillem@debian.org>
Date:   Sat May 11 21:12:33 2024 +0200

    dpkg-genbuildinfo: Parse Provides as virtual packages
    
    We did not specify that the dependencies to be parsed were virtual
    packages.

 scripts/dpkg-genbuildinfo.pl | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit b126d97260a4e93cf1a1b8cd8524fdcbf50c647a
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 12 19:27:05 2024 +0200

    test: Refactor real and virtual package setup
    
    Use a list of real and virtual packages to use, and feed them into the
